<?php
/**
 * Smart by NiceThemes.
 *
 * Used to display archive-type pages if nothing more specific matches a query. For example, puts
 * together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a new template file for
 * each specific one. For example, we already have tag.php for Tag archives and a category.php for
 * Category archives.
 *
 * @link      http://codex.wordpress.org/Template_Hierarchy
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
	<?php get_header(); ?>

	<!-- BEGIN #content -->
	<section id="content" <?php nice_content_class( 'archive-content' ); ?> role="main">

		<?php if ( have_posts() ) : ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<div class="post-container">
					<?php
						/**
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format slug) and that will be used instead.
						 *
						 * @since 1.0.0
						 */
						get_template_part( 'content', get_post_format() );
					?>
				</div>

			<?php endwhile; ?>

			<?php
				/**
				 * Previous/next page navigation.
				 *
				 * @since 1.0.0
				 */
				nice_pagenavi();
			?>

		<?php else : ?>

			<?php
				/**
				 * If no content, include the "No posts found" template.
				 *
				 * @since 1.0.0
				 */
				get_template_part( 'content', 'none' );
			?>

		<?php endif; ?>

	</section><!-- END #content -->

	<?php get_sidebar(); ?>
	<?php get_footer(); ?>
