<?php
/**
 * Smart by NiceThemes.
 *
 * This file includes definitions and functions that modify the default
 * framework setup.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.3
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! defined( 'NICE_LOADER_METHOD' ) ) {
	/**
	 * Define default loader method.
	 *
	 * @since 2.0.6
	 */
	define( 'NICE_LOADER_METHOD', 'advanced' );
}

add_action( 'after_setup_theme', 'nice_load_compat_file', -9999 );
/**
 * Load compatibility file for backwards compatibility with older framework
 * versions.
 *
 * @since 1.1
 */
function nice_load_compat_file() {
	nice_loader( 'compatibility.php' );
}
