<?php
/**
 * Smart by NiceThemes.
 *
 * The template for displaying a "No posts found" message.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>

	<header class="entry-header">
		<h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'smart' ); ?></h1>
	</header>

	<div class="entry">

		<div class="entry-content">

			<?php if ( is_home() and current_user_can( 'publish_posts' ) ) : ?>
				<p>
					<?php printf( esc_html__( 'Ready to publish your first post? %1$sGet started here%2$s.', 'smart' ), sprintf( '<a href="%s">', esc_url( admin_url( 'post-new.php' ) ) ), '</a>' ); ?>
				</p>

			<?php elseif ( is_search() ) : ?>
				<p>
					<?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'smart' ); ?>
				</p>

				<?php get_search_form(); ?>

			<?php else : ?>
				<p>
					<?php esc_html_e( 'It seems we can\'t find what you\'re looking for. Perhaps searching can help.', 'smart' ); ?>
				</p>

				<?php get_search_form(); ?>

			<?php endif; ?>

		</div><!-- .entry-content -->

	</div>
