<?php
/**
 * Smart by NiceThemes.
 *
 * The Header for our theme.
 *
 * Displays all of the `<head>` section and everything up till `<div id="container">`
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />

	<!-- Pingback -->
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" /><![endif]-->

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> <?php nice_body_data(); ?>>
	<?php
		/**
		 * @hook nice_before_wrapper
		 *
		 * Hook here to display elements before the `#wrapper` element.
		 *
		 * @since 1.0.0
		 *
		 * Hooked here:
		 * @see nice_full_page_overlay_loader() - 10 (Displays the full page overlay markup when needed)
		 */
		do_action( 'nice_before_wrapper' );
	?>
	<!-- BEGIN #wrapper -->
	<div id="wrapper">

		<?php
			/**
			 * @hook nice_header
			 *
			 * The page header is printed here. This hook should be used to add,
			 * modify or remove HTML elements from the page header.
			 *
			 * @since 1.0.0
			 *
			 * Hooked here:
			 * @see nice_header() - 10
			 */
			do_action( 'nice_header' );
		?>

		<?php
			/**
			 * @hook nice_heading
			 *
			 * The heading of the current page is printed here. This hook
			 * should be used to add, modify or remove HTML elements from the
			 * page heading.
			 *
			 * @since 1.0.0
			 *
			 * Hooked here:
			 * @see nice_heading() - 10
			 */
			do_action( 'nice_heading' );
		?>

		<!-- BEGIN #container -->
		<div id="container" <?php nice_container_class(); ?>>
