<?php
/**
 * Smart by NiceThemes.
 *
 * This file hooks to help manage data from taxonomies.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.6
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_post_categories_remove_transient' ) ) :
add_action( 'save_post', 'nice_post_categories_remove_transient' );
/**
 * Remove categories transient when saving post.
 *
 * @since 1.0.0
 *
 * @param int $post_id
 */
function nice_post_categories_remove_transient( $post_id ) {
	delete_transient( md5( 'nice_post_categories_' . $post_id ) );
}
endif;

if ( ! function_exists( 'nice_post_tags_remove_transient' ) ) :
add_action( 'save_post', 'nice_post_tags_remove_transient' );
/**
 * Remove tags transient when saving post.
 *
 * @since 1.0.0
 *
 * @param int $post_id
 */
function nice_post_tags_remove_transient( $post_id ) {
	delete_transient( md5( 'nice_post_tags_' . $post_id ) );
}
endif;
