/**
 * Smart by NiceThemes.
 *
 * NiceCenteredInlineLogo
 *
 * Move centered inline logo to its correct location in mobile and desktop.
 *
 * @since   1.0.0
 * @package Smart
 */
var NiceCenteredInlineLogo = ( function( $ ) {
	'use strict';

	var breakpoint = 1024,

	init = function() {
		$( document ).ready( function() {
			var $logoContainer = $( '#logo-container.menu-item' ),
				$logo          = $( '#logo' ),
				$headerInner   = $( '#header-inner' );

			// Return early if we don't have a centered logo.
			if ( ! $logoContainer.length ) {
				return;
			}

			if ( 'desktop' === $( window ).data( 'viewport-type' ) ) {
				$logo.prependTo( $logoContainer );
			} else if ( 'mobile' === $( window ).data( 'viewport-type' ) ) {
				$logo.prependTo( $headerInner );
			} else if ( $( window ).width() >= breakpoint ) {
				$logo.prependTo( $logoContainer );
			} else {
				$logo.prependTo( $headerInner );
			}

			// Move to the header's top level in mobile layout.
			$( window ).on( 'desktop2mobile', function() {
				$logo.prependTo( $headerInner );
			} );

			// Move inside navigation navigation menu in desktop layout.
			$( window ).on( 'mobile2desktop', function() {
				$logo.prependTo( $logoContainer );
			} );
		} );
	};

	return {
		init: init
	};
} )( jQuery );

// Setup as soon as possible.
NiceCenteredInlineLogo.init();