<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage navigation menus.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_nav_menus' ) ) :
add_action( 'init', 'nice_nav_menus' );
/**
 * Register navigation menus.
 *
 * @since 1.0.0
 */
function nice_nav_menus() {
	register_nav_menu( 'navigation-menu', esc_html__( 'Navigation Menu', 'smart' ) );
	register_nav_menu( 'top-bar-menu', esc_html__( 'Top Bar Menu', 'smart' ) );
}
endif;

if ( ! function_exists( 'nice_get_navigation_menus' ) ) :
/**
 * Return an array containing the navigation menus for select options.
 *
 * @since 1.0.0
 */
function nice_get_navigation_menus() {
	$menus = get_terms( 'nav_menu', array( 'hide_empty' => true ) );
	$menus_array = array();
	$menus_array[''] = esc_html__( 'Inherit', 'smart' );

	foreach ( $menus as $menu ) {
		$menus_array[ $menu->slug ] = $menu->name;
	}

	return $menus_array;
}
endif;
