<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage styles for Infoboxes by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Remove FontAwesome source from plugin.
 *
 * @since 1.0.0
 */
remove_action( 'nice_infoboxes_plugin_enqueue_styles', 'nice_infoboxes_enqueue_font_awesome_styles' );

if ( ! function_exists( 'nice_infoboxes_integration_icon_default_color' ) ) :
add_filter( 'nice_infoboxes_icon_default_color', 'nice_infoboxes_integration_icon_default_color' );
/**
 * Override default color for icons.
 *
 * @since  1.0.0
 *
 * @param  string $color
 *
 * @return string
 */
function nice_infoboxes_integration_icon_default_color( $color = '' ) {
	if ( $user_color = nice_get_option( 'nice_accent_color' ) ) {
		$color = $user_color;
	}

	return $color;
}
endif;

/**
 * Disable color selection for icons.
 *
 * @since 1.0.0
 */
add_filter( 'nice_infoboxes_icon_can_select_color', '__return_false' );
