<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage Admin UI settings for Nice Portfolio
 * by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      https://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.2
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_portfolio_integration_admin_ui_settings' ) ) :
add_filter( 'nice_portfolio_admin_ui_settings', 'nice_portfolio_integration_admin_ui_settings', 20 );
/**
 * Modify plugin settings in Admin UI.
 *
 * @since  1.0.0
 *
 * @param  array $settings
 *
 * @return array
 */
function nice_portfolio_integration_admin_ui_settings( array $settings = array() ) {
	/**
	 * Remove "Avoid CSS" option.
	 */
	if ( isset( $settings['general']['args']['avoidcss'] ) ) {
		unset( $settings['general']['args']['avoidcss'] );
	}

	/**
	 * Add home page image size.
	 */
	if ( isset( $settings['images']['args'] ) ) {
		$settings['images']['args'] = array_merge( array(
			'homepage_image_size' => array(
				'id'          => 'homepage_image_size',
				'title'       => esc_html__( 'Home Page Images', 'smart' ),
				'description' => esc_html__( 'Size of your project images in home page.', 'smart' ),
				'type'        => 'image_size',
				'priority'    => -10,
			),
		), $settings['images']['args'] );
	}

	return $settings;
}
endif;
