<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage the default theme settings.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_portfolio_integration_default_settings' ) ) :
add_filter( 'nice_default_settings', 'nice_portfolio_integration_default_settings' );
/**
 * Define and return default values for theme settings.
 *
 * @param  array $settings
 *
 * @return array
 */
function nice_portfolio_integration_default_settings( $settings = array() ) {
	$theme_settings = array(
		'homepage_portfolio'                                     => true,
		'homepage_portfolio_title'                               => '',
		'homepage_portfolio_description'                         => '',
		'homepage_portfolio_columns'                             => array(
			'range' => 'min',
			'value' => '3',
			'min'   => '1',
			'max'   => '12',
		),
		'homepage_portfolio_limit'                               => 6,
		'homepage_portfolio_prevent_gap'                         => false,
		'homepage_portfolio_grid'                                => 'style-default',
		'homepage_portfolio_full_width'                          => false,
		'homepage_portfolio_background_image'                    => '',
		'homepage_portfolio_background_color'                    => '',
		'homepage_portfolio_background_color_opacity'            => array(
			'range' => 'min',
			'value' => '1',
			'min'   => '0',
			'max'   => '1',
			'step'  => '0.01',
		),
		'homepage_portfolio_text_skin'                           => '',
		'portfolio_allow_gap'                                    => true,
		'portfolio_default_grid'                                 => 'style-default',
		'portfolio_project_header'                               => true,
		'portfolio_project_navigation_menu'                      => '',
		'portfolio_project_navigation_style'                     => '',
		'portfolio_project_header_background_transparent'        => '',
		'portfolio_project_header_background_transparent_mobile' => '',
		'portfolio_project_header_skin'                          => '',
		'portfolio_project_header_background_color'              => '',
		'portfolio_project_navigation_submenu_skin'              => '',
		'portfolio_project_header_width'                         => '',
		'portfolio_project_header_width_value'                   => '',
		'portfolio_project_header_display_search'                => '',
		'portfolio_project_header_display_social'                => '',
		'portfolio_project_heading'                              => true,
		'portfolio_project_title_heading'                        => true,
		'portfolio_project_subtitle'                             => '',
		'portfolio_project_title_alignment'                      => '',
		'portfolio_project_title_alignment_v'                    => '',
		'portfolio_project_title_width'                          => '',
		'portfolio_project_title_width_value'                    => '',
		'portfolio_project_title_height'                         => '',
		'portfolio_project_title_height_min'                     => '',
		'portfolio_project_title_text_transform'                 => '',
		'portfolio_project_title_font_weight'                    => '',
		'portfolio_project_title_font_size'                      => '',
		'portfolio_project_heading_skin'                         => '',
		'portfolio_project_background_image'                     => '',
		'portfolio_project_background_image_parallax'            => '',
		'portfolio_project_background_repeat'                    => '',
		'portfolio_project_background_position'                  => '',
		'portfolio_project_background_size'                      => '',
		'portfolio_project_background_attachment'                => '',
		'portfolio_project_background_color'                     => '',
		'portfolio_project_scroll_down_arrow'                    => false,
		'portfolio_project_content_skin'                         => '',
		'portfolio_project_media_content'                        => true,
		'portfolio_project_content_width'                        => '',
		'portfolio_project_content_width_value'                  => '',
		'portfolio_project_navigation_skin'                      => '',
		'portfolio_project_navigation_background_color'          => '',
		'portfolio_details'                                      => true,
		'post_title_content'                                     => false,
		'portfolio_details_layout'                               => '',
		'portfolio_project_footer'                               => true,
		'portfolio_project_footer_skin'                          => '',
		'portfolio_project_footer_widgets'                       => true,
		'portfolio_project_footer_extended'                      => true,
		'portfolio_project_footer_display_social'                => '',
		'portfolio_project_footer_width'                         => '',
		'portfolio_project_footer_width_value'                   => '',
	);

	return array_merge( $settings, $theme_settings );
}
endif;