<?php
/**
 * Smart by NiceThemes.
 *
 * This file handles processes for media management.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      https://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_portfolio_integration_add_image_sizes' ) ) :
add_action( 'init', 'nice_portfolio_integration_add_image_sizes' );
/**
 * Add custom image sizes
 *
 * @since 1.0.0
 */
function nice_portfolio_integration_add_image_sizes() {
	$settings            = nice_portfolio_settings();
	$homepage_image_size = $settings['homepage_image_size'];

	// Add size for archive images.
	add_image_size(
		'nice-portfolio-homepage',
		absint( $homepage_image_size['width'] ),
		absint( $homepage_image_size['height'] ),
		$homepage_image_size['crop']
	);
}
endif;
