<?php
/**
 * Smart by NiceThemes.
 *
 * This file handles modifications to the default behavior and structure of
 * plugin shortcodes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      https://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_portfolio_integration_shortcode_default_atts' ) ) :
add_filter( 'nice_portfolio_shortcode_default_atts', 'nice_portfolio_integration_shortcode_default_atts' );
/**
 * Modify default attributes for portfolio shortcode.
 *
 * @since  1.0.0
 *
 * @param  array $atts Default attributes.
 *
 * @return array
 */
function nice_portfolio_integration_shortcode_default_atts( array $atts = array() ) {
	return array_merge( $atts, array(
			'gap'   => nice_bool( nice_get_option( 'nice_portfolio_allow_gap' ) ),
			'style' => nice_get_option( 'nice_portfolio_default_grid' ),
		)
	);
}
endif;
