<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for displaying content.
 *
 * Used for single and index/archive/search.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>

<?php
	/**
	 * @hook nice_portfolio_before_single_project
	 *
	 * All actions that print HTML before the single project is displayed
	 * should be hooked here.
	 *
	 * @since 1.0
	 */
	do_action( 'nice_portfolio_before_single_project' );
?>

<article id="portfolio-project-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
		/**
		 * @hook nice_portfolio_before_single_project_content
		 *
		 * All actions that print HTML before the contents of the single project
		 * should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_portfolio_before_single_project_content' );
	?>

	<div class="portfolio-project-content entry">
		<?php
			if ( post_password_required() ) :
				echo get_the_password_form();
			else :
				/**
				 * @hook  nice_portfolio_single_project_content
				 *
				 * All actions that print HTML for the main contents of the
				 * single project should be hooked here.
				 *
				 * @since 1.0
				 *
				 * Hooked here:
				 * @see nice_portfolio_single_project_gallery() - 10 (prints out template-parts/single-project/project-gallery.php)
				 * @see nice_portfolio_single_project_description() - 30 (prints description of the current project)
				 */
				do_action( 'nice_portfolio_single_project_content' );
			endif;
		?>
	</div><!-- .portfolio-project-content -->

	<?php
		/**
		 * @hook nice_portfolio_after_single_project_content
		 *
		 * All actions that print HTML after the contents of the single project
		 * should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_portfolio_after_single_project_content' );
	?>

</article><!-- #portfolio-project-<?php the_ID(); ?> -->

<?php if ( comments_open() or get_comments_number() ) : ?>

	<?php comments_template(); ?>

<?php endif; ?>

<?php
	/**
	 * @hook nice_portfolio_after_single_project
	 *
	 * All actions that print HTML after the single project was displayed
	 * should be hooked here.
	 *
	 * @since 1.0
	 *
	 */
	do_action( 'nice_portfolio_after_single_project' );
?>
