<?php
/**
 * Smart by NiceThemes.
 *
 * Template for portfolio homepage block.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/home.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$nice_options  = nice_portfolio_integration_get_homepage_options();
$wrapper_class = nice_bool( nice_get_option( 'nice_homepage_portfolio_full_width' ) ) ? 'full-width' : 'col-full';
$title         = nice_get_option( 'nice_homepage_portfolio_title' );
$description   = nice_get_option( 'nice_homepage_portfolio_description' );
?>
	<?php if ( nice_bool( nice_get_option( 'nice_homepage_portfolio' ) ) ) : ?>
		<div id="homepage-portfolio" class="<?php nice_homepage_block_class( 'portfolio' ); ?>">
			<div class="inner">
				<div class="overlay"></div>

				<div class="block-wrapper <?php echo esc_attr( $wrapper_class ); ?>">
					<div id="homepage-portfolio-container" class="homepage-container">

						<?php if ( $title or $description ) : ?>
							<header class="homepage-section-title homepage-portfolio-title">

								<?php if ( $title ) : ?>
									<h2 class="portfolio-title title"><?php echo esc_html( $title ); ?></h2>
								<?php endif; ?>

								<?php if ( $description ) : ?>
									<div class="portfolio-description description">
										<?php echo wpautop( $description ); ?>
									</div>

								<?php endif; ?>
							</header>

						<?php endif; ?>

						<?php
							/**
							 * @hook nice_portfolio
							 *
							 * All actions that output HTML for the main content of the
							 * portfolio category page should be hooked here, preferably
							 * through the `nice_portfolio_homepage` hook instead of the
							 * global context.
							 *
							 * @since  1.0
							 *
							 * Hooked here:
							 * @see nice_portfolio() - 10 (prints all published projects)
							 */
							do_action( 'nice_portfolio', nice_portfolio_integration_homepage_args() );
						?>

					</div>

				</div>

			</div>

		</div>

	<?php endif;
