<?php
/**
 * Smart by NiceThemes.
 *
 * Template for category filter.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/filter-categories.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Arguments to obtain categories.
$args = array();

// Use only specified categories (if we have any) when processing shortcodes.
if ( nice_portfolio_doing_shortcode() ) {
	$shortcode = nice_portfolio_current_shortcode();
	$args['include'] = $shortcode->atts['category'];
}

$categories = nice_portfolio_get_categories( $args );

if ( ! empty( $categories ) ) : ?>

	<section class="nice-portfolio-filter filter filter-half-gutter menu-light background-white-color has-bg">

		<div class="isotope-filter filter-inner filter-text-<?php echo is_rtl() ? 'right' : 'left'; ?> filter-default-width">

			<div class="select-term">
				<a href="javascript:void(0);" class="select"><?php esc_html_e( 'Choose a category', 'smart' ) ?></a>
			</div>

			<ul class="terms mobile-hidden">
				<li class="show-all"><a href="javascript:void(0);" class="filter category active" data-class=".item"><?php esc_html_e( 'Show All', 'smart' ); ?></a></li>

				<?php foreach ( $categories as $category ) : ?>
					<li><a href="javascript:void(0);" class="filter category" data-class=".term-<?php echo esc_attr( $category->term_id ); ?>"><?php echo esc_html( $category->name ); ?></a></li>
				<?php endforeach; ?>
			</ul>

		</div>

	</section>

<?php endif; ?>
