<?php
/**
 * Smart by NiceThemes.
 *
 * Template for portfolio category page.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/category.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

get_header(); ?>

	<?php
		/**
		 * @hook nice_portfolio_before_main_content
		 *
		 * All actions that print HTML before the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_portfolio_before_main_content' );
	?>

	<section id="content" <?php nice_content_class( 'main-content full-width' ); ?>>

		<div class="entry-content">

			<?php
				/**
				 * @hook nice_portfolio
				 *
				 * All actions that output HTML for the main content of the
				 * portfolio category page should be hooked here, preferably
				 * through the `nice_portfolio_category_page` hook instead of the
				 * global context.
				 *
				 * @since  1.0
				 *
				 * Hooked here:
				 * @see nice_portfolio() - 10 (prints all published projects)
				 */
				do_action( 'nice_portfolio' );
			?>

		</div>

		<?php nice_pagenavi(); ?>

	</section><!-- #content -->

	<?php
		/**
		 * @hook nice_portfolio_after_main_content
		 *
		 * All actions that print HTML after the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_portfolio_after_main_content' );
	?>

<?php get_footer( 'portfolio' ); ?>
