<?php
/**
 * Smart by NiceThemes.
 *
 * Template for all single portfolio projects.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/single.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

get_header(); ?>

	<?php
		/**
		 * @hook nice_portfolio_before_main_content
		 *
		 * All actions that print HTML before the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_portfolio_before_main_content' );
	?>

	<section id="content" <?php nice_content_class( 'main-content' ); ?>>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php nice_portfolio_get_template_part( 'content-single', 'project' ); ?>

		<?php endwhile; ?>

	</section>

	<?php
		/**
		 * @hook nice_portfolio_after_main_content
		 *
		 * All actions that print HTML after the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_portfolio_after_main_content' );
	?>

<?php get_sidebar( 'portfolio' ); ?>

<?php get_footer( 'portfolio' ); ?>
