<?php
/**
 * Smart by NiceThemes.
 *
 * Template for single project categories.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/single-project/categories.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$categories = nice_portfolio_get_project_categories();
?>
	<?php if ( ! empty( $categories ) ) : ?>

		<section id="nice-portfolio-project-categories" class="clearfix">

			<h5><?php esc_html_e( 'Filed Under', 'smart' ); ?></h5>

			<div class="tagcloud">

				<?php foreach ( $categories as $category ) : ?>

					<a href="<?php echo esc_url( get_term_link( $category->term_id, nice_portfolio_category_name() ) ); ?>"><?php echo esc_html( $category->name ); ?></a>

				<?php endforeach; ?>

			</div>

		</section>

	<?php endif; ?>
