<?php
/**
 * Smart by NiceThemes.
 *
 * Template for single project details.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/single-project/details.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
	<!-- BEGIN .nice-portfolio-project-details -->
	<section class="nice-portfolio-project-details">
		<?php
			/**
			 * @hook nice_portfolio_header
			 *
			 * All actions that add HTML to the header of the current page should be
			 * hooked here.
			 *
			 * @since 1.0
			 *
			 * Hooked here:
			 * @see nice_portfolio_title() - 10 (prints out template-parts/global/title.php)
			 */
			do_action( 'nice_portfolio_header' );
		?>

		<?php
			/**
			 * @hook nice_portfolio_integration_single_project_sidebar
			 *
			 * All actions that add HTML to the sidebar of single projects
			 * should be hooked here.
			 *
			 * @since 1.0
			 *
			 * Hooked here:
			 * @see nice_portfolio_integration_single_project_likes() - 0  (prints out Likes for the current project, if the plugin is active)
			 * @see nice_portfolio_single_project_meta()              - 10 (prints out template-parts/portfolio/single-project/attributes.php)
			 * @see nice_portfolio_single_project_categories()        - 20 (prints out template-parts/portfolio/single-project/categories.php)
			 * @see nice_portfolio_single_project_tags()              - 30 (prints out template-parts/portfolio/single-project/tags.php)
			 */
			do_action( 'nice_portfolio_integration_single_project_details' );
		?>
	</section><!-- .nice-portfolio-project-details -->
