<?php
/**
 * Smart by NiceThemes.
 *
 * Template for single project gallery.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/single-project/gallery.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$project_gallery = nice_portfolio_integration_get_single_project_gallery();
?>
	<?php if ( ! empty( $project_gallery ) ) : ?>

		<?php if ( count( $project_gallery ) > 1 ) : ?>

			<div class="flexslider slider">
				<ul class="slides">

					<?php foreach ( $project_gallery as $attachment_id ) : ?>

						<?php if ( is_numeric( $attachment_id ) ) : // Display image if we have an ID. ?>

							<li class="slide">
								<div class="slide-image">
									<a data-fancybox="group" rel="group[portfolio]" href="<?php echo esc_url( wp_get_attachment_url( $attachment_id ) ) ?>" title="<?php echo get_the_title( $attachment_id ); ?>" data-caption="<?php echo get_the_title( $attachment_id ); ?>">
										<?php nice_portfolio_integration_project_thumbnail( $attachment_id ); ?>
									</a>
								</div>
							</li>

						<?php else : $video = $attachment_id; // Display video if we have HTML code. ?>

							<li class="slide">
								<div class="nice-embed video">
									<?php echo html_entity_decode( $video ); ?>
								</div>
							</li>

						<?php endif; ?>

					<?php endforeach; ?>

				</ul>
			</div>

		<?php else : ?>

			<?php if ( is_numeric( $project_gallery[0] ) ) : ?>

				<div class="project-image">
					<?php nice_portfolio_integration_project_thumbnail( $project_gallery[0] ); ?>
				</div>

			<?php else : $video = $project_gallery[0]; ?>

				<div class="project-video nice-embed video">
					<?php echo html_entity_decode( $video ); ?>
				</div>

			<?php endif; ?>

		<?php endif; ?>

	<?php endif; ?>
