<?php
/**
 * Smart by NiceThemes.
 *
 * Template for single project attributes.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/single-project/attributes.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Obtain date with the format we need.
 */
$start_date = nice_portfolio_get_project_start_date();
$end_date   = nice_portfolio_get_project_end_date();
$date       = $start_date ? $start_date : $end_date;
$date      .= $start_date ? ' &mdash; ' . $end_date : '';
?>
	<div class="portfolio-project-meta clearfix">

		<?php if ( nice_portfolio_get_project_client() ) : ?>
			<span>
				<h5><?php esc_html_e( 'Client', 'smart' ); ?></h5>
				<?php nice_portfolio_project_client(); ?>
			</span>
		<?php endif; ?>

		<?php if ( $date ) : ?>
			<span>
				<h5><?php esc_html_e( 'Date', 'smart' ); ?></h5>
				<?php echo esc_html( $date ); ?>
			</span>
		<?php endif; ?>

		<?php if ( nice_portfolio_get_project_url() ) : ?>
			<span>
				<h5><?php esc_html_e( 'Link', 'smart' ); ?></h5>
				<a href="<?php nice_portfolio_project_url(); ?>" target="_blank"><?php nice_portfolio_project_url(); ?></a>
			</span>
		<?php endif; ?>

	</div>
