<?php
/**
 * Smart by NiceThemes.
 *
 * Template for single project tags.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/integration/nice-portfolio/templates/single-project/tags.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$tags = nice_portfolio_get_project_tags();
?>
	<?php if ( ! empty( $tags ) ) : ?>

		<section id="nice-portfolio-project-tags" class="clearfix">

			<h5><?php esc_html_e( 'Tagged', 'smart' ); ?></h5>

			<div class="tagcloud">

				<?php foreach ( $tags as $tag ) : ?>

					<a href="<?php echo esc_url( get_term_link( $tag->term_id, nice_portfolio_tag_name() ) ); ?>"><?php echo esc_html( $tag->name ); ?></a>

				<?php endforeach; ?>

			</div>

		</section>

	<?php endif; ?>
