<?php
/**
 * Smart by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://www.nicethemes.com/theme-page
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


if ( ! function_exists( 'nice_team_integration_homepage_replacements' ) ) :
add_filter( 'nice_homepage_replacements', 'nice_team_integration_homepage_replacements', 30 );
/**
 * Add Team to home page replacements.
 *
 * @since  1.0.0
 *
 * @param array $replacements
 *
 * @return array
 */
function nice_team_integration_homepage_replacements( array $replacements = array() ) {
	$replacements['team'] = array( 'nice_team_integration_homepage', false );

	return $replacements;
}
endif;

if ( ! function_exists( 'nice_team_integration_heading_display' ) ) :
add_filter( 'nice_heading_display', 'nice_team_integration_heading_display' );
/**
 * Make sue the heading is always displayed in team member pages.
 *
 * @since 1.1
 *
 * @param  boolean $display
 *
 * @return mixed
 */
function nice_team_integration_heading_display( $display ) {
	return nice_team_is_single() ?: $display;
}
endif;
