<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage styles for Team by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_team_integration_remove_styles' ) ) :
add_action( 'after_setup_theme', 'nice_team_integration_remove_styles' );
/**
 * Prevent Team CSS from loading.
 *
 * @since 1.0.0
 *
 * @return array
 */
function nice_team_integration_remove_styles() {
	remove_action( 'nice_team_plugin_enqueue_styles', 'nice_team_enqueue_styles' );
}
endif;

if ( ! function_exists( 'nice_team_integration_styles' ) ) :
add_action( 'nice_register_styles', 'nice_team_integration_styles' );
/**
 * Load our custom styles for Team.
 *
 * @since 1.0.0
 *
 * @param string $template_directory_uri
 */
function nice_team_integration_styles( $template_directory_uri = '' ) {
	$handle = nice_team_plugin_slug() . '-styles';

	wp_register_style( $handle, $template_directory_uri . '/includes/plugin-integrations/nice-team/css/nice-team.css' );
	wp_enqueue_style( $handle );
}
endif;

if ( ! function_exists( 'nice_team_integration_homepage_styles' ) ) :
add_filter( 'nice_homepage_styles', 'nice_team_integration_homepage_styles' );
/**
 * Add inline styles for team section.
 *
 * @since  1.0.0
 *
 * @param  string $styles Default inline CSS.
 *
 * @return string
 */
function nice_team_integration_homepage_styles( $styles = '' ) {
	return $styles . nice_homepage_block_styles( 'team' );
}
endif;
