<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions for sub template-loaders.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_team_integration_homepage' ) ) :
/**
 * Display team members in the homepage.
 *
 * @since  1.0.0
 */
function nice_team_integration_homepage() {
	nice_team_get_template_part( 'home' );
}
endif;

if ( ! function_exists( 'nice_team_integration_loop_member_permalink' ) ) :
/**
 * Display permalink in looped members.
 *
 * @since 1.0.0
 */
function nice_team_integration_loop_member_permalink() {
	nice_team_get_template_part( 'loop/member/permalink' );
}
endif;

if ( ! function_exists( 'nice_team_integration_single_member_thumbnail' ) ) :
/**
 * Display member thumbnail in single team member pages
 *
 * @since  1.0.0
 */
function nice_team_integration_single_member_thumbnail() {
	nice_team_get_template_part( 'single-member/featured-image' );
}
endif;

if ( ! function_exists( 'nice_team_integration_single_member_position' ) ) :
/**
 * Add member position in single team member pages
 *
 * @since  1.0.0
 */
function nice_team_integration_single_member_position() {
	nice_team_get_template_part( 'single-member/position' );
}
endif;
