<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage settings for Nice team by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      https://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_team_integration_normalize_settings' ) ) :
add_action( 'after_setup_theme', 'nice_team_integration_normalize_settings' );
/**
 * Add extra plugin settings that we need for this theme.
 *
 * @since 1.0.0
 */
function nice_team_integration_normalize_settings() {
	$settings = nice_team_settings();

	if ( ! isset( $settings['homepage_image_size'] ) ) {
		update_option( nice_team_plugin_property( 'settings_name' ), array_merge(
			array(
				'homepage_image_size' => array(
					'width'  => 300,
					'height' => 300,
					'crop'   => true,
				),
			), $settings
		) );

		nice_team_refresh_settings();
	}
}
endif;
