<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for displaying content.
 *
 * Used for single and index/archive/search.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/plugin-integrations/nice-team/templates/content-single.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>

<?php
	/**
	 * @hook nice_team_before_single_member
	 *
	 * All actions that print HTML before the single member is displayed
	 * should be hooked here.
	 *
	 * @since 1.0
	 */
	do_action( 'nice_team_before_single_member' );
?>

<article id="team-member-<?php the_ID(); ?>" <?php post_class( nice_team_get_member_class() ); ?>>

	<?php
		/**
		 * @hook nice_team_before_single_member_content
		 *
		 * All actions that print HTML before the contents of the single member
		 * should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_team_before_single_member_content' );
	?>

	<?php
		if ( post_password_required() ) :
			echo get_the_password_form();
		else :
			/**
			 * @hook  nice_team_single_member_content
			 *
			 * All actions that print HTML for the main contents of the
			 * single member should be hooked here.
			 *
			 * @since 1.0
			 *
			 * Hooked here:
			 * @see nice_team_single_member_description() - 10 (prints description of the current member)
			 */
			do_action( 'nice_team_single_member_content' );
		endif;
	?>

	<?php
		/**
		 * @hook nice_team_after_single_member_content
		 *
		 * All actions that print HTML after the contents of the single member
		 * should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_team_after_single_member_content' );
	?>

</article><!-- #team-member-<?php the_ID(); ?> -->

<?php if ( comments_open() or get_comments_number() ) : ?>

	<?php comments_template(); ?>

<?php endif; ?>

<?php
	/**
	 * @hook nice_team_after_single_member
	 *
	 * All actions that print HTML after the single member was displayed
	 * should be hooked here.
	 *
	 * @since 1.0
	 *
	 * Hooked here:
	 * @see nice_team_single_member_navigation() - 10 (prints previous/next member navigation)
	 */
	do_action( 'nice_team_after_single_member' );
?>
