<?php
/**
 * Smart by NiceThemes.
 *
 * Template for team homepage block.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/plugin-integrations/nice-team/templates/home.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$nice_options = nice_team_integration_get_homepage_options();
$title        = nice_get_option( 'nice_homepage_team_title' );
$description  = nice_get_option( 'nice_homepage_team_description' );
?>
	<?php if ( nice_bool( nice_get_option( 'nice_homepage_team' ) ) ) : ?>

		<div id="homepage-team" class="<?php nice_homepage_block_class( 'team' ); ?>">

			<div class="inner">

				<div class="overlay"></div>

				<div class="block-wrapper col-full">

					<div id="homepage-team-container" class="homepage-container">

						<?php if ( $title or $description ) : ?>

							<header class="homepage-section-title homepage-team-title">
								<?php if ( $title ) : ?>

									<h2 class="team-title title"><?php echo esc_html( $title ); ?></h2>

								<?php endif; ?>

								<?php if ( $description ) : ?>

									<div class="team-description description">

										<?php echo wpautop( $description ); ?>

									</div>

								<?php endif; ?>
							</header>



						<?php endif; ?>

						<?php
							/**
							 * @hook nice_team
							 *
							 * All actions that output HTML for the main content of the
							 * team category page should be hooked here, preferably
							 * through the `nice_team_homepage` hook instead of the
							 * global context.
							 *
							 * @since  1.0
							 *
							 * Hooked here:
							 * @see nice_team() - 10 (prints all published projects)
							 */
							do_action( 'nice_team', nice_team_integration_homepage_args() );
						?>

					</div>

				</div>

			</div>

		</div>

	<?php endif; ?>
