<?php
/**
 * Smart by NiceThemes.
 *
 * Template for the thumbnail of a looped member.
 *
 * Override this template by copying it to
 * `your-child-theme/includes/plugin-integrations/nice-team/templates/loop/member/featured-image.php`.
 *
 * @package Smart
 * @since   1.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
$image_size = null;

// Obtain specific image size if we're in the homepage template.
if ( nice_is_homepage() ) {
	$settings   = nice_team_settings();
	$image_size = array(
		$settings['homepage_image_size']['width'],
		$settings['homepage_image_size']['height'],
	);
}
?>
	<?php if ( nice_team_get_member_thumbnail() ) : ?>

		<div class="item-caption">
			<figure class="nice-team-member-featured-image item-caption-inner">
				<a class="item-caption-permalink" href="<?php the_permalink(); ?>">
					<?php
						/**
						 * Print out the member's thumbnail.
						 *
						 * By default, the image will be a square. The value that
						 * you entered in the "Image Size" option of the plugin
						 * settings (or the `image_size` attribute, if you use a
						 * shortcode) will be used for both the width and the
						 * height of the image.
						 *
						 * If you want to use different dimensions for your image,
						 * just override this template and call
						 * `nice_team_member_thumbnail()` this way:
						 *
						 * <?php
						 *      nice_team_member_thumbnail( get_the_ID(), array(
										300, // Or your custom width in pixels.
										300, // Or your custom height in pixels.
						 *          )
						 *      );
						 * ?>
						 */
						nice_team_member_thumbnail( get_the_ID(), $image_size );
						nice_team_integration_loop_member_overlay();
					?>
				</a>
			</figure>
		</div>

	<?php endif; ?>
