<?php
/**
 * Smart by NiceThemes.
 *
 * Template for all single team members.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/plugin-integrations/nice-team/templates/team-member.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

get_header(); ?>

	<?php
		/**
		 * @hook nice_team_before_main_content
		 *
		 * All actions that print HTML before the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_team_before_main_content' );
	?>

	<section id="content" <?php nice_content_class( 'main-content full-width ' . $post->post_name ); ?>>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php nice_team_get_template_part( 'content-single', 'member' ); ?>

		<?php endwhile; ?>

	</section>

	<?php
		/**
		 * @hook nice_team_after_main_content
		 *
		 * All actions that print HTML after the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_team_after_main_content' );
	?>

<?php get_footer( 'team' ); ?>
