<?php
/**
 * Smart by NiceThemes.
 *
 * Template for portfolio category page.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/includes/plugin-integrations/nice-team/templates/team-category.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

get_header(); ?>

	<?php
		/**
		 * @hook nice_team_before_main_content
		 *
		 * All actions that print HTML before the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 */
		do_action( 'nice_team_before_main_content' );
	?>

	<section id="content" <?php post_class(); ?>>

		<?php
			/**
			 * @hook nice_team
			 *
			 * All actions that output HTML for the main content of the
			 * team category page should be hooked here, preferably
			 * through the`nice_team_archive_page` hook instead of the
			 * global context.
			 *
			 * @since  1.0
			 */
			do_action( 'nice_team' );
		?>

	</section>

	<?php
		/**
		 * @hook nice_team_after_main_content
		 *
		 * All actions that print HTML after the current page contents are
		 * displayed should be hooked here.
		 *
		 * @since 1.0
		 *
		 * Hooked here:
		 * @see nice_team_loop_members_page_navigation() - 0 (prints previous/next page navigation)
		 */
		do_action( 'nice_team_after_main_content' );
	?>

<?php get_footer(); ?>
