<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage styles for the Nice Testimonials plugin.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_testimonials_integration_remove_options' ) ) :
add_action( 'current_screen', 'nice_testimonials_integration_remove_options', 0 );
/**
 * Remove options from testimonials settings panel.
 *
 * @since  1.0.0
 *
 * @param WP_Screen $current_screen
 */
function nice_testimonials_integration_remove_options( WP_Screen $current_screen ) {
	$slug = nice_testimonials_plugin_slug();

	// Return early if we're not in the page we want.
	if ( nice_testimonials_post_type_name() . '_page_' . $slug !== $current_screen->id ) {
		return;
	}

	global $wp_settings_fields;

	if ( ! isset( $wp_settings_fields[ $slug ][ $slug ] ) ) {
		return;
	}

	$settings = $wp_settings_fields[ $slug ][ $slug ];

	/**
	 * Remove "avoid CSS" option.
	 *
	 * @since 1.0.0
	 */
	if ( ! empty( $settings['avoidcss'] ) ) {
		unset( $settings['avoidcss'] );
	}

	$wp_settings_fields[ $slug ][ $slug ] = $settings;
}
endif;
