<?php
/**
 * Smart by NiceThemes.
 *
 * Manage testimonial categories for integration with Nice Testimonials.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_testimonials_integration_category_args' ) ) :
add_filter( 'nice_testimonials_post_type_category_args', 'nice_testimonials_integration_category_args' );
/**
 * Alter arguments to make testimonial categories public.
 *
 * @since  1.0.0
 *
 * @param  array $args Arguments to construct output.
 *
 * @return array       Filtered arguments.
 */
function nice_testimonials_integration_category_args( array $args = array() ) {
	// Save original arguments.
	$original_args = $args;

	// Add custom arguments.
	$args = array(
		// Make categories public.
		'public' => true,
		// Configure rewrite rules.
		'rewrite' => array(
			'slug'         => 'testimonial/category',
			'with_front'   => false,
			'hierarchical' => true,
			'ep_mask'      => EP_NONE,
		),
	);
	// Update original arguments.
	$args = wp_parse_args( $args, $original_args );

	return $args;
}
endif;
