<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage the default theme settings.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_testimonials_integration_default_settings' ) ) :
add_filter( 'nice_default_settings', 'nice_testimonials_integration_default_settings' );
/**
 * Define and return default values for theme settings.
 *
 * @param  array $settings
 *
 * @return array
 */
function nice_testimonials_integration_default_settings( $settings = array() ) {
	$theme_settings = array(
		'homepage_testimonials'                          => true,
		'homepage_testimonials_title'                    => '',
		'homepage_testimonials_description'              => '',
		'homepage_testimonials_limit'                    => 4,
		'homepage_testimonials_background_image'         => '',
		'homepage_testimonials_background_color'         => '',
		'homepage_testimonials_background_color_opacity' => array(
			'range' => 'min',
			'value' => '1',
			'min'   => '0',
			'max'   => '1',
			'step'  => '0.01',
		),
		'homepage_testimonials_text_skin'                => '',
	);
	
	return array_merge( $settings, $theme_settings );
}
endif;