<?php
/**
 * Smart by NiceThemes.
 *
 * Manage testimonial categories for integration with Nice Testimonials.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_testimonials_integration_category_template' ) ) :
add_filter( 'template_include', 'nice_testimonials_integration_category_template', 10, 2 );
/**
 * Override the default testimonials category template.
 *
 * @since  1.0.0
 *
 * @param  string $template Original path of template.
 *
 * @return string
 */
function nice_testimonials_integration_category_template( $template ) {
	// Look for a custom file before loading default.
	if ( nice_testimonials_is_category() ) {
		$custom   = locate_template( 'includes/plugin-integrations/nice-testimonials/templates/category.php' );
		$template = $custom ? $custom : $template;
	}

	return $template;
}
endif;