<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage styles for the Nice Testimonials plugin.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_testimonials_integration_remove_styles' ) ) :
add_action( 'after_setup_theme', 'nice_testimonials_integration_remove_styles' );
/**
 * Prevent testimonials CSS from loading.
 *
 * @since 1.0.0
 */
function nice_testimonials_integration_remove_styles() {
	remove_action( 'nice_testimonials_plugin_enqueue_styles', 'nice_testimonials_enqueue_styles' );
}
endif;

if ( ! function_exists( 'nice_testimonials_integration_styles' ) ) :
add_action( 'nice_register_styles', 'nice_testimonials_integration_styles' );
/**
 * Load our custom styles for testimonials.
 *
 * @since 1.0.0
 *
 * @param string $template_directory_uri
 */
function nice_testimonials_integration_styles( $template_directory_uri = '' ) {
	$handle = nice_testimonials_plugin_slug() . '-styles';

	wp_register_style( $handle, $template_directory_uri . '/includes/plugin-integrations/nice-testimonials/css/nice-testimonials.css' );
	wp_enqueue_style( $handle );
}
endif;
