<?php
/**
 * Smart by NiceThemes.
 *
 * Template for testimonials category page.
 *
 * Override this template from a child theme by copying it to
 * `your-child-theme/template-parts/testimonials/category.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
?>
	<?php get_header(); ?>

	<?php
		/**
		 * @hook nice_testimonials_before
		 *
		 * Hook here to print HTML elements before the list of testimonials get
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_testimonials_before' );
	?>

	<section id="content" <?php nice_content_class( 'main-content' ); ?>>
		<div class="entry-content">
			<?php
				/**
				 * @hook nice_testimonials
				 *
				 * Print testimonials if available for this category.
				 *
				 * @since 1.0.0
				 *
				 * Hooked here:
				 * @see nice_testimonials()
				 */
				do_action( 'nice_testimonials', array(
						'category' => nice_testimonials_get_category_id(),
					)
				);
			?>
		</div>
	</section><!-- #content -->

	<?php
		/**
		 * @hook nice_testimonials_before
		 *
		 * Hook here to print HTML elements before the list of testimonials get
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_testimonials_after' );
	?>

	<?php get_footer(); ?>
