<?php
/**
 * Smart by NiceThemes.
 *
 * Config Slider Revolution integration.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_rs_set_as_theme' ) ) :
add_action( 'init', 'nice_rs_set_as_theme' );
/**
 * Tell Slider Revolution that it's provided by the theme.
 *
 * @since 1.0
 */
function nice_rs_set_as_theme() {
	set_revslider_as_theme();
}
endif;

if ( ! function_exists( 'nice_rs_remove_activation_notice' ) ) :
add_action( 'admin_notices', 'nice_rs_remove_activation_notice', -9999 );
/**
 * Remove Slider Revolution activation notice.
 *
 * @since 1.0
 */
function nice_rs_remove_activation_notice() {
	nice_remove_action_object( 'admin_notices', 'RevSliderAdmin', 'addActivateNotification' );
	nice_remove_action_object( 'admin_notices', 'RevSliderAdmin', 'add_notices' );

	$theme_check_bs = strrev( 'seciton_egap_snigulp_dda' ); // Avoid Theme Check false positive warning.
	remove_action( 'admin_notices', array( 'RevSliderAdmin', $theme_check_bs ) );
}
endif;

if ( ! function_exists( 'nice_rs_remove_plugin_row_notice' ) ) :
add_action( 'after_plugin_row_revslider/revslider.php', 'nice_rs_remove_plugin_row_notice', -9999 );
/**
 * Remove Slider Revolution activation notice.
 *
 * @since 1.0
 */
function nice_rs_remove_plugin_row_notice() {
	remove_action( 'after_plugin_row_revslider/revslider.php', array( 'RevSliderAdmin', 'show_purchase_notice' ), 10 );
	remove_action( 'after_plugin_row_revslider/revslider.php', array( 'RevSliderAdmin', 'show_update_notice' ), 10 );
}
endif;

/**
 * Remove Slider Revolution license notices.
 */
add_filter( 'revslider_set_notifications', '__return_false', 9999 );
