<?php
/**
 * Smart by NiceThemes.
 *
 * Register classes for autoloading.
 *
 * Classes registered here don't follow the standard naming convention for
 * the advanced autoloader, so they need to be registered separately.
 *
 * @see \NiceThemes\PHP_File_Manager\Advanced_Loader
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.2
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_autoload_classes' ) ) {
	return;
}

$class_preffix = 'Nice_VCIntegration_';
$dirname       = nice_dir_path( __FILE__ );

nice_autoload_classes( array(
		$class_preffix . 'Banner'                 => $dirname . 'class-banner.php',
		$class_preffix . 'Cards_Gallery'          => $dirname . 'class-cards-gallery.php',
		$class_preffix . 'Countdown'              => $dirname . 'class-countdown.php',
		$class_preffix . 'Counter'                => $dirname . 'class-counter.php',
		$class_preffix . 'Gallery_Image'          => $dirname . 'class-gallery-image.php',
		$class_preffix . 'Gallery_Shortcode'      => $dirname . 'class-gallery-shortcode.php',
		$class_preffix . 'Generic_Admin'          => $dirname . 'class-generic-admin.php',
		$class_preffix . 'Image_Hover'            => $dirname . 'class-image-hover.php',
		$class_preffix . 'LoopQueryBuilder'       => $dirname . 'class-loop-query-builder.php',
		$class_preffix . 'Message'                => $dirname . 'class-message.php',
		$class_preffix . 'Post_Item_HTML_Builder' => $dirname . 'class-post-item-html-builder.php',
		$class_preffix . 'Post_Item'              => $dirname . 'class-post-item.php',
		$class_preffix . 'Posts_Shortcode'        => $dirname . 'class-posts-shortcode.php',
		$class_preffix . 'Pricing'                => $dirname . 'class-pricing.php',
		$class_preffix . 'Video_Lightbox'         => $dirname . 'class-video-lightbox.php',
	)
);
