<?php
/**
 * Smart by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
if ( ! class_exists( 'Nice_VCIntegration_Generic_Admin' ) ) :
/**
 * Class Nice_VCIntegration_Generic_Admin
 *
 * Implement generic admin for the VC implementation
 *
 * @since 1.0.0
 */
class Nice_VCIntegration_Generic_Admin extends WPBakeryShortCode {
	/**
	 * Obtain shortcode template.
	 *
	 * @param string $content
	 *
	 * @return string
	 */
	public function singleParamHtmlHolder( $param, $value ) {
		$output     = '';
		$param_name = isset( $param['param_name'] ) ? $param['param_name'] : '';
		$type       = isset( $param['type'] )       ? $param['type']       : '';
		$class      = isset( $param['class'] )      ? $param['class']      : '';

		if ( ! empty( $param['admin_label'] ) && true === $param['admin_label'] ) {
			$output .= '<span class="vc_admin_label admin_label_' . $param['param_name'] . ( empty( $value ) ? ' hidden-label' : '' ) . '"><label>' . $param['heading'] . '</label>: ' . $value . '</span>';
		}

		if ( ! empty( $param['holder'] ) ) {
			$output .= '<' . $param['holder'] . ' class="vc_admin_label wpb_vc_param_value ' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '">' . $value . '</' . $param['holder'] . '>';
		}

		return $output;
	}
}
endif;
