<?php
/**
 * Smart by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
if ( ! class_exists( 'Nice_VCIntegration_LoopQueryBuilder' ) ) :
// Load dependency.
require_once vc_path_dir( 'PARAMS_DIR', 'loop/loop.php' );
/**
 * Class Nice_VCIntegration_LoopQueryBuilder
 *
 * Extend VC query builder.
 *
 * @since 1.0.0
 */
class Nice_VCIntegration_LoopQueryBuilder extends VcLoopQueryBuilder {
	/**
	 * Parse page number into query arguments.
	 *
	 * @param mixed|int|string $paged
	 */
	protected function parse_paged( $paged ) {
		$this->args['paged'] = $paged;
	}

	/**
	 * Parse category arguments into tax query.
	 *
	 * @param array $args
	 */
	protected function parse_categories( $args ) {
		global $wpdb;

		$term_query = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $wpdb->term_taxonomy WHERE term_id = %d", $args ) );
		if ( is_null( $term_query ) ) {
			return;
		}

		$term_type  = $term_query->taxonomy;

		$this->args['tax_query'] = array(
			'relation' => 'AND',
		);

		$this->args['tax_query'][] = array(
			'field'    => 'id',
			'taxonomy' => $term_type,
			'terms'    => explode( ',', trim( $args, ',' ) ),
			'operator' => 'IN',
		);
	}
}
endif;
