<?php
/**
 * Smart by NiceThemes.
 *
 * VC components
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_move_extra_class' ) ) :
add_action( 'vc_after_init', 'nice_vc_move_extra_class' );
/**
 * Move the extra class input to an "Extra" group.
 *
 * @since 1.0.0
 */
function nice_vc_move_extra_class() {
	$shortcodes = WPBMap::getShortCodes();

	foreach ( $shortcodes as $shortcode ) {
		$extra_class = WPBMap::getParam( $shortcode['base'], 'el_class' );

		if ( ! empty( $extra_class ) ) {
			$extra_class['group'] = esc_html__( 'Extra', 'smart' );

			vc_update_shortcode_param( $shortcode['base'], $extra_class );
		}
	}
}
endif;

if ( ! function_exists( 'nice_vc_move_animation' ) ) :
add_action( 'vc_after_init', 'nice_vc_move_animation' );
/**
 * Move the CSS animation dropdown to an "Animation" group.
 *
 * @since 1.0.0
 */
function nice_vc_move_animation() {
	$shortcodes = WPBMap::getShortCodes();

	foreach ( $shortcodes as $shortcode ) {
		$css_animation = WPBMap::getParam( $shortcode['base'], 'css_animation' );

		if ( ! empty( $css_animation ) ) {
			// Replace default animation values.
			unset( $css_animation['value'] );
			$css_animation = array_merge( nice_vc_integration_add_css_animation(), $css_animation );

			vc_update_shortcode_param( $shortcode['base'], $css_animation );
		}
	}
}
endif;
