<?php
/**
 * Smart by NiceThemes.
 *
 * Cards Gallery
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_map_cards_gallery' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_map_cards_gallery' );
/**
 * Map the Cards Gallery.
 *
 * @since  1.0.0
 */
function nice_vc_integration_map_cards_gallery() {

	vc_map( array(
		'name'           => esc_html__( 'Cards Gallery', 'smart' ),
		'base'           => 'nice_cards_gallery',
		'icon'           => 'bi_media-image-b',
		'php_class_name' => 'Nice_VCIntegration_Cards_Gallery',
		'category'       => esc_html__( 'Content', 'smart' ),
		'description'    => esc_html__( 'Cards Gallery', 'smart' ),
		'params'         => array(
			array(
				'type'        => 'attach_images',
				'heading'     => esc_html__( 'Images', 'smart' ),
				'param_name'  => 'images',
				'description' => esc_html__( 'Select images from media library.', 'smart' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Expanding Side', 'smart' ),
				'param_name'  => 'expanding_side',
				'description' => esc_html__( 'Choose on which side images will be expanded.', 'smart' ),
				'value'       => array(
					esc_html__( 'Left', 'smart' )   => 'left',
					esc_html__( 'Right', 'smart' )  => 'right',
					esc_html__( 'Top', 'smart' )    => 'top',
					esc_html__( 'Bottom', 'smart' ) => 'bottom'
				),
				'save_always' => true,
				'admin_label' => true,
			),
			array(
				'type'               => 'dropdown_color',
				'heading'            => esc_html__( 'Cards Background Color', 'smart' ),
				'param_name'         => 'background_color',
				'param_holder_class' => 'vc_colored-dropdown',
				'description'        => esc_html__( 'Specify the cards background color.', 'smart' ),
				'value'              => nice_vc_integration_colors(),
			),
			nice_vc_integration_add_css_animation(),
			nice_vc_integration_add_css_animation_speed(),
			nice_vc_integration_add_css_animation_delay()
		)
	) );
}
endif;

if ( ! function_exists( 'nice_vc_integration_cards_gallery_current_shortcode' ) ) :
/**
 * Obtain object related to current shortcode being processed.
 *
 * @since  1.0.0
 *
 * @param  Nice_VCIntegration_Cards_Gallery_Shortcode $shortcode
 *
 * @return Nice_VCIntegration_Cards_Gallery_Shortcode
 */
function nice_vc_integration_cards_gallery_current_shortcode( Nice_VCIntegration_Cards_Gallery $shortcode = null ) {
	static $current = null;

	if ( $shortcode ) {
		$current = $shortcode;
	}

	return $current;
}
endif;
