<?php
/**
 * Smart by NiceThemes.
 *
 * Empty Space
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_map_empty_space' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_map_empty_space' );
/**
 * Map the Empty Space
 *
 * @since  1.0.0
 */
function nice_vc_integration_map_empty_space() {

	vc_map( array(
		'name'        => esc_html__( 'Empty Space', 'smart' ),
		'base'        => 'vc_empty_space',
		'icon'        => 'bi_interface-vertical',
		'category'    => esc_html__( 'Content', 'smart' ),
		'description' => esc_html__( 'Blank space with custom height', 'smart' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Height', 'smart' ),
				'param_name'  => 'height',
				'value'       => '32px',
				'description' => esc_html__( 'Enter empty space height (Note: CSS measurement units allowed).', 'smart' ),
				'admin_label' => true,
			),
			nice_vc_integration_add_responsive_desktop(),
			nice_vc_integration_add_responsive_tablet(),
			nice_vc_integration_add_responsive_mobile(),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'smart' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'smart' ),
			),
		),
	) );
}
endif;
