<?php
/**
 * Smart by NiceThemes.
 *
 * Message Box [vc_message]
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_map_message_box' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_map_message_box' );
/**
 * Create the message box, map with vc_message
 *
 * @since  1.0.0
 */
function nice_vc_integration_map_message_box() {

	vc_map( array(
		'name'        => esc_html__( 'Message Box', 'smart' ),
		'base'        => 'vc_message',
		'icon'        => 'bi_com-bubble-dot-a',
		'category'    => esc_html__( 'Content', 'smart' ),
		'description' => esc_html__( 'Notification box', 'smart' ),
		'php_class_name' => 'Nice_VCIntegration_Message',
		'params'      => array(
			array(
				'type'        => 'dropdown_color',
				'heading'     => esc_html__( 'Message Box Background', 'smart' ),
				'param_name'  => 'message_box_color',
				'param_holder_class' => 'vc_colored-dropdown',
				'value'       => nice_vc_integration_colors(),
				'description' => esc_html__( 'Select message box color.', 'smart' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Shape', 'smart' ),
				'param_name'  => 'style',
				// due to backward compatibility message_box_shape
				'std' => 'rounded',
				'value'       => array(
					esc_html__( 'Square', 'smart' ) => 'square',
					esc_html__( 'Rounded', 'smart' ) => 'rounded',
				),
				'description' => esc_html__( 'Select message box shape.', 'smart' ),
			),
			array(
				'type'        => 'textarea_html',
				'holder' => 'div',
				'class' => 'messagebox_text',
				'heading'     => esc_html__( 'Message text', 'smart' ),
				'param_name'  => 'content',
				'value'       => esc_html__( 'I am a message box. Click edit button to change this text.', 'smart' ),
			),
			nice_vc_integration_add_css_animation(),
			nice_vc_integration_add_css_animation_speed(),
			nice_vc_integration_add_css_animation_delay(),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'smart' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'smart' ),
			),
		),
	) );
}
endif;
