<?php
/**
 * Smart by NiceThemes.
 *
 * Pie chart
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_map_pie' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_map_pie' );
/**
 * Map the pie chart.
 *
 * @since  1.0.0
 */
function nice_vc_integration_map_pie() {

	vc_map( array(
		'name'        => esc_html__( 'Pie Chart', 'smart' ),
		'base'        => 'vc_pie',
		'class'       => '',
		'icon'        => 'bi_doc-pie-b',
		'category'    => esc_html__( 'Content', 'smart' ),
		'description' => esc_html__( 'Animated Pie chart', 'smart' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Widget title', 'smart' ),
				'param_name'  => 'title',
				'description' => esc_html__( 'Enter text used as widget title (Note: located above content element).', 'smart' ),
				'admin_label' => true,
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Value', 'smart' ),
				'param_name'  => 'value',
				'description' => esc_html__( 'Enter value for graph (Note: choose range from 0 to 100).', 'smart' ),
				'value'       => '50',
				'admin_label' => true,
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Label value', 'smart' ),
				'param_name'  => 'label_value',
				'description' => esc_html__( 'Enter label for pie chart (Note: leaving empty will set value from "Value" field).', 'smart' ),
				'value'       => '',
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Units', 'smart' ),
				'param_name'  => 'units',
				'description' => esc_html__( 'Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'smart' ),
			),
			array(
				'type'        => 'dropdown_color',
				'heading'     => esc_html__( 'Color', 'smart' ),
				'param_name'  => 'color',
				'value'       => nice_vc_integration_colors(),
				'description' => esc_html__( 'Select pie chart color.', 'smart' ),
				'admin_label' => true,
				'param_holder_class' => 'vc_colored-dropdown',
			),
			nice_vc_integration_add_css_animation(),
			nice_vc_integration_add_css_animation_speed(),
			nice_vc_integration_add_css_animation_delay(),
		),
	)
	);
}
endif;
