<?php
/**
 * Smart by NiceThemes.
 *
 * Separator
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_map_separator' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_map_separator' );
/**
 * Map the separator.
 *
 * @since  1.0.0
 */
function nice_vc_integration_map_separator() {

	vc_map( array(
		'name'        => esc_html__( 'Separator', 'smart' ),
		'base'        => 'vc_separator',
		'class'       => '',
		'icon'        => 'bi_interface-horizontal-a-1',
		'show_settings_on_create' => true,
		'category'    => esc_html__( 'Content', 'smart' ),
		'description' => esc_html__( 'Horizontal Separator Line', 'smart' ),
		'params'      => array(
			array(
				'type'        => 'dropdown_color',
				'heading'     => esc_html__( 'Color', 'smart' ),
				'param_name'  => 'color',
				'value'       => nice_vc_integration_colors(),
				'description' => esc_html__( 'Select separator color.', 'smart' ),
				'param_holder_class' => 'vc_colored-dropdown',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Style', 'smart' ),
				'param_name'  => 'type',
				'value'       => array(
					esc_html__( 'Border', 'smart' ) => '',
					esc_html__( 'Dashed', 'smart' ) => 'dashed',
					esc_html__( 'Dotted', 'smart' ) => 'dotted',
					esc_html__( 'Double', 'smart' ) => 'double'
				),
				'description' => esc_html__( 'Separator style.', 'smart' )
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Custom width', 'smart' ),
				'param_name'  => 'el_width',
				'description' => esc_html__( 'Insert the custom value in % or px.', 'smart' )
			) ,
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Custom thickness', 'smart' ),
				'param_name'  => 'el_height',
				'description' => esc_html__( 'Insert the custom value in em or px. This option can\'t be used with the separator with the icon.', 'smart' ),
			),
				array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Icon library', 'smart' ),
				'value'       => array(
					esc_html__( 'None', 'smart' )          => '',
					esc_html__( 'Font Awesome', 'smart' )  => 'fontawesome',
					esc_html__( 'Open Iconic', 'smart' )   => 'openiconic',
					esc_html__( 'Typicons', 'smart' )      => 'typicons',
					esc_html__( 'Entypo', 'smart' )        => 'entypo',
					esc_html__( 'Linecons', 'smart' )      => 'linecons',
					esc_html__( 'ET Line Icons', 'smart' ) => 'etlineicons',
					esc_html__( 'Linea Icons', 'smart' )   => 'lineaicons',
				),
				'admin_label' => false,
				'param_name'  => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'smart' ),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_fontawesome',
				'value'       => '',
				'settings'    => array(
					'emptyIcon'    => true,
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value'   => 'fontawesome',
				),
				'description' => esc_html__( 'Select icon from library.', 'smart' ),
			),
			array(
				'type'       => 'iconpicker',
				'heading'    => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_openiconic',
				'value'      => '',
				'settings'   => array(
					'emptyIcon'    => true,
					'type'         => 'openiconic',
					'iconsPerPage' => 4000,
				),
				'dependency'  => array(
					'element' => 'icon_type',
					'value'   => 'openiconic',
				),
				'description' => esc_html__( 'Select icon from library.', 'smart' ),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_typicons',
				'value'       => 'typcn typcn-adjust-brightness',
				'settings'    => array(
					'emptyIcon'    => true,
					'type'         => 'typicons',
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value'   => 'typicons',
				),
				'description' => esc_html__( 'Select icon from library.', 'smart' ),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_entypo',
				'value'       => '',
				'settings'    => array(
					'emptyIcon'    => true,
					'type'         => 'entypo',
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value'   => 'entypo',
				),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_linecons',
				'value'       => '',
				'settings'    => array(
					'emptyIcon'    => true,
					'type'         => 'linecons',
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value'   => 'linecons',
				),
				'description' => esc_html__( 'Select icon from library.', 'smart' ),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_etlineicons',
				'settings'    => array(
					'emptyIcon' => true,
					'type'      => 'etlineicons',
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value'   => 'etlineicons',
				),
				'description' => esc_html__( 'Select icon from library.', 'smart' ),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'smart' ),
				'param_name'  => 'icon_lineaicons',
				'value'       => '', // default value to backend editor admin_label
				'settings'    => array(
					'emptyIcon' => false,
					'type'      => 'lineaicons',
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'type',
					'value'   => 'lineaicons',
				),
				'description' => esc_html__( 'Select icon from library.', 'smart' ),
				'group'       => esc_html__( 'Icon', 'smart' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Icon position', 'smart' ),
				'param_name'  => 'icon_position',
				'description' => esc_html__( 'Choose the position of the icon.', 'smart' ),
				'value' => array(
					esc_html__( 'Center', 'smart' ) => '',
					esc_html__( 'Left', 'smart' ) => 'left',
					esc_html__( 'Right', 'smart' ) => 'right',
				),
				'dependency' => array(
					'element' => 'icon_type',
					'not_empty' => true,
				),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Activate scroll to top', 'smart' ),
				'param_name'  => 'scroll_top',
				'description' => esc_html__( 'Activate if you want the scroll top function with the icon.', 'smart' ),
				'value' => array(
					esc_html__( 'Yes, please', 'smart' ) => 'yes'
				) ,
				'dependency' => array(
					'element'   => 'icon_type',
					'not_empty' => true
				),
			),
			nice_vc_integration_add_css_animation(),
			nice_vc_integration_add_css_animation_speed(),
			nice_vc_integration_add_css_animation_delay(),
		),
	)
	);
}
endif;
