<?php
/**
 * Smart by NiceThemes.
 *
 * Config VC integration.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_set_as_theme' ) ) :
add_action( 'vc_before_init', 'nice_vc_set_as_theme' );
/**
 * Set visual composer as a theme component.
 *
 * @since 1.0
 */
function nice_vc_set_as_theme() {
	vc_set_as_theme();
}
endif;

if ( ! function_exists( 'nice_vc_integration_setup_post_global' ) ) :
add_action( 'admin_bar_menu', 'nice_vc_integration_setup_post_global', -999 );
/**
 * Restore $post global in case VC messed with it.
 *
 * @since 1.0.3
 */
function nice_vc_integration_setup_post_global() {
	if ( ! is_singular() ) {
		return;
	}

	global $post;

	if ( is_null( $post ) && isset( $GLOBALS['id'] ) ) {
		$post = get_post( $GLOBALS['id'] ); // WPCS: override ok.
	}
}
endif;
