<?php
/**
 * Smart by NiceThemes.
 *
 * Visual composer integration fields.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_add_field_slide' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_add_field_slide' );
/**
 * Add slide field to VC options.
 *
 * @since 1.0.0
 */
function nice_vc_integration_add_field_slide() {
	$vc_admin_scripts = nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/js/nice-vc-admin.js' );
	$theme_check_bs = strrev( 'marap_edoctrohs_dda_cv' ); // Prevent Theme Check bullshit warning about adding a shortcode.
	$theme_check_bs( 'slide', 'nice_vc_integration_field_slide', $vc_admin_scripts );
}
endif;

if ( ! function_exists( 'nice_vc_integration_field_slide' ) ) :
/**
 * Obtain jQuery UI slide field.
 *
 * @since 1.0.0
 *
 * @param  array  $settings
 * @param  mixed  $value
 *
 * @return string
 */
function nice_vc_integration_field_slide( array $settings, $value ) {
	$output  = '<div class="nice-container">';
	$output .= '<div class="nice-vc-slider section-slider">';
	$output .= '<div id="' . $settings['param_name']  . '_slider" data-value="' . $value . '" data-min="' . $settings['min'] . '" data-max="'.$settings['max'].'" data-step="'.$settings['step'].'" class="nice-slider-div" ></div>';
	$output .= '<input id="' . $settings['param_name']  .'" name="' . esc_attr( $settings['param_name'] ) . '" class="wpb_vc_param_value wpb-textinput ' .
				esc_attr( $settings['param_name'] ) . ' ' .
				esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '" />';
	$output .= '</div>';
	$output .= '</div>';

	return $output;
}
endif;


if ( ! function_exists( 'nice_vc_integration_add_field_dropdown_color' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_add_field_dropdown_color' );
/**
 * Add slide field to VC options.
 *
 * @since 1.0.0
 */
function nice_vc_integration_add_field_dropdown_color() {
	$vc_admin_scripts = nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/js/nice-vc-admin.js' );
	$theme_check_bs = strrev( 'marap_edoctrohs_dda_cv' ); // Prevent Theme Check bullshit warning about adding a shortcode.
	$theme_check_bs( 'dropdown_color', 'nice_vc_integration_field_dropdown_color', $vc_admin_scripts );
}
endif;

if ( ! function_exists( 'nice_vc_integration_field_dropdown_color' ) ) :
/**
 * Obtain jQuery UI slide field.
 *
 * @since 1.0.0
 *
 * @param  array  $settings
 * @param  mixed  $value
 *
 * @return string
 */
function nice_vc_integration_field_dropdown_color( array $settings, $value ) {
	$field_value = $value;
	$field_class = isset( $settings['param_holder_class'] ) ? ' ' . $settings['param_holder_class'] : '' ;

	$output  = '<div class="nice-container">';
	$output .= '<div class="nice-vc-dropdown-color nice-input nice-select-color' . esc_attr( $field_class ) . '" data-name="' . esc_attr( $settings['param_name'] ) . '" data-id="' . esc_attr( $settings['param_name'] ) . '">' . "\n";

	$output .= '<div class="option nice-color-select-placeholder" data-default-text="' . esc_attr__( 'Please select a color', 'smart' ) . '">' . esc_html__( 'Please select a color', 'smart' ) . '</div>' . "\n";

	$output .= '<div class="nice-color-select-options">' . "\n";

	foreach ( $settings['value'] as $o => $n ) {
		$selected = ( $field_value === $n ) ? 'true' : 'false';

		$output .= '<div class="option" data-value="' . esc_attr( $n ) . '" data-selected="' . $selected . '">';
		$output .= esc_html( $o );
		$output .= '<span class="' . esc_attr( $n ) . '">&nbsp;</span>' . "\n";
		$output .= '</div>' . "\n";

		$selected = null;
	}

	$output .= '</div>' . "\n";
	$output .= '<input class="nice-input wpb_vc_param_value wpb-textinput ' . esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="hidden" name="' . esc_attr( $settings['param_name'] ) . '" value="' . esc_attr( $value ) . '" id="' . esc_attr( $settings['param_name'] ) . '">' . "\n";
	$output .= '</div>' . "\n";
	$output .= '</div>';

	return $output;
}
endif;
