<?php
/**
 * Smart by NiceThemes.
 *
 * Add more icons to Visual Composer.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_iconpicker_type_etlineicons' ) ) :
add_filter( 'vc_iconpicker-type-etlineicons', 'nice_vc_iconpicker_type_etlineicons' );
/**
 * Return an array of icons of the ET line Icons icons
 *
 * @since 1.0
 */
function nice_vc_iconpicker_type_etlineicons( $icons ) {
	$etlineicons = array(
		array( 'etlineicon-mobile'           => esc_html__( 'Mobile', 'smart' ) ),
		array( 'etlineicon-laptop'           => esc_html__( 'Laptop', 'smart' ) ),
		array( 'etlineicon-desktop'          => esc_html__( 'Desktop', 'smart' ) ),
		array( 'etlineicon-tablet'           => esc_html__( 'Tablet', 'smart' ) ),
		array( 'etlineicon-phone'            => esc_html__( 'Phone', 'smart' ) ),
		array( 'etlineicon-document'         => esc_html__( 'Document', 'smart' ) ),
		array( 'etlineicon-documents'        => esc_html__( 'Documents', 'smart' ) ),
		array( 'etlineicon-search'           => esc_html__( 'Search', 'smart' ) ),
		array( 'etlineicon-clipboard'        => esc_html__( 'Clipboard', 'smart' ) ),
		array( 'etlineicon-newspaper'        => esc_html__( 'Newspaper', 'smart' ) ),
		array( 'etlineicon-notebook'         => esc_html__( 'Notebook', 'smart' ) ),
		array( 'etlineicon-book-open'        => esc_html__( 'Book Open', 'smart' ) ),
		array( 'etlineicon-browser'          => esc_html__( 'Browser', 'smart' ) ),
		array( 'etlineicon-calendar'         => esc_html__( 'Calendar', 'smart' ) ),
		array( 'etlineicon-presentation'     => esc_html__( 'Presentation', 'smart' ) ),
		array( 'etlineicon-picture'          => esc_html__( 'Picture', 'smart' ) ),
		array( 'etlineicon-pictures'         => esc_html__( 'Pictures', 'smart' ) ),
		array( 'etlineicon-video'            => esc_html__( 'Video', 'smart' ) ),
		array( 'etlineicon-camera'           => esc_html__( 'Camera', 'smart' ) ),
		array( 'etlineicon-printer'          => esc_html__( 'Printer', 'smart' ) ),
		array( 'etlineicon-toolbox'          => esc_html__( 'Toolbox', 'smart' ) ),
		array( 'etlineicon-briefcase'        => esc_html__( 'Briefcase', 'smart' ) ),
		array( 'etlineicon-wallet'           => esc_html__( 'Wallet', 'smart' ) ),
		array( 'etlineicon-gift'             => esc_html__( 'Gift', 'smart' ) ),
		array( 'etlineicon-bargraph'         => esc_html__( 'Bar Graph', 'smart' ) ),
		array( 'etlineicon-grid'             => esc_html__( 'Grid', 'smart' ) ),
		array( 'etlineicon-expand'           => esc_html__( 'Expand', 'smart' ) ),
		array( 'etlineicon-focus'            => esc_html__( 'Focus', 'smart' ) ),
		array( 'etlineicon-edit'             => esc_html__( 'Edit', 'smart' ) ),
		array( 'etlineicon-adjustments'      => esc_html__( 'Adjustments', 'smart' ) ),
		array( 'etlineicon-ribbon'           => esc_html__( 'Ribbon', 'smart' ) ),
		array( 'etlineicon-hourglass'        => esc_html__( 'Hourglass', 'smart' ) ),
		array( 'etlineicon-lock'             => esc_html__( 'Lock', 'smart' ) ),
		array( 'etlineicon-megaphone'        => esc_html__( 'Megaphone', 'smart' ) ),
		array( 'etlineicon-shield'           => esc_html__( 'Shield', 'smart' ) ),
		array( 'etlineicon-trophy'           => esc_html__( 'Trophy', 'smart' ) ),
		array( 'etlineicon-flag'             => esc_html__( 'Flag', 'smart' ) ),
		array( 'etlineicon-map'              => esc_html__( 'Map', 'smart' ) ),
		array( 'etlineicon-puzzle'           => esc_html__( 'Puzzle', 'smart' ) ),
		array( 'etlineicon-basket'           => esc_html__( 'Basket', 'smart' ) ),
		array( 'etlineicon-envelope'         => esc_html__( 'Envelope', 'smart' ) ),
		array( 'etlineicon-streetsign'       => esc_html__( 'Street Sign', 'smart' ) ),
		array( 'etlineicon-telescope'        => esc_html__( 'Telescope', 'smart' ) ),
		array( 'etlineicon-gears'            => esc_html__( 'Gears', 'smart' ) ),
		array( 'etlineicon-key'              => esc_html__( 'Key', 'smart' ) ),
		array( 'etlineicon-paperclip'        => esc_html__( 'Paperclip', 'smart' ) ),
		array( 'etlineicon-attachment'       => esc_html__( 'Attachment', 'smart' ) ),
		array( 'etlineicon-pricetags'        => esc_html__( 'Price Tags', 'smart' ) ),
		array( 'etlineicon-lightbulb'        => esc_html__( 'Lightbulb', 'smart' ) ),
		array( 'etlineicon-layers'           => esc_html__( 'Layers', 'smart' ) ),
		array( 'etlineicon-pencil'           => esc_html__( 'Pencil', 'smart' ) ),
		array( 'etlineicon-tools'            => esc_html__( 'Tools', 'smart' ) ),
		array( 'etlineicon-tools-2'          => esc_html__( 'Tools', 'smart' ) ),
		array( 'etlineicon-scissors'         => esc_html__( 'Scissors', 'smart' ) ),
		array( 'etlineicon-paintbrush'       => esc_html__( 'Paintbrush', 'smart' ) ),
		array( 'etlineicon-magnifying-glass' => esc_html__( 'Magnifying Glass', 'smart' ) ),
		array( 'etlineicon-circle-compass'   => esc_html__( 'Circle Compass', 'smart' ) ),
		array( 'etlineicon-linegraph'        => esc_html__( 'Line Graph', 'smart' ) ),
		array( 'etlineicon-mic'              => esc_html__( 'Mic', 'smart' ) ),
		array( 'etlineicon-strategy'         => esc_html__( 'Strategy', 'smart' ) ),
		array( 'etlineicon-beaker'           => esc_html__( 'Beaker', 'smart' ) ),
		array( 'etlineicon-caution'          => esc_html__( 'Caution', 'smart' ) ),
		array( 'etlineicon-recycle'          => esc_html__( 'Recycle', 'smart' ) ),
		array( 'etlineicon-anchor'           => esc_html__( 'Anchor', 'smart' ) ),
		array( 'etlineicon-profile-male'     => esc_html__( 'Profile Male', 'smart' ) ),
		array( 'etlineicon-profile-female'   => esc_html__( 'Profile Female', 'smart' ) ),
		array( 'etlineicon-bike'             => esc_html__( 'Bike', 'smart' ) ),
		array( 'etlineicon-wine'             => esc_html__( 'Wine', 'smart' ) ),
		array( 'etlineicon-hotairballoon'    => esc_html__( 'Hot Air Balloon', 'smart' ) ),
		array( 'etlineicon-globe'            => esc_html__( 'Globe', 'smart' ) ),
		array( 'etlineicon-genius'           => esc_html__( 'Genius', 'smart' ) ),
		array( 'etlineicon-map-pin'          => esc_html__( 'Map Pin', 'smart' ) ),
		array( 'etlineicon-dial'             => esc_html__( 'Dial', 'smart' ) ),
		array( 'etlineicon-chat'             => esc_html__( 'Chat', 'smart' ) ),
		array( 'etlineicon-heart'            => esc_html__( 'Heart', 'smart' ) ),
		array( 'etlineicon-cloud'            => esc_html__( 'Cloud', 'smart' ) ),
		array( 'etlineicon-upload'           => esc_html__( 'Upload', 'smart' ) ),
		array( 'etlineicon-download'         => esc_html__( 'Download', 'smart' ) ),
		array( 'etlineicon-target'           => esc_html__( 'Target', 'smart' ) ),
		array( 'etlineicon-hazardous'        => esc_html__( 'Hazardous', 'smart' ) ),
		array( 'etlineicon-piechart'         => esc_html__( 'Pie Chart', 'smart' ) ),
		array( 'etlineicon-speedometer'      => esc_html__( 'Speedometer', 'smart' ) ),
		array( 'etlineicon-global'           => esc_html__( 'Global', 'smart' ) ),
		array( 'etlineicon-compass'          => esc_html__( 'Compass', 'smart' ) ),
		array( 'etlineicon-lifesaver'        => esc_html__( 'Lifesaver', 'smart' ) ),
		array( 'etlineicon-clock'            => esc_html__( 'Clock', 'smart' ) ),
		array( 'etlineicon-aperture'         => esc_html__( 'Aperture', 'smart' ) ),
		array( 'etlineicon-quote'            => esc_html__( 'Quote', 'smart' ) ),
		array( 'etlineicon-scope'            => esc_html__( 'Scope', 'smart' ) ),
		array( 'etlineicon-alarmclock'       => esc_html__( 'Alarm Clock', 'smart' ) ),
		array( 'etlineicon-refresh'          => esc_html__( 'Refresh', 'smart' ) ),
		array( 'etlineicon-happy'            => esc_html__( 'Happy', 'smart' ) ),
		array( 'etlineicon-sad'              => esc_html__( 'Sad', 'smart' ) ),
		array( 'etlineicon-facebook'         => esc_html__( 'Facebook', 'smart' ) ),
		array( 'etlineicon-twitter'          => esc_html__( 'Twitter', 'smart' ) ),
		array( 'etlineicon-googleplus'       => esc_html__( 'Google Plus', 'smart' ) ),
		array( 'etlineicon-rss'              => esc_html__( 'RSS', 'smart' ) ),
		array( 'etlineicon-tumblr'           => esc_html__( 'Tumblr', 'smart' ) ),
		array( 'etlineicon-linkedin'         => esc_html__( 'Linkedin', 'smart' ) ),
		array( 'etlineicon-dribbble'         => esc_html__( 'Dribbble', 'smart' ) )
	);

	return array_merge( $icons, $etlineicons );
}
endif;

if ( ! function_exists( 'nice_vc_iconpicker_type_lineaicons' ) ) :
add_filter( 'vc_iconpicker-type-lineaicons', 'nice_vc_iconpicker_type_lineaicons' );
/**
 * Return an array of icons of the Linea icons
 *
 * @since 1.1
 */
function nice_vc_iconpicker_type_lineaicons( $icons ) {
	$lineaicons = array(

		// Arrows
		array( 'lineaicons-arrows-anticlockwise'       => esc_html__( 'Anti Clockwise', 'smart' ) ),
		array( 'lineaicons-arrows-anticlockwise-dashed' => esc_html__( 'Anti Clockwise Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-button-down'         => esc_html__( 'Button Down', 'smart' ) ),
		array( 'lineaicons-arrows-button-off'          => esc_html__( 'Button Off', 'smart' ) ),
		array( 'lineaicons-arrows-button-on'           => esc_html__( 'Button On', 'smart' ) ),
		array( 'lineaicons-arrows-button-up'           => esc_html__( 'Button Up', 'smart' ) ),
		array( 'lineaicons-arrows-check'               => esc_html__( 'Check', 'smart' ) ),
		array( 'lineaicons-arrows-circle-check'        => esc_html__( 'Circle Check', 'smart' ) ),
		array( 'lineaicons-arrows-circle-down'         => esc_html__( 'Circle Down', 'smart' ) ),
		array( 'lineaicons-arrows-circle-downleft'     => esc_html__( 'Circle Down Left', 'smart' ) ),
		array( 'lineaicons-arrows-circle-downright'    => esc_html__( 'Circle Down Right', 'smart' ) ),
		array( 'lineaicons-arrows-circle-left'         => esc_html__( 'Circle Left', 'smart' ) ),
		array( 'lineaicons-arrows-circle-minus'        => esc_html__( 'Circle Minus', 'smart' ) ),
		array( 'lineaicons-arrows-circle-plus'         => esc_html__( 'Circle Plus', 'smart' ) ),
		array( 'lineaicons-arrows-circle-remove'       => esc_html__( 'Circle Remove', 'smart' ) ),
		array( 'lineaicons-arrows-circle-right'        => esc_html__( 'Circle Right', 'smart' ) ),
		array( 'lineaicons-arrows-circle-up'           => esc_html__( 'Circle Up', 'smart' ) ),
		array( 'lineaicons-arrows-circle-upleft'       => esc_html__( 'Circle Up Left', 'smart' ) ),
		array( 'lineaicons-arrows-circle-upright'      => esc_html__( 'Circle Up Right', 'smart' ) ),
		array( 'lineaicons-arrows-clockwise'           => esc_html__( 'Clockwise', 'smart' ) ),
		array( 'lineaicons-arrows-clockwise-dashed'    => esc_html__( 'Clockwise Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-compress'            => esc_html__( 'Compress', 'smart' ) ),
		array( 'lineaicons-arrows-deny'                => esc_html__( 'Deny', 'smart' ) ),
		array( 'lineaicons-arrows-diagonal'            => esc_html__( 'Diagonal', 'smart' ) ),
		array( 'lineaicons-arrows-diagonal2'           => esc_html__( 'Diagonal 2', 'smart' ) ),
		array( 'lineaicons-arrows-down'                => esc_html__( 'Down', 'smart' ) ),
		array( 'lineaicons-arrows-down-double'         => esc_html__( 'Down Double', 'smart' ) ),
		array( 'lineaicons-arrows-downleft'            => esc_html__( 'Down Left', 'smart' ) ),
		array( 'lineaicons-arrows-downright'           => esc_html__( 'Down Right', 'smart' ) ),
		array( 'lineaicons-arrows-drag-down'           => esc_html__( 'Drag Down', 'smart' ) ),
		array( 'lineaicons-arrows-drag-down-dashed'    => esc_html__( 'Drag Down Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-drag-horiz'          => esc_html__( 'Drag Horizontal', 'smart' ) ),
		array( 'lineaicons-arrows-drag-left'           => esc_html__( 'Drag Left', 'smart' ) ),
		array( 'lineaicons-arrows-drag-left-dashed'    => esc_html__( 'Drag Left Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-drag-right'          => esc_html__( 'Drag Right', 'smart' ) ),
		array( 'lineaicons-arrows-drag-right-dashed'   => esc_html__( 'Drag Right Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-drag-up'             => esc_html__( 'Drag Up', 'smart' ) ),
		array( 'lineaicons-arrows-drag-up-dashed'      => esc_html__( 'Drag Up Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-drag-vert'           => esc_html__( 'Drag Vertical', 'smart' ) ),
		array( 'lineaicons-arrows-exclamation'         => esc_html__( 'Exclamation', 'smart' ) ),
		array( 'lineaicons-arrows-expand'              => esc_html__( 'Expand', 'smart' ) ),
		array( 'lineaicons-arrows-expand-diagonal1'    => esc_html__( 'Expand Diagonal 1', 'smart' ) ),
		array( 'lineaicons-arrows-expand-horizontal1'  => esc_html__( 'Expand Horizontal 1', 'smart' ) ),
		array( 'lineaicons-arrows-expand-vertical1'    => esc_html__( 'Expand Vertical 1', 'smart' ) ),
		array( 'lineaicons-arrows-fit-horizontal'      => esc_html__( 'Fit Horizontal', 'smart' ) ),
		array( 'lineaicons-arrows-fit-vertical'        => esc_html__( 'Fit Vertical', 'smart' ) ),
		array( 'lineaicons-arrows-glide'               => esc_html__( 'Glide', 'smart' ) ),
		array( 'lineaicons-arrows-glide-horizontal'    => esc_html__( 'Glide Horiztonal', 'smart' ) ),
		array( 'lineaicons-arrows-glide-vertical'      => esc_html__( 'Glide Vertical', 'smart' ) ),
		array( 'lineaicons-arrows-hamburger1'          => esc_html__( 'Hamburger', 'smart' ) ),
		array( 'lineaicons-arrows-hamburger-2'         => esc_html__( 'Hamburger 2', 'smart' ) ),
		array( 'lineaicons-arrows-horizontal'          => esc_html__( 'Horizontal', 'smart' ) ),
		array( 'lineaicons-arrows-info'                => esc_html__( 'Info', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-alt'        => esc_html__( 'Keyboard Alt', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-cmd'        => esc_html__( 'Keyboard Cmd', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-delete'     => esc_html__( 'Keyboard Delete', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-down'       => esc_html__( 'Keyboard Down', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-left'       => esc_html__( 'Keyboard Left', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-return'     => esc_html__( 'Keyboard Return', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-right'      => esc_html__( 'Keyboard Right', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-shift'      => esc_html__( 'Keyboard Shift', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-tab'        => esc_html__( 'Keyboard Tab', 'smart' ) ),
		array( 'lineaicons-arrows-keyboard-up'         => esc_html__( 'Keyboard Up', 'smart' ) ),
		array( 'lineaicons-arrows-left'                => esc_html__( 'Left', 'smart' ) ),
		array( 'lineaicons-arrows-left-double-32'      => esc_html__( 'Left Double 32', 'smart' ) ),
		array( 'lineaicons-arrows-minus'               => esc_html__( 'Minus', 'smart' ) ),
		array( 'lineaicons-arrows-move'                => esc_html__( 'Move', 'smart' ) ),
		array( 'lineaicons-arrows-move2'               => esc_html__( 'Move 2', 'smart' ) ),
		array( 'lineaicons-arrows-move-bottom'         => esc_html__( 'Move Bottom', 'smart' ) ),
		array( 'lineaicons-arrows-move-left'           => esc_html__( 'Move Left', 'smart' ) ),
		array( 'lineaicons-arrows-move-right'          => esc_html__( 'Move right', 'smart' ) ),
		array( 'lineaicons-arrows-move-top'            => esc_html__( 'Move Top', 'smart' ) ),
		array( 'lineaicons-arrows-plus'                => esc_html__( 'Plus', 'smart' ) ),
		array( 'lineaicons-arrows-question'            => esc_html__( 'Question', 'smart' ) ),
		array( 'lineaicons-arrows-remove'              => esc_html__( 'Remove', 'smart' ) ),
		array( 'lineaicons-arrows-right'               => esc_html__( 'Right', 'smart' ) ),
		array( 'lineaicons-arrows-right-double'        => esc_html__( 'Right Double', 'smart' ) ),
		array( 'lineaicons-arrows-rotate'              => esc_html__( 'Rotate', 'smart' ) ),
		array( 'lineaicons-arrows-rotate-anti'         => esc_html__( 'Rotate Anti', 'smart' ) ),
		array( 'lineaicons-arrows-rotate-anti-dashed'  => esc_html__( 'Rotate Anti Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-rotate-dashed'       => esc_html__( 'Rotate Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-shrink'              => esc_html__( 'Shrink', 'smart' ) ),
		array( 'lineaicons-arrows-shrink-diagonal1'    => esc_html__( 'Shrink Diagonal 1', 'smart' ) ),
		array( 'lineaicons-arrows-shrink-diagonal2'    => esc_html__( 'Shrink Diagonal 2', 'smart' ) ),
		array( 'lineaicons-arrows-shrink-horizonal2'   => esc_html__( 'Shrink Horiztonal 1', 'smart' ) ),
		array( 'lineaicons-arrows-shrink-horizontal1'  => esc_html__( 'Shrink Horiztonal 2', 'smart' ) ),
		array( 'lineaicons-arrows-shrink-vertical1'    => esc_html__( 'Shrink Vertical 1', 'smart' ) ),
		array( 'lineaicons-arrows-shrink-vertical2'    => esc_html__( 'Shrink Vertical 2', 'smart' ) ),
		array( 'lineaicons-arrows-sign-down'           => esc_html__( 'Sign Down', 'smart' ) ),
		array( 'lineaicons-arrows-sign-left'           => esc_html__( 'Sign Left', 'smart' ) ),
		array( 'lineaicons-arrows-sign-right'          => esc_html__( 'Sign Right', 'smart' ) ),
		array( 'lineaicons-arrows-sign-up'             => esc_html__( 'Sign Up', 'smart' ) ),
		array( 'lineaicons-arrows-slide-down1'         => esc_html__( 'Slide Down 1', 'smart' ) ),
		array( 'lineaicons-arrows-slide-down2'         => esc_html__( 'Slide Down 2', 'smart' ) ),
		array( 'lineaicons-arrows-slide-left1'         => esc_html__( 'Slide Left 1', 'smart' ) ),
		array( 'lineaicons-arrows-slide-left2'         => esc_html__( 'Slide Left 2', 'smart' ) ),
		array( 'lineaicons-arrows-slide-right1'        => esc_html__( 'Slide Right 1', 'smart' ) ),
		array( 'lineaicons-arrows-slide-right2'        => esc_html__( 'Slide Right 2 ', 'smart' ) ),
		array( 'lineaicons-arrows-slide-up1'           => esc_html__( 'Slide Up 1', 'smart' ) ),
		array( 'lineaicons-arrows-slide-up2'           => esc_html__( 'Slide Up 2', 'smart' ) ),
		array( 'lineaicons-arrows-slim-down'           => esc_html__( 'Slim Down', 'smart' ) ),
		array( 'lineaicons-arrows-slim-down-dashed'    => esc_html__( 'Slim Down Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-slim-left'           => esc_html__( 'Slim Left', 'smart' ) ),
		array( 'lineaicons-arrows-slim-left-dashed'    => esc_html__( 'Slim Left Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-slim-right'          => esc_html__( 'Slim Right', 'smart' ) ),
		array( 'lineaicons-arrows-slim-right-dashed'   => esc_html__( 'Slim Right Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-slim-up'             => esc_html__( 'Slim Up', 'smart' ) ),
		array( 'lineaicons-arrows-slim-up-dashed'      => esc_html__( 'Slim Up Dashed', 'smart' ) ),
		array( 'lineaicons-arrows-square-check'        => esc_html__( 'Square Check', 'smart' ) ),
		array( 'lineaicons-arrows-square-down'         => esc_html__( 'Square Down', 'smart' ) ),
		array( 'lineaicons-arrows-square-downleft'     => esc_html__( 'Square Down Left', 'smart' ) ),
		array( 'lineaicons-arrows-square-downright'    => esc_html__( 'Square Down Right', 'smart' ) ),
		array( 'lineaicons-arrows-square-left'         => esc_html__( 'Square Left', 'smart' ) ),
		array( 'lineaicons-arrows-square-minus'        => esc_html__( 'Square Minus', 'smart' ) ),
		array( 'lineaicons-arrows-square-plus'         => esc_html__( 'Square Plus', 'smart' ) ),
		array( 'lineaicons-arrows-square-remove'       => esc_html__( 'Square Remove', 'smart' ) ),
		array( 'lineaicons-arrows-square-right'        => esc_html__( 'Square Right', 'smart' ) ),
		array( 'lineaicons-arrows-square-up'           => esc_html__( 'Square Up', 'smart' ) ),
		array( 'lineaicons-arrows-square-upleft'       => esc_html__( 'Square Up Left', 'smart' ) ),
		array( 'lineaicons-arrows-square-upright'      => esc_html__( 'Square Up Right', 'smart' ) ),
		array( 'lineaicons-arrows-squares'             => esc_html__( 'Squares', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-diagonal1'   => esc_html__( 'Stretch Diagonal 1', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-diagonal2'   => esc_html__( 'Stretch Diagonal 2', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-diagonal3'   => esc_html__( 'Stretch Diagonal 3', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-diagonal4'   => esc_html__( 'Stretch Diagonal 4', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-horizontal1' => esc_html__( 'Stretch Horizontal 1', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-horizontal2' => esc_html__( 'Stretch Horizontal 2', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-vertical1'   => esc_html__( 'Stretch Vertical 1', 'smart' ) ),
		array( 'lineaicons-arrows-stretch-vertical2'   => esc_html__( 'Stretch Vertical 2', 'smart' ) ),
		array( 'lineaicons-arrows-switch-horizontal'   => esc_html__( 'Switch Horizontal', 'smart' ) ),
		array( 'lineaicons-arrows-switch-vertical'     => esc_html__( 'Switch Vertical', 'smart' ) ),
		array( 'lineaicons-arrows-up'                  => esc_html__( 'Arrows Up', 'smart' ) ),
		array( 'lineaicons-arrows-up-double-33'        => esc_html__( 'Arrows Up Double 33', 'smart' ) ),
		array( 'lineaicons-arrows-upleft'              => esc_html__( 'Arrows Up Left', 'smart' ) ),
		array( 'lineaicons-arrows-upright'             => esc_html__( 'Arrows Up Right', 'smart' ) ),
		array( 'lineaicons-arrows-vertical'            => esc_html__( 'Arrows Vertical', 'smart' ) ),


		// Basic
		array( 'lineaicons-basic-accelerator'          => esc_html__( 'Accelerator', 'smart' ) ),
		array( 'lineaicons-basic-alarm'                => esc_html__( 'Alarm', 'smart' ) ),
		array( 'lineaicons-basic-anchor'               => esc_html__( 'Anchor', 'smart' ) ),
		array( 'lineaicons-basic-anticlockwise'        => esc_html__( 'Anti Clockwise', 'smart' ) ),
		array( 'lineaicons-basic-archive'              => esc_html__( 'Archive', 'smart' ) ),
		array( 'lineaicons-basic-archive-full'         => esc_html__( 'Archive Full', 'smart' ) ),
		array( 'lineaicons-basic-ban'                  => esc_html__( 'Ban', 'smart' ) ),
		array( 'lineaicons-basic-battery-charge'       => esc_html__( 'Battery Charge', 'smart' ) ),
		array( 'lineaicons-basic-battery-empty'        => esc_html__( 'Battery Empty', 'smart' ) ),
		array( 'lineaicons-basic-battery-full'         => esc_html__( 'Battery Full', 'smart' ) ),
		array( 'lineaicons-basic-battery-half'         => esc_html__( 'Battery Half', 'smart' ) ),
		array( 'lineaicons-basic-bolt'                 => esc_html__( 'Bolt', 'smart' ) ),
		array( 'lineaicons-basic-book'                 => esc_html__( 'Book', 'smart' ) ),
		array( 'lineaicons-basic-book-pen'             => esc_html__( 'Book Pen', 'smart' ) ),
		array( 'lineaicons-basic-book-pencil'          => esc_html__( 'Book Pencil', 'smart' ) ),
		array( 'lineaicons-basic-bookmark'             => esc_html__( 'Bookmark', 'smart' ) ),
		array( 'lineaicons-basic-calculator'           => esc_html__( 'Calculator', 'smart' ) ),
		array( 'lineaicons-basic-calendar'             => esc_html__( 'Calendar', 'smart' ) ),
		array( 'lineaicons-basic-cards-diamonds'       => esc_html__( 'Cards Diamonds', 'smart' ) ),
		array( 'lineaicons-basic-cards-hearts'         => esc_html__( 'Cards Hearts', 'smart' ) ),
		array( 'lineaicons-basic-case'                 => esc_html__( 'Case', 'smart' ) ),
		array( 'lineaicons-basic-chronometer'          => esc_html__( 'Chronometer', 'smart' ) ),
		array( 'lineaicons-basic-clessidre'            => esc_html__( 'Classidre', 'smart' ) ),
		array( 'lineaicons-basic-clock'                => esc_html__( 'Clock', 'smart' ) ),
		array( 'lineaicons-basic-clockwise'            => esc_html__( 'Clockwise', 'smart' ) ),
		array( 'lineaicons-basic-cloud'                => esc_html__( 'Cloud', 'smart' ) ),
		array( 'lineaicons-basic-clubs'                => esc_html__( 'Clubs', 'smart' ) ),
		array( 'lineaicons-basic-compass'              => esc_html__( 'Compass', 'smart' ) ),
		array( 'lineaicons-basic-cup'                  => esc_html__( 'Cup', 'smart' ) ),
		array( 'lineaicons-basic-diamonds'             => esc_html__( 'Diamonds', 'smart' ) ),
		array( 'lineaicons-basic-display'              => esc_html__( 'Display', 'smart' ) ),
		array( 'lineaicons-basic-download'             => esc_html__( 'Download', 'smart' ) ),
		array( 'lineaicons-basic-exclamation'          => esc_html__( 'Exclamation', 'smart' ) ),
		array( 'lineaicons-basic-eye'                  => esc_html__( 'Eye', 'smart' ) ),
		array( 'lineaicons-basic-eye-closed'           => esc_html__( 'Eye Closed', 'smart' ) ),
		array( 'lineaicons-basic-female'               => esc_html__( 'Female', 'smart' ) ),
		array( 'lineaicons-basic-flag1'                => esc_html__( 'Flag 1', 'smart' ) ),
		array( 'lineaicons-basic-flag2'                => esc_html__( 'Flag 2', 'smart' ) ),
		array( 'lineaicons-basic-floppydisk'           => esc_html__( 'Floppy Disk', 'smart' ) ),
		array( 'lineaicons-basic-folder'               => esc_html__( 'Folder', 'smart' ) ),
		array( 'lineaicons-basic-folder-multiple'      => esc_html__( 'Folder Multiple', 'smart' ) ),
		array( 'lineaicons-basic-gear'                 => esc_html__( 'Gear', 'smart' ) ),
		array( 'lineaicons-basic-geolocalize-01'       => esc_html__( 'Geolocalize 1', 'smart' ) ),
		array( 'lineaicons-basic-geolocalize-05'       => esc_html__( 'Geolocalize 5', 'smart' ) ),
		array( 'lineaicons-basic-globe'                => esc_html__( 'Globe', 'smart' ) ),
		array( 'lineaicons-basic-gunsight'             => esc_html__( 'Gunsight', 'smart' ) ),
		array( 'lineaicons-basic-hammer'               => esc_html__( 'Hammer', 'smart' ) ),
		array( 'lineaicons-basic-headset'              => esc_html__( 'Headset', 'smart' ) ),
		array( 'lineaicons-basic-heart'                => esc_html__( 'Heart', 'smart' ) ),
		array( 'lineaicons-basic-heart-broken'         => esc_html__( 'Heart Broken', 'smart' ) ),
		array( 'lineaicons-basic-helm'                 => esc_html__( 'Helm', 'smart' ) ),
		array( 'lineaicons-basic-home'                 => esc_html__( 'Home', 'smart' ) ),
		array( 'lineaicons-basic-info'                 => esc_html__( 'Info', 'smart' ) ),
		array( 'lineaicons-basic-ipod'                 => esc_html__( 'iPod', 'smart' ) ),
		array( 'lineaicons-basic-joypad'               => esc_html__( 'Joypad', 'smart' ) ),
		array( 'lineaicons-basic-key'                  => esc_html__( 'Key', 'smart' ) ),
		array( 'lineaicons-basic-keyboard'             => esc_html__( 'Keyboard', 'smart' ) ),
		array( 'lineaicons-basic-laptop'               => esc_html__( 'Laptop', 'smart' ) ),
		array( 'lineaicons-basic-life-buoy'            => esc_html__( 'Life Buoy', 'smart' ) ),
		array( 'lineaicons-basic-lightbulb'            => esc_html__( 'Lightbulb', 'smart' ) ),
		array( 'lineaicons-basic-link'                 => esc_html__( 'Link', 'smart' ) ),
		array( 'lineaicons-basic-lock'                 => esc_html__( 'Lock', 'smart' ) ),
		array( 'lineaicons-basic-lock-open'            => esc_html__( 'Lock Open', 'smart' ) ),
		array( 'lineaicons-basic-magic-mouse'          => esc_html__( 'Magic Mouse', 'smart' ) ),
		array( 'lineaicons-basic-magnifier'            => esc_html__( 'Magnifier', 'smart' ) ),
		array( 'lineaicons-basic-magnifier-minus'      => esc_html__( 'Magnifier Minus', 'smart' ) ),
		array( 'lineaicons-basic-magnifier-plus'       => esc_html__( 'Magnifier Plus', 'smart' ) ),
		array( 'lineaicons-basic-mail'                 => esc_html__( 'Mail', 'smart' ) ),
		array( 'lineaicons-basic-mail-multiple'        => esc_html__( 'Multiple', 'smart' ) ),
		array( 'lineaicons-basic-mail-open'            => esc_html__( 'Open', 'smart' ) ),
		array( 'lineaicons-basic-mail-open-text'       => esc_html__( 'Open Text', 'smart' ) ),
		array( 'lineaicons-basic-male'                 => esc_html__( 'Male', 'smart' ) ),
		array( 'lineaicons-basic-map'                  => esc_html__( 'Map', 'smart' ) ),
		array( 'lineaicons-basic-message'              => esc_html__( 'Message', 'smart' ) ),
		array( 'lineaicons-basic-message-multiple'     => esc_html__( 'Message Multiple', 'smart' ) ),
		array( 'lineaicons-basic-message-txt'          => esc_html__( 'Message TXT', 'smart' ) ),
		array( 'lineaicons-basic-mixer2'               => esc_html__( 'Mixer', 'smart' ) ),
		array( 'lineaicons-basic-mouse'                => esc_html__( 'Mouse', 'smart' ) ),
		array( 'lineaicons-basic-notebook'             => esc_html__( 'Notebook', 'smart' ) ),
		array( 'lineaicons-basic-notebook-pen'         => esc_html__( 'Notebook Pen', 'smart' ) ),
		array( 'lineaicons-basic-notebook-pencil'      => esc_html__( 'Notebook Pencil', 'smart' ) ),
		array( 'lineaicons-basic-paperplane'           => esc_html__( 'Paper Plane', 'smart' ) ),
		array( 'lineaicons-basic-pencil-ruler'         => esc_html__( 'Pencil Ruler', 'smart' ) ),
		array( 'lineaicons-basic-pencil-ruler-pen'     => esc_html__( 'Pencil Ruler Pen', 'smart' ) ),
		array( 'lineaicons-basic-photo'                => esc_html__( 'Photo', 'smart' ) ),
		array( 'lineaicons-basic-picture'              => esc_html__( 'Picture', 'smart' ) ),
		array( 'lineaicons-basic-picture-multiple'     => esc_html__( 'Picture Multiple', 'smart' ) ),
		array( 'lineaicons-basic-pin1'                 => esc_html__( 'Pin 1', 'smart' ) ),
		array( 'lineaicons-basic-pin2'                 => esc_html__( 'Pin 2', 'smart' ) ),
		array( 'lineaicons-basic-postcard'             => esc_html__( 'Postcard', 'smart' ) ),
		array( 'lineaicons-basic-postcard-multiple'    => esc_html__( 'Postcard Multiple', 'smart' ) ),
		array( 'lineaicons-basic-printer'              => esc_html__( 'Printer', 'smart' ) ),
		array( 'lineaicons-basic-question'             => esc_html__( 'Question', 'smart' ) ),
		array( 'lineaicons-basic-rss'                  => esc_html__( 'RSS', 'smart' ) ),
		array( 'lineaicons-basic-server'               => esc_html__( 'Server', 'smart' ) ),
		array( 'lineaicons-basic-server2'              => esc_html__( 'Server 2', 'smart' ) ),
		array( 'lineaicons-basic-server-cloud'         => esc_html__( 'Server Cloud', 'smart' ) ),
		array( 'lineaicons-basic-server-download'      => esc_html__( 'Server Download', 'smart' ) ),
		array( 'lineaicons-basic-server-upload'        => esc_html__( 'Server Upload', 'smart' ) ),
		array( 'lineaicons-basic-settings'             => esc_html__( 'Settings', 'smart' ) ),
		array( 'lineaicons-basic-share'                => esc_html__( 'Share', 'smart' ) ),
		array( 'lineaicons-basic-sheet'                => esc_html__( 'Sheet', 'smart' ) ),
		array( 'lineaicons-basic-sheet-multiple'       => esc_html__( 'Sheet Multiple', 'smart' ) ),
		array( 'lineaicons-basic-sheet-pen'            => esc_html__( 'Sheet Pen', 'smart' ) ),
		array( 'lineaicons-basic-sheet-pencil'         => esc_html__( 'Sheet Pencil', 'smart' ) ),
		array( 'lineaicons-basic-sheet-txt'            => esc_html__( 'Sheet TXT', 'smart' ) ),
		array( 'lineaicons-basic-signs'                => esc_html__( 'Signs', 'smart' ) ),
		array( 'lineaicons-basic-smartphone'           => esc_html__( 'Smartphone', 'smart' ) ),
		array( 'lineaicons-basic-spades'               => esc_html__( 'Spades', 'smart' ) ),
		array( 'lineaicons-basic-spread'               => esc_html__( 'Spread', 'smart' ) ),
		array( 'lineaicons-basic-spread-bookmark'      => esc_html__( 'Spread Bookmark', 'smart' ) ),
		array( 'lineaicons-basic-spread-text'          => esc_html__( 'Spread Text', 'smart' ) ),
		array( 'lineaicons-basic-spread-text-bookmark' => esc_html__( 'Spread Text Bookmark', 'smart' ) ),
		array( 'lineaicons-basic-star'                 => esc_html__( 'Stat', 'smart' ) ),
		array( 'lineaicons-basic-tablet'               => esc_html__( 'Tablet', 'smart' ) ),
		array( 'lineaicons-basic-target'               => esc_html__( 'Target', 'smart' ) ),
		array( 'lineaicons-basic-todo'                 => esc_html__( 'To Do', 'smart' ) ),
		array( 'lineaicons-basic-todo-pen'             => esc_html__( 'To Do Pen', 'smart' ) ),
		array( 'lineaicons-basic-todo-pencil'          => esc_html__( 'To Do Pencil', 'smart' ) ),
		array( 'lineaicons-basic-todo-txt'             => esc_html__( 'To Do List TXT', 'smart' ) ),
		array( 'lineaicons-basic-todolist-pen'         => esc_html__( 'To Do List Pen', 'smart' ) ),
		array( 'lineaicons-basic-todolist-pencil'      => esc_html__( 'To Do List Pencil', 'smart' ) ),
		array( 'lineaicons-basic-trashcan'             => esc_html__( 'Trashcan', 'smart' ) ),
		array( 'lineaicons-basic-trashcan-full'        => esc_html__( 'Trashcan Full', 'smart' ) ),
		array( 'lineaicons-basic-trashcan-refresh'     => esc_html__( 'Trashcan Refresh', 'smart' ) ),
		array( 'lineaicons-basic-trashcan-remove'      => esc_html__( 'Trashcan Remove', 'smart' ) ),
		array( 'lineaicons-basic-upload'               => esc_html__( 'Upload', 'smart' ) ),
		array( 'lineaicons-basic-usb'                  => esc_html__( 'USB', 'smart' ) ),
		array( 'lineaicons-basic-video'                => esc_html__( 'Video', 'smart' ) ),
		array( 'lineaicons-basic-watch'                => esc_html__( 'Watch', 'smart' ) ),
		array( 'lineaicons-basic-webpage'              => esc_html__( 'Webpage', 'smart' ) ),
		array( 'lineaicons-basic-webpage-img-txt'      => esc_html__( 'Webpage Image Text', 'smart' ) ),
		array( 'lineaicons-basic-webpage-multiple'     => esc_html__( 'Webpage Multiple', 'smart' ) ),
		array( 'lineaicons-basic-webpage-txt'          => esc_html__( 'Webpage Text', 'smart' ) ),
		array( 'lineaicons-basic-world'                => esc_html__( 'World', 'smart' ) ),

		// Basic Elaboration
		array( 'lineaicons-elaboration-bookmark-checck'    => esc_html__( 'Bookmark Checck', 'smart' ) ),
		array( 'lineaicons-elaboration-bookmark-minus'     => esc_html__( 'Bookmark Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-bookmark-plus'      => esc_html__( 'Bookmark Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-bookmark-remove'    => esc_html__( 'Bookmark Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-check'    => esc_html__( 'Briefcase Check', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-download' => esc_html__( 'Briefcase Download', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-flagged'  => esc_html__( 'Briefcase Flagged', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-minus'    => esc_html__( 'Briefcase Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-plus'     => esc_html__( 'Briefcase Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-refresh'  => esc_html__( 'Briefcase Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-remove'   => esc_html__( 'Briefcase Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-search'   => esc_html__( 'Briefcase Search', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-star'     => esc_html__( 'Briefcase Star', 'smart' ) ),
		array( 'lineaicons-elaboration-briefcase-upload'   => esc_html__( 'Briefcase Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-check'      => esc_html__( 'Browser Check', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-download'   => esc_html__( 'Browser Download', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-minus'      => esc_html__( 'Browser Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-plus'       => esc_html__( 'Browser Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-refresh'    => esc_html__( 'Browser Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-remove'     => esc_html__( 'Browser Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-search'     => esc_html__( 'Browser Search', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-star'       => esc_html__( 'Browser Star', 'smart' ) ),
		array( 'lineaicons-elaboration-browser-upload'     => esc_html__( 'Browser Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-check'     => esc_html__( 'Calendar Check', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-cloud'     => esc_html__( 'Calendar Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-download'  => esc_html__( 'Calendar Download', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-empty'     => esc_html__( 'Calendar Empty', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-flagged'   => esc_html__( 'Calendar Flagged', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-heart'     => esc_html__( 'Calendar Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-minus'     => esc_html__( 'Calendar Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-next'      => esc_html__( 'Calendar Next', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-noaccess'  => esc_html__( 'Calendar No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-pencil'    => esc_html__( 'Calendar Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-plus'      => esc_html__( 'Calendar Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-previous'  => esc_html__( 'Calendar Previous', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-refresh'   => esc_html__( 'Calendar Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-remove'    => esc_html__( 'Calendar Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-search'    => esc_html__( 'Calendar Search', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-star'      => esc_html__( 'Calendar Star', 'smart' ) ),
		array( 'lineaicons-elaboration-calendar-upload'    => esc_html__( 'Calendar Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-check'        => esc_html__( 'Cloud Check', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-download'     => esc_html__( 'Cloud Download', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-minus'        => esc_html__( 'Cloud Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-noaccess'     => esc_html__( 'Cloud No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-plus'         => esc_html__( 'Cloud Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-refresh'      => esc_html__( 'Cloud Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-remove'       => esc_html__( 'Cloud Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-search'       => esc_html__( 'Cloud Search', 'smart' ) ),
		array( 'lineaicons-elaboration-cloud-upload'       => esc_html__( 'Cloud Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-document-check'     => esc_html__( 'Document check', 'smart' ) ),
		array( 'lineaicons-elaboration-document-cloud'     => esc_html__( 'Document Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-document-download'  => esc_html__( 'Document Download', 'smart' ) ),
		array( 'lineaicons-elaboration-document-flagged'   => esc_html__( 'Document Flagged', 'smart' ) ),
		array( 'lineaicons-elaboration-document-graph'     => esc_html__( 'Document Graph', 'smart' ) ),
		array( 'lineaicons-elaboration-document-heart'     => esc_html__( 'Document Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-document-minus'     => esc_html__( 'Document Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-document-next'      => esc_html__( 'Document Next', 'smart' ) ),
		array( 'lineaicons-elaboration-document-noaccess'  => esc_html__( 'Document No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-document-note'      => esc_html__( 'Document Note', 'smart' ) ),
		array( 'lineaicons-elaboration-document-pencil'    => esc_html__( 'Document Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-document-picture'   => esc_html__( 'Document Picture', 'smart' ) ),
		array( 'lineaicons-elaboration-document-plus'      => esc_html__( 'Document Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-document-previous'  => esc_html__( 'Document Previous', 'smart' ) ),
		array( 'lineaicons-elaboration-document-refresh'   => esc_html__( 'Document Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-document-remove'    => esc_html__( 'Document Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-document-search'    => esc_html__( 'Document Search', 'smart' ) ),
		array( 'lineaicons-elaboration-document-star'      => esc_html__( 'Document Star', 'smart' ) ),
		array( 'lineaicons-elaboration-document-upload'    => esc_html__( 'Document Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-check'       => esc_html__( 'Folder Check', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-cloud'       => esc_html__( 'Folder Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-document'    => esc_html__( 'Folder Document', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-download'    => esc_html__( 'Folder Download', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-flagged'     => esc_html__( 'Folder Flagged', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-graph'       => esc_html__( 'Folder Graph', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-heart'       => esc_html__( 'Folder Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-minus'       => esc_html__( 'Folder Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-next'        => esc_html__( 'Folder Next', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-noaccess'    => esc_html__( 'Folder No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-note'        => esc_html__( 'Folder Note', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-pencil'      => esc_html__( 'Folder Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-picture'     => esc_html__( 'Folder Picture', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-plus'        => esc_html__( 'Folder Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-previous'    => esc_html__( 'Folder Previous', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-refresh'     => esc_html__( 'Folder Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-remove'      => esc_html__( 'Folder Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-search'      => esc_html__( 'Folder Search', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-star'        => esc_html__( 'Folder Star', 'smart' ) ),
		array( 'lineaicons-elaboration-folder-upload'      => esc_html__( 'Folder Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-check'         => esc_html__( 'Mail Check', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-cloud'         => esc_html__( 'Mail Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-document'      => esc_html__( 'Mail Document', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-download'      => esc_html__( 'Mail Download', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-flagged'       => esc_html__( 'Mail Flagged', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-heart'         => esc_html__( 'Mail Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-next'          => esc_html__( 'Mail Next', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-noaccess'      => esc_html__( 'Mail No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-note'          => esc_html__( 'Mail Note', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-pencil'        => esc_html__( 'Mail Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-picture'       => esc_html__( 'Mail Picture', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-previous'      => esc_html__( 'Mail Previous', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-refresh'       => esc_html__( 'Mail refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-remove'        => esc_html__( 'Mail Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-search'        => esc_html__( 'Mail Search', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-star'          => esc_html__( 'Mail Star', 'smart' ) ),
		array( 'lineaicons-elaboration-mail-upload'        => esc_html__( 'Mail Upload', 'smart' ) ),
		array( 'lineaicons-elaboration-message-check'      => esc_html__( 'Message Check', 'smart' ) ),
		array( 'lineaicons-elaboration-message-dots'       => esc_html__( 'Message Dots', 'smart' ) ),
		array( 'lineaicons-elaboration-message-happy'      => esc_html__( 'Message Happy', 'smart' ) ),
		array( 'lineaicons-elaboration-message-heart'      => esc_html__( 'Message Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-message-minus'      => esc_html__( 'Message Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-message-note'       => esc_html__( 'Message Note', 'smart' ) ),
		array( 'lineaicons-elaboration-message-plus'       => esc_html__( 'Message Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-message-refresh'    => esc_html__( 'Message Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-message-remove'     => esc_html__( 'Message Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-message-sad'        => esc_html__( 'Message Sad', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-cloud'   => esc_html__( 'Smartphone Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-heart'   => esc_html__( 'Smartphone Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-noaccess'=> esc_html__( 'Smartphone No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-note'    => esc_html__( 'Smartphone Note', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-pencil'  => esc_html__( 'Smartphone Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-picture' => esc_html__( 'Smartphone Picture', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-refresh' => esc_html__( 'Smartphone Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-smartphone-search'  => esc_html__( 'Smartphone Search', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-cloud'       => esc_html__( 'Tablet Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-heart'       => esc_html__( 'Tablet Heart', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-noaccess'    => esc_html__( 'Tablet No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-note'        => esc_html__( 'Tablet Note', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-pencil'      => esc_html__( 'Tablet Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-picture'     => esc_html__( 'Tablet Picture', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-refresh'     => esc_html__( 'Tablet Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-tablet-search'      => esc_html__( 'Tablet Search', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-2'         => esc_html__( 'To Do List 2', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-check'     => esc_html__( 'To Do List Check', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-cloud'     => esc_html__( 'To Do List Cloud', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-download'  => esc_html__( 'To Do List Download', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-flagged'   => esc_html__( 'To Do List Flagged', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-minus'     => esc_html__( 'To Do List Minus', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-noaccess'  => esc_html__( 'To Do List No Access', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-pencil'    => esc_html__( 'To Do List Pencil', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-plus'      => esc_html__( 'To Do List Plus', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-refresh'   => esc_html__( 'To Do List Refresh', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-remove'    => esc_html__( 'To Do List Remove', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-search'    => esc_html__( 'To Do List Search', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-star'      => esc_html__( 'To Do List Star', 'smart' ) ),
		array( 'lineaicons-elaboration-todolist-upload'    => esc_html__( 'To Do List Upload', 'smart' ) ),

		// E-commerce
		array( 'lineaicons-ecommerce-bag'              => esc_html__( 'Bag', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-check'        => esc_html__( 'Bag Check', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-cloud'        => esc_html__( 'Bag Cloud', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-download'     => esc_html__( 'Bag Download', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-minus'        => esc_html__( 'Bag Minus', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-plus'         => esc_html__( 'Bag Plus', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-refresh'      => esc_html__( 'Bag Refresh', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-remove'       => esc_html__( 'Bag Remove', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-search'       => esc_html__( 'Bag Search', 'smart' ) ),
		array( 'lineaicons-ecommerce-bag-upload'       => esc_html__( 'Bag Upload', 'smart' ) ),
		array( 'lineaicons-ecommerce-banknote'         => esc_html__( 'Bank Note', 'smart' ) ),
		array( 'lineaicons-ecommerce-banknotes'        => esc_html__( 'Bank Notes', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket'           => esc_html__( 'Basket', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-check'     => esc_html__( 'Basket Check', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-cloud'     => esc_html__( 'Basket Cloud', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-download'  => esc_html__( 'Basket Download', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-minus'     => esc_html__( 'Basket Minus', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-plus'      => esc_html__( 'Basket Plus', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-refresh'   => esc_html__( 'Basket Refresh', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-remove'    => esc_html__( 'Basket Remove', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-search'    => esc_html__( 'Basket Search', 'smart' ) ),
		array( 'lineaicons-ecommerce-basket-upload'    => esc_html__( 'Basket Upload', 'smart' ) ),
		array( 'lineaicons-ecommerce-bath'             => esc_html__( 'Bath', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart'             => esc_html__( 'Cart', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-check'       => esc_html__( 'Cart Check', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-cloud'       => esc_html__( 'Cart Cloud', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-content'     => esc_html__( 'Cart Content', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-download'    => esc_html__( 'Cart Download', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-minus'       => esc_html__( 'Cart Minus', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-plus'        => esc_html__( 'Cart Plus', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-refresh'     => esc_html__( 'Cart Refresh', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-remove'      => esc_html__( 'Cart Remove', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-search'      => esc_html__( 'Cart Search', 'smart' ) ),
		array( 'lineaicons-ecommerce-cart-upload'      => esc_html__( 'Cart Upload', 'smart' ) ),
		array( 'lineaicons-ecommerce-cent'             => esc_html__( 'Cent', 'smart' ) ),
		array( 'lineaicons-ecommerce-colon'            => esc_html__( 'Colon', 'smart' ) ),
		array( 'lineaicons-ecommerce-creditcard'       => esc_html__( 'Credit Card', 'smart' ) ),
		array( 'lineaicons-ecommerce-diamond'          => esc_html__( 'Diamond', 'smart' ) ),
		array( 'lineaicons-ecommerce-dollar'           => esc_html__( 'Dollar', 'smart' ) ),
		array( 'lineaicons-ecommerce-euro'             => esc_html__( 'Euro', 'smart' ) ),
		array( 'lineaicons-ecommerce-franc'            => esc_html__( 'Franc', 'smart' ) ),
		array( 'lineaicons-ecommerce-gift'             => esc_html__( 'Gift', 'smart' ) ),
		array( 'lineaicons-ecommerce-graph1'           => esc_html__( 'Graph 1', 'smart' ) ),
		array( 'lineaicons-ecommerce-graph2'           => esc_html__( 'Graph 2', 'smart' ) ),
		array( 'lineaicons-ecommerce-graph3'           => esc_html__( 'Graph 3', 'smart' ) ),
		array( 'lineaicons-ecommerce-graph-decrease'   => esc_html__( 'Graph Decrease', 'smart' ) ),
		array( 'lineaicons-ecommerce-graph-increase'   => esc_html__( 'Graph Increase', 'smart' ) ),
		array( 'lineaicons-ecommerce-guarani'          => esc_html__( 'Guarani', 'smart' ) ),
		array( 'lineaicons-ecommerce-kips'             => esc_html__( 'Kips', 'smart' ) ),
		array( 'lineaicons-ecommerce-lira'             => esc_html__( 'Lira', 'smart' ) ),
		array( 'lineaicons-ecommerce-megaphone'        => esc_html__( 'Megaphone', 'smart' ) ),
		array( 'lineaicons-ecommerce-money'            => esc_html__( 'Money', 'smart' ) ),
		array( 'lineaicons-ecommerce-naira'            => esc_html__( 'Naira', 'smart' ) ),
		array( 'lineaicons-ecommerce-pesos'            => esc_html__( 'Pesos', 'smart' ) ),
		array( 'lineaicons-ecommerce-pound'            => esc_html__( 'Pound', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt'          => esc_html__( 'Receipt', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-bath'     => esc_html__( 'Receipt Bath', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-cent'     => esc_html__( 'Receipt Cent', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-dollar'   => esc_html__( 'Receipt Dollar', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-euro'     => esc_html__( 'Receipt Euro', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-franc'    => esc_html__( 'Receipt Franc', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-guarani'  => esc_html__( 'Receipt Guarani', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-kips'     => esc_html__( 'Receipt Kips', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-lira'     => esc_html__( 'Receipt Lira', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-naira'    => esc_html__( 'Receipt Naira', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-pesos'    => esc_html__( 'Receipt Pesos', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-pound'    => esc_html__( 'Receipt Pound', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-rublo'    => esc_html__( 'Receipt Rublo', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-rupee'    => esc_html__( 'Receipt Rupee', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-tugrik'   => esc_html__( 'Receipt Tugrik', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-won'      => esc_html__( 'Receipt Won', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-yen'      => esc_html__( 'Receipt Yen', 'smart' ) ),
		array( 'lineaicons-ecommerce-receipt-yen2'     => esc_html__( 'Receipt Yen', 'smart' ) ),
		array( 'lineaicons-ecommerce-recept-colon'     => esc_html__( 'Recept Colon', 'smart' ) ),
		array( 'lineaicons-ecommerce-rublo'            => esc_html__( 'Rublo', 'smart' ) ),
		array( 'lineaicons-ecommerce-rupee'            => esc_html__( 'Rupee', 'smart' ) ),
		array( 'lineaicons-ecommerce-safe'             => esc_html__( 'Safe', 'smart' ) ),
		array( 'lineaicons-ecommerce-sale'             => esc_html__( 'Sale', 'smart' ) ),
		array( 'lineaicons-ecommerce-sales'            => esc_html__( 'Sales', 'smart' ) ),
		array( 'lineaicons-ecommerce-ticket'           => esc_html__( 'Ticket', 'smart' ) ),
		array( 'lineaicons-ecommerce-tugriks'          => esc_html__( 'Tugriks', 'smart' ) ),
		array( 'lineaicons-ecommerce-wallet'           => esc_html__( 'Wallet', 'smart' ) ),
		array( 'lineaicons-ecommerce-won'              => esc_html__( 'Won', 'smart' ) ),
		array( 'lineaicons-ecommerce-yen'              => esc_html__( 'Yen', 'smart' ) ),
		array( 'lineaicons-ecommerce-yen2'             => esc_html__( 'Yen', 'smart' ) ),

		// Music
		array( 'lineaicons-music-beginning-button'     => esc_html__( 'Beginning Button', 'smart' ) ),
		array( 'lineaicons-music-bell'                 => esc_html__( 'Bell', 'smart' ) ),
		array( 'lineaicons-music-cd'                   => esc_html__( 'CD', 'smart' ) ),
		array( 'lineaicons-music-diapason'             => esc_html__( 'Diapason', 'smart' ) ),
		array( 'lineaicons-music-eject-button'         => esc_html__( 'Eject Button', 'smart' ) ),
		array( 'lineaicons-music-end-button'           => esc_html__( 'End Button', 'smart' ) ),
		array( 'lineaicons-music-fastforward-button'   => esc_html__( 'Fast Forward Button', 'smart' ) ),
		array( 'lineaicons-music-headphones'           => esc_html__( 'Headphones', 'smart' ) ),
		array( 'lineaicons-music-ipod'                 => esc_html__( 'iPod', 'smart' ) ),
		array( 'lineaicons-music-loudspeaker'          => esc_html__( 'Loud Speaker', 'smart' ) ),
		array( 'lineaicons-music-microphone'           => esc_html__( 'Microphone', 'smart' ) ),
		array( 'lineaicons-music-microphone-old'       => esc_html__( 'Microphone Old', 'smart' ) ),
		array( 'lineaicons-music-mixer'                => esc_html__( 'Mixer', 'smart' ) ),
		array( 'lineaicons-music-mute'                 => esc_html__( 'Mute', 'smart' ) ),
		array( 'lineaicons-music-note-multiple'        => esc_html__( 'Note Multiple', 'smart' ) ),
		array( 'lineaicons-music-note-single'          => esc_html__( 'Note Single', 'smart' ) ),
		array( 'lineaicons-music-pause-button'         => esc_html__( 'Pause Button', 'smart' ) ),
		array( 'lineaicons-music-play-button'          => esc_html__( 'Play Button', 'smart' ) ),
		array( 'lineaicons-music-playlist'             => esc_html__( 'Playlist', 'smart' ) ),
		array( 'lineaicons-music-radio-ghettoblaster'  => esc_html__( 'Ghetto Blaster', 'smart' ) ),
		array( 'lineaicons-music-radio-portable'       => esc_html__( 'Radio Portable', 'smart' ) ),
		array( 'lineaicons-music-record'               => esc_html__( 'Record', 'smart' ) ),
		array( 'lineaicons-music-recordplayer'         => esc_html__( 'Record Player', 'smart' ) ),
		array( 'lineaicons-music-repeat-button'        => esc_html__( 'Repeat Button', 'smart' ) ),
		array( 'lineaicons-music-rewind-button'        => esc_html__( 'Rewind Button', 'smart' ) ),
		array( 'lineaicons-music-shuffle-button'       => esc_html__( 'Shuffle Button', 'smart' ) ),
		array( 'lineaicons-music-stop-button'          => esc_html__( 'Stop Button', 'smart' ) ),
		array( 'lineaicons-music-tape'                 => esc_html__( 'Tape', 'smart' ) ),
		array( 'lineaicons-music-volume-down'          => esc_html__( 'Volume Down', 'smart' ) ),
		array( 'lineaicons-music-volume-up'            => esc_html__( 'Volume Up', 'smart' ) ),

		// Software
		array( 'lineaicons-software-add-vectorpoint'   => esc_html__( 'Add Vectorpoint', 'smart' ) ),
		array( 'lineaicons-software-box-oval'          => esc_html__( 'Box Oval', 'smart' ) ),
		array( 'lineaicons-software-box-polygon'       => esc_html__( 'Box Polygon', 'smart' ) ),
		array( 'lineaicons-software-box-rectangle'     => esc_html__( 'Box Rectangle', 'smart' ) ),
		array( 'lineaicons-software-box-roundedrectangle' => esc_html__( 'Box Rounded Rectangle', 'smart' ) ),
		array( 'lineaicons-software-character'         => esc_html__( 'Character', 'smart' ) ),
		array( 'lineaicons-software-crop'              => esc_html__( 'Crop', 'smart' ) ),
		array( 'lineaicons-software-eyedropper'        => esc_html__( 'Eyedropper', 'smart' ) ),
		array( 'lineaicons-software-font-allcaps'      => esc_html__( 'Font Allcaps', 'smart' ) ),
		array( 'lineaicons-software-font-baseline-shift'   => esc_html__( 'Font Baseline Shift', 'smart' ) ),
		array( 'lineaicons-software-font-horizontal-scale' => esc_html__( 'Font Horizontal Scale', 'smart' ) ),
		array( 'lineaicons-software-font-kerning'          => esc_html__( 'Font Kerning', 'smart' ) ),
		array( 'lineaicons-software-font-leading'          => esc_html__( 'Font Leading', 'smart' ) ),
		array( 'lineaicons-software-font-size'             => esc_html__( 'Font Size', 'smart' ) ),
		array( 'lineaicons-software-font-smallcapital'     => esc_html__( 'Font Small Capital', 'smart' ) ),
		array( 'lineaicons-software-font-smallcaps'        => esc_html__( 'Font Smallcaps', 'smart' ) ),
		array( 'lineaicons-software-font-strikethrough'    => esc_html__( 'Font Strike Trhough', 'smart' ) ),
		array( 'lineaicons-software-font-tracking'         => esc_html__( 'Font Tracking', 'smart' ) ),
		array( 'lineaicons-software-font-underline'        => esc_html__( 'Font Underline', 'smart' ) ),
		array( 'lineaicons-software-font-vertical-scale'   => esc_html__( 'Font Vertical Scale', 'smart' ) ),
		array( 'lineaicons-software-horizontal-align-center' => esc_html__( 'Horizontal Align Center', 'smart' ) ),
		array( 'lineaicons-software-horizontal-align-left' => esc_html__( 'Horizontal Align Left', 'smart' ) ),
		array( 'lineaicons-software-horizontal-align-right' => esc_html__( 'Horizontal Align Right', 'smart' ) ),
		array( 'lineaicons-software-horizontal-distribute-center' => esc_html__( 'Horizontal Distribute Center', 'smart' ) ),
		array( 'lineaicons-software-horizontal-distribute-left' => esc_html__( 'Horizontal Distribute Left', 'smart' ) ),
		array( 'lineaicons-software-horizontal-distribute-right' => esc_html__( 'Horizontal Distribute Right', 'smart' ) ),
		array( 'lineaicons-software-indent-firstline'  => esc_html__( 'Indent First Line', 'smart' ) ),
		array( 'lineaicons-software-indent-left'       => esc_html__( 'Indent Left', 'smart' ) ),
		array( 'lineaicons-software-indent-right'      => esc_html__( 'Indent Right', 'smart' ) ),
		array( 'lineaicons-software-lasso'             => esc_html__( 'Lasso', 'smart' ) ),
		array( 'lineaicons-software-layers1'           => esc_html__( 'Layers 1', 'smart' ) ),
		array( 'lineaicons-software-layers2'           => esc_html__( 'Layers 2', 'smart' ) ),
		array( 'lineaicons-software-layout'            => esc_html__( 'Layout', 'smart' ) ),
		array( 'lineaicons-software-layout-2columns'   => esc_html__( 'Layout 2 Columns', 'smart' ) ),
		array( 'lineaicons-software-layout-3columns'   => esc_html__( 'Layout 3 Columns', 'smart' ) ),
		array( 'lineaicons-software-layout-4boxes'     => esc_html__( 'Layout 4 Boxes', 'smart' ) ),
		array( 'lineaicons-software-layout-4columns'   => esc_html__( 'Layout 4 Columns', 'smart' ) ),
		array( 'lineaicons-software-layout-4lines'     => esc_html__( 'Layout 4 Lines', 'smart' ) ),
		array( 'lineaicons-software-layout-8boxes'     => esc_html__( 'Layout 8 Boxes', 'smart' ) ),
		array( 'lineaicons-software-layout-header'     => esc_html__( 'Layout Header', 'smart' ) ),
		array( 'lineaicons-software-layout-header-2columns' => esc_html__( 'Layout Header 2 Columns', 'smart' ) ),
		array( 'lineaicons-software-layout-header-3columns' => esc_html__( 'Layout Header 3 Columns', 'smart' ) ),
		array( 'lineaicons-software-layout-header-4boxes'   => esc_html__( 'Layout Header 4 Boxes', 'smart' ) ),
		array( 'lineaicons-software-layout-header-4columns' => esc_html__( 'Layout Header 4 Columns', 'smart' ) ),
		array( 'lineaicons-software-layout-header-complex'  => esc_html__( 'Layout Header Complex', 'smart' ) ),
		array( 'lineaicons-software-layout-header-complex2' => esc_html__( 'Layout Header Complex 2', 'smart' ) ),
		array( 'lineaicons-software-layout-header-complex3' => esc_html__( 'Layout Header Complex 3', 'smart' ) ),
		array( 'lineaicons-software-layout-header-complex4' => esc_html__( 'Layout Header Complex 4', 'smart' ) ),
		array( 'lineaicons-software-layout-header-sideleft' => esc_html__( 'Layout Header Side Left', 'smart' ) ),
		array( 'lineaicons-software-layout-header-sideright' => esc_html__( 'Layout Header Side Right', 'smart' ) ),
		array( 'lineaicons-software-layout-sidebar-left'    => esc_html__( 'Layout Sidebar Left', 'smart' ) ),
		array( 'lineaicons-software-layout-sidebar-right'   => esc_html__( 'Layout Sidebar Right', 'smart' ) ),
		array( 'lineaicons-software-magnete'           => esc_html__( 'Magnete', 'smart' ) ),
		array( 'lineaicons-software-pages'             => esc_html__( 'Pages', 'smart' ) ),
		array( 'lineaicons-software-paintbrush'        => esc_html__( 'Paint Brush', 'smart' ) ),
		array( 'lineaicons-software-paintbucket'       => esc_html__( 'Paint Bucket', 'smart' ) ),
		array( 'lineaicons-software-paintroller'       => esc_html__( 'Paintroller', 'smart' ) ),
		array( 'lineaicons-software-paragraph'         => esc_html__( 'Paragraph', 'smart' ) ),
		array( 'lineaicons-software-paragraph-align-left'     => esc_html__( 'Paragraph Align Left', 'smart' ) ),
		array( 'lineaicons-software-paragraph-align-right'    => esc_html__( 'Paragraph Align Right', 'smart' ) ),
		array( 'lineaicons-software-paragraph-center'         => esc_html__( 'Paragraph Center', 'smart' ) ),
		array( 'lineaicons-software-paragraph-justify-all'    => esc_html__( 'Paragraph Justify All', 'smart' ) ),
		array( 'lineaicons-software-paragraph-justify-center' => esc_html__( 'Paragraph Justify Center', 'smart' ) ),
		array( 'lineaicons-software-paragraph-justify-left'   => esc_html__( 'Paragraph Justify Left', 'smart' ) ),
		array( 'lineaicons-software-paragraph-justify-right'  => esc_html__( 'Paragraph Justify Right', 'smart' ) ),
		array( 'lineaicons-software-paragraph-space-after'    => esc_html__( 'Paragraph Space After', 'smart' ) ),
		array( 'lineaicons-software-paragraph-space-before'   => esc_html__( 'Paragraph Space Before', 'smart' ) ),
		array( 'lineaicons-software-pathfinder-exclude'       => esc_html__( 'Pathfinder Exclude', 'smart' ) ),
		array( 'lineaicons-software-pathfinder-intersect'     => esc_html__( 'Pathfinder Intersect', 'smart' ) ),
		array( 'lineaicons-software-pathfinder-subtract'      => esc_html__( 'Pathfinder Subsctract', 'smart' ) ),
		array( 'lineaicons-software-pathfinder-unite'         => esc_html__( 'Pathfinder Unite', 'smart' ) ),
		array( 'lineaicons-software-pen'               => esc_html__( 'Pen', 'smart' ) ),
		array( 'lineaicons-software-pen-add'           => esc_html__( 'Pen Add', 'smart' ) ),
		array( 'lineaicons-software-pen-remove'        => esc_html__( 'Pen Remove', 'smart' ) ),
		array( 'lineaicons-software-pencil'            => esc_html__( 'Pencil', 'smart' ) ),
		array( 'lineaicons-software-polygonallasso'    => esc_html__( 'Polygonal Lasso', 'smart' ) ),
		array( 'lineaicons-software-reflect-horizontal' => esc_html__( 'Reflect Horizontal', 'smart' ) ),
		array( 'lineaicons-software-reflect-vertical'  => esc_html__( 'Reflect Vertical', 'smart' ) ),
		array( 'lineaicons-software-remove-vectorpoint' => esc_html__( 'Remove Vector Point', 'smart' ) ),
		array( 'lineaicons-software-scale-expand'      => esc_html__( 'Scale Expand', 'smart' ) ),
		array( 'lineaicons-software-scale-reduce'      => esc_html__( 'Scale Reduce', 'smart' ) ),
		array( 'lineaicons-software-selection-oval'    => esc_html__( 'Selection Oval', 'smart' ) ),
		array( 'lineaicons-software-selection-polygon' => esc_html__( 'Selection Polygon', 'smart' ) ),
		array( 'lineaicons-software-selection-rectangle' => esc_html__( 'Selection Rectangle', 'smart' ) ),
		array( 'lineaicons-software-selection-roundedrectangle' => esc_html__( 'Selection Rounded Rectangle', 'smart' ) ),
		array( 'lineaicons-software-shape-oval'        => esc_html__( 'Shape Oval', 'smart' ) ),
		array( 'lineaicons-software-shape-polygon'     => esc_html__( 'Shape Polygon', 'smart' ) ),
		array( 'lineaicons-software-shape-rectangle'   => esc_html__( 'Shape Rectangle', 'smart' ) ),
		array( 'lineaicons-software-shape-roundedrectangle' => esc_html__( 'Shape Rounded Rectangle', 'smart' ) ),
		array( 'lineaicons-software-slice'             => esc_html__( 'Slice', 'smart' ) ),
		array( 'lineaicons-software-transform-bezier'  => esc_html__( 'Transform Bezier', 'smart' ) ),
		array( 'lineaicons-software-vector-box'        => esc_html__( 'Vector Box', 'smart' ) ),
		array( 'lineaicons-software-vector-composite'  => esc_html__( 'Vector Composite', 'smart' ) ),
		array( 'lineaicons-software-vector-line'       => esc_html__( 'Vector Line', 'smart' ) ),
		array( 'lineaicons-software-vertical-align-bottom'      => esc_html__( 'Vertical Align Bottom', 'smart' ) ),
		array( 'lineaicons-software-vertical-align-center'      => esc_html__( 'Vertical Align Center', 'smart' ) ),
		array( 'lineaicons-software-vertical-align-top'         => esc_html__( 'Vertical Align Top', 'smart' ) ),
		array( 'lineaicons-software-vertical-distribute-bottom' => esc_html__( 'Vertical Distribute Bottom', 'smart' ) ),
		array( 'lineaicons-software-vertical-distribute-center' => esc_html__( 'Vertical Distribute Center', 'smart' ) ),
		array( 'lineaicons-software-vertical-distribute-top'    => esc_html__( 'Vertical Distribute Top', 'smart' ) ),

		// Weather
		array( 'lineaicons-weather-aquarius'           => esc_html__( 'Aquarius', 'smart' ) ),
		array( 'lineaicons-weather-aries'              => esc_html__( 'Aries', 'smart' ) ),
		array( 'lineaicons-weather-cancer'             => esc_html__( 'Cancer', 'smart' ) ),
		array( 'lineaicons-weather-capricorn'          => esc_html__( 'Capricorn', 'smart' ) ),
		array( 'lineaicons-weather-cloud'              => esc_html__( 'Cloud', 'smart' ) ),
		array( 'lineaicons-weather-cloud-drop'         => esc_html__( 'Cloud Drop', 'smart' ) ),
		array( 'lineaicons-weather-cloud-lightning'    => esc_html__( 'Cloud Lightning', 'smart' ) ),
		array( 'lineaicons-weather-cloud-snowflake'    => esc_html__( 'Cloud Snowflake', 'smart' ) ),
		array( 'lineaicons-weather-downpour-fullmoon'  => esc_html__( 'Downpour Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-downpour-halfmoon'  => esc_html__( 'Downpour Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-downpour-sun'       => esc_html__( 'Downpour Sun', 'smart' ) ),
		array( 'lineaicons-weather-drop'               => esc_html__( 'Drop', 'smart' ) ),
		array( 'lineaicons-weather-first-quarter'      => esc_html__( 'Fist Quarter', 'smart' ) ),
		array( 'lineaicons-weather-fog'                => esc_html__( 'Fog', 'smart' ) ),
		array( 'lineaicons-weather-fog-fullmoon'       => esc_html__( 'Fog Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-fog-halfmoon'       => esc_html__( 'Fog Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-fog-sun'            => esc_html__( 'Fog Sun', 'smart' ) ),
		array( 'lineaicons-weather-fullmoon'           => esc_html__( 'Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-gemini'             => esc_html__( 'Gemini', 'smart' ) ),
		array( 'lineaicons-weather-hail'               => esc_html__( 'Hail', 'smart' ) ),
		array( 'lineaicons-weather-hail-fullmoon'      => esc_html__( 'Hail Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-hail-halfmoon'      => esc_html__( 'Hail Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-hail-sun'           => esc_html__( 'Hail Sun', 'smart' ) ),
		array( 'lineaicons-weather-last-quarter'       => esc_html__( 'Last Quarter', 'smart' ) ),
		array( 'lineaicons-weather-leo'                => esc_html__( 'Leo', 'smart' ) ),
		array( 'lineaicons-weather-libra'              => esc_html__( 'Libra', 'smart' ) ),
		array( 'lineaicons-weather-lightning'          => esc_html__( 'Lightning', 'smart' ) ),
		array( 'lineaicons-weather-mistyrain'          => esc_html__( 'Misty Rain', 'smart' ) ),
		array( 'lineaicons-weather-mistyrain-fullmoon' => esc_html__( 'Misty Rain Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-mistyrain-halfmoon' => esc_html__( 'Misty Rain Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-mistyrain-sun'      => esc_html__( 'Misty Rain Sun', 'smart' ) ),
		array( 'lineaicons-weather-moon'               => esc_html__( 'Moon', 'smart' ) ),
		array( 'lineaicons-weather-moondown-full'      => esc_html__( 'Moon Down Full', 'smart' ) ),
		array( 'lineaicons-weather-moondown-half'      => esc_html__( 'Moon Down Half', 'smart' ) ),
		array( 'lineaicons-weather-moonset-full'       => esc_html__( 'Moon Set Full', 'smart' ) ),
		array( 'lineaicons-weather-moonset-half'       => esc_html__( 'Moon Set Half', 'smart' ) ),
		array( 'lineaicons-weather-move2'              => esc_html__( 'Move 2', 'smart' ) ),
		array( 'lineaicons-weather-newmoon'            => esc_html__( 'Newmoon', 'smart' ) ),
		array( 'lineaicons-weather-pisces'             => esc_html__( 'Pisces', 'smart' ) ),
		array( 'lineaicons-weather-rain'               => esc_html__( 'Rain', 'smart' ) ),
		array( 'lineaicons-weather-rain-fullmoon'      => esc_html__( 'Rain Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-rain-halfmoon'      => esc_html__( 'Rain Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-rain-sun'           => esc_html__( 'Rain Sun', 'smart' ) ),
		array( 'lineaicons-weather-sagittarius'        => esc_html__( 'Sagittarius', 'smart' ) ),
		array( 'lineaicons-weather-scorpio'            => esc_html__( 'Scorpio', 'smart' ) ),
		array( 'lineaicons-weather-snow'               => esc_html__( 'Snow', 'smart' ) ),
		array( 'lineaicons-weather-snow-fullmoon'      => esc_html__( 'Snow Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-snow-halfmoon'      => esc_html__( 'Snow Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-snow-sun'           => esc_html__( 'Snow Sun', 'smart' ) ),
		array( 'lineaicons-weather-snowflake'          => esc_html__( 'Snowflake', 'smart' ) ),
		array( 'lineaicons-weather-star'               => esc_html__( 'Star', 'smart' ) ),
		array( 'lineaicons-weather-storm-11'           => esc_html__( 'Storm 11', 'smart' ) ),
		array( 'lineaicons-weather-storm-32'           => esc_html__( 'Storm 32', 'smart' ) ),
		array( 'lineaicons-weather-storm-fullmoon'     => esc_html__( 'Storm Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-storm-halfmoon'     => esc_html__( 'Storm Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-storm-sun'          => esc_html__( 'Storm Sun', 'smart' ) ),
		array( 'lineaicons-weather-sun'                => esc_html__( 'Sun', 'smart' ) ),
		array( 'lineaicons-weather-sundown'            => esc_html__( 'Sundown', 'smart' ) ),
		array( 'lineaicons-weather-sunset'             => esc_html__( 'Sunset', 'smart' ) ),
		array( 'lineaicons-weather-taurus'             => esc_html__( 'Taurus', 'smart' ) ),
		array( 'lineaicons-weather-tempest'            => esc_html__( 'Tempest', 'smart' ) ),
		array( 'lineaicons-weather-tempest-fullmoon'   => esc_html__( 'Tempest Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-tempest-halfmoon'   => esc_html__( 'Tempest Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-tempest-sun'        => esc_html__( 'Tempest Sun', 'smart' ) ),
		array( 'lineaicons-weather-variable-fullmoon'  => esc_html__( 'Variable Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-variable-halfmoon'  => esc_html__( 'Variable Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-variable-sun'       => esc_html__( 'Variable Sun', 'smart' ) ),
		array( 'lineaicons-weather-virgo'              => esc_html__( 'Virgo', 'smart' ) ),
		array( 'lineaicons-weather-waning-cresent'     => esc_html__( 'Warning Cresent', 'smart' ) ),
		array( 'lineaicons-weather-waning-gibbous'     => esc_html__( 'Warning Gibbous', 'smart' ) ),
		array( 'lineaicons-weather-waxing-cresent'     => esc_html__( 'Waxing Cresent', 'smart' ) ),
		array( 'lineaicons-weather-waxing-gibbous'     => esc_html__( 'Waxing Gibbous', 'smart' ) ),
		array( 'lineaicons-weather-wind'               => esc_html__( 'Wind', 'smart' ) ),
		array( 'lineaicons-weather-wind-e'             => esc_html__( 'Wind E', 'smart' ) ),
		array( 'lineaicons-weather-wind-fullmoon'      => esc_html__( 'Wind Fullmoon', 'smart' ) ),
		array( 'lineaicons-weather-wind-halfmoon'      => esc_html__( 'Wind Halfmoon', 'smart' ) ),
		array( 'lineaicons-weather-wind-n'             => esc_html__( 'Wind N', 'smart' ) ),
		array( 'lineaicons-weather-wind-ne'            => esc_html__( 'Wind NE', 'smart' ) ),
		array( 'lineaicons-weather-wind-nw'            => esc_html__( 'Wind NW', 'smart' ) ),
		array( 'lineaicons-weather-wind-s'             => esc_html__( 'Wind S', 'smart' ) ),
		array( 'lineaicons-weather-wind-se'            => esc_html__( 'Wind SE', 'smart' ) ),
		array( 'lineaicons-weather-wind-sun'           => esc_html__( 'Wind Sun', 'smart' ) ),
		array( 'lineaicons-weather-wind-sw'            => esc_html__( 'Wind SW', 'smart' ) ),
		array( 'lineaicons-weather-wind-w'             => esc_html__( 'Wind W', 'smart' ) ),
		array( 'lineaicons-weather-windgust'           => esc_html__( 'Windgust', 'smart' ) ),

	);


	return array_merge( $icons, $lineaicons );
}
endif;
