<?php
if ( ! function_exists( 'nice_vc_integration_remove_admin_notices' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_remove_admin_notices' );
/**
 * Remove all admin notices in front-editor mode.
 *
 * @since 1.1
 */
function nice_vc_integration_remove_admin_notices() {
	nice_vc_inline() && remove_all_actions( 'admin_notices' );
}
endif;

if ( ! function_exists( 'nice_vc_integration_remove_activation_notice' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_remove_activation_notice' );
/**
 * Remove VC activation notice.
 *
 * @since 1.0
 */
function nice_vc_integration_remove_activation_notice() {
	remove_action( 'admin_notices', array( vc_license(), 'adminNoticeLicenseActivation' ) );
}
endif;

if ( ! function_exists( 'nice_vc_integration_remove_default_templates' ) ) :
add_action( 'vc_load_default_templates', 'nice_vc_integration_remove_default_templates' );
/**
 * Remove VC default templates.
 *
 * @since 1.0
 */
function nice_vc_integration_remove_default_templates() {
	return array();
}
endif;

if ( ! function_exists( 'nice_vc_integration_remove_metabox' ) ) :
add_action( 'admin_head', 'nice_vc_integration_remove_metabox' );
/**
 * 	Remove side metabox.
 *
 * @since 1.0
 */
function nice_vc_integration_remove_metabox() {
	global $post_type;

	remove_meta_box( 'vc_teaser', $post_type, 'side' );
}
endif;

if ( ! function_exists( 'nice_vc_integration_admin_icons' ) ) :
add_action( 'vc_after_init', 'nice_vc_integration_admin_icons', 20 );
/**
 * Modify the icons for each module on the admin section
 *
 * @since 1.0
 */
function nice_vc_integration_admin_icons() {
	vc_map_update( 'vc_column_text',    'icon', 'fa fa-font' );
	vc_map_update( 'vc_custom_heading', 'icon', 'fa fa-header' );
	vc_map_update( 'vc_raw_html',       'icon', 'bi_web-code' );
	vc_map_update( 'vc_raw_js',         'icon', 'bi_web-code' );
	vc_map_update( 'vc_section',        'icon', 'bi_layout-wireframe' );
}
endif;