<?php
/**
 * Smart by NiceThemes.
 *
 * Custom style functions for Visual Composer integration (admin facing side).
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_admin_styles' ) ) :
add_action( 'nice_admin_register_styles', 'nice_vc_integration_admin_styles' );
/**
 * Add styles for the admin section.
 *
 * @since  1.0.0
 */
function nice_vc_integration_admin_styles() {
	wp_register_style( 'nice-vc-admin', nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/css/nice-vc-admin.css' ) );
	wp_enqueue_style( 'nice-vc-admin' );

	wp_register_style( 'nice-vc-et-lineicons', nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/css/et-lineicons.css' ) );
	wp_enqueue_style( 'nice-vc-et-lineicons' );

	wp_register_style( 'nice-vc-lineaicons', nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/css/lineaicons.css' ) );
	wp_enqueue_style( 'nice-vc-lineaicons' );
}
endif;
