<?php
/**
 * Smart by NiceThemes.
 *
 * Add more options for the animations
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_add_css_animation' ) ) :
/**
 * Return array with options to enable animations
 *
 * @since  1.0.0
 *
 * @param  array $args
 *
 * @return array
 */
function nice_vc_integration_add_css_animation( array $args = array() ) {
	$css_animation = array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'CSS Animation', 'smart' ),
		'param_name'  => 'css_animation',
		'std'         => '',
		'value'       => array(
			esc_html__( 'No', 'smart' )       => '',
			// Fade in.
			esc_html__( 'Fade In', 'smart' ) => 'fadeIn',
			esc_html__( 'Fade In Down', 'smart' ) => 'fadeInDown',
			esc_html__( 'Fade In Down Big', 'smart' ) => 'fadeInDownBig',
			esc_html__( 'Fade In Left', 'smart' ) => 'fadeInLeft',
			esc_html__( 'Fade In Left Big', 'smart' ) => 'fadeInLeftBig',
			esc_html__( 'Fade In Right', 'smart' ) => 'fadeInRight',
			esc_html__( 'Fade In Right Big', 'smart' ) => 'fadeInRightBig',
			esc_html__( 'Fade In Up', 'smart' ) => 'fadeInUp',
			esc_html__( 'Fade In Up Big', 'smart' ) => 'fadeInUpBig',
			// Bounce in.
			esc_html__( 'Bounce In', 'smart' ) => 'bounceIn',
			esc_html__( 'Bounce In Down', 'smart' ) => 'bounceInDown',
			esc_html__( 'Bounce In Left', 'smart' ) => 'bounceInLeft',
			esc_html__( 'Bounce In Right', 'smart' ) => 'bounceInRight',
			esc_html__( 'Bounce In Up', 'smart' ) => 'bounceInUp',
			// General.
			esc_html__( 'Bounce', 'smart' ) => 'bounce',
			esc_html__( 'Flash', 'smart' ) => 'flash',
			esc_html__( 'Pulse', 'smart' ) => 'pulse',
			esc_html__( 'RubberBand', 'smart' ) => 'rubberBand',
			esc_html__( 'Shake', 'smart' ) => 'shake',
			esc_html__( 'Swing', 'smart' ) => 'swing',
			esc_html__( 'Rada', 'smart' ) => 'tada',
			esc_html__( 'Wobble', 'smart' ) => 'wobble',
			esc_html__( 'Jello', 'smart' ) => 'jello',
			// Bounce
			esc_html__( 'Bounce Out', 'smart' ) => 'bounceOut',
			esc_html__( 'Bounce Out Down', 'smart' ) => 'bounceOutDown',
			esc_html__( 'Bounce Out Left', 'smart' ) => 'bounceOutLeft',
			esc_html__( 'Bounce Out Right', 'smart' ) => 'bounceOutRight',
			esc_html__( 'Bounce Out Up', 'smart' ) => 'bounceOutUp',
			// Fade.
			esc_html__( 'Fade Out', 'smart' ) => 'fadeOut',
			esc_html__( 'Fade Out Down', 'smart' ) => 'fadeOutDown',
			esc_html__( 'Fade Out Down Big', 'smart' ) => 'fadeOutDownBig',
			esc_html__( 'Fade Out Left', 'smart' ) => 'fadeOutLeft',
			esc_html__( 'Fade Out Left Big', 'smart' ) => 'fadeOutLeftBig',
			esc_html__( 'Fade Out Right', 'smart' ) => 'fadeOutRight',
			esc_html__( 'Fade Out Right Big', 'smart' ) => 'fadeOutRightBig',
			esc_html__( 'Fade Out Up', 'smart' ) => 'fadeOutUp',
			esc_html__( 'Fade Out Up Big', 'smart' ) => 'fadeOutUpBig',
			// Flip.
			esc_html__( 'Flip', 'smart' ) => 'flip',
			esc_html__( 'Flip In X', 'smart' ) => 'flipInX',
			esc_html__( 'Flip In Y', 'smart' ) => 'flipInY',
			esc_html__( 'Flip Out X', 'smart' ) => 'flipOutX',
			esc_html__( 'Flip Out Y', 'smart' ) => 'flipOutY',
			// Lightspeed.
			esc_html__( 'LightSpeed In', 'smart' ) => 'lightSpeedIn',
			esc_html__( 'LightSpeed Out', 'smart' ) => 'lightSpeedOut',
			// Rotate
			esc_html__( 'Rotate In', 'smart' ) => 'rotateIn',
			esc_html__( 'Rotate In Down Left', 'smart' ) => 'rotateInDownLeft',
			esc_html__( 'Rotate In Down Right', 'smart' ) => 'rotateInDownRight',
			esc_html__( 'Rotate In Up Left', 'smart' ) => 'rotateInUpLeft',
			esc_html__( 'Rotate In Up Right', 'smart' ) => 'rotateInUpRight',
			esc_html__( 'Rotate Out', 'smart' ) => 'rotateOut',
			esc_html__( 'Rotate Out Down Left', 'smart' ) => 'rotateOutDownLeft',
			esc_html__( 'Rotate Out Down Right', 'smart' ) => 'rotateOutDownRight',
			esc_html__( 'Rotate Out Up Left', 'smart' ) => 'rotateOutUpLeft',
			esc_html__( 'Rotate Out Up Right', 'smart' ) => 'rotateOutUpRight',
			// Slide in.
			esc_html__( 'SlideIn Up', 'smart' ) => 'slideInUp',
			esc_html__( 'SlideIn Down', 'smart' ) => 'slideInDown',
			esc_html__( 'SlideIn Left', 'smart' ) => 'slideInLeft',
			esc_html__( 'SlideIn Right', 'smart' ) => 'slideInRight',
			// Slide out.
			esc_html__( 'SlideOut Up', 'smart' ) => 'slideOutUp',
			esc_html__( 'SlideOut Down', 'smart' ) => 'slideOutDown',
			esc_html__( 'SlideOut Left', 'smart' ) => 'slideOutLeft',
			esc_html__( 'SlideOut Right', 'smart' ) => 'slideOutRight',
			// Zoom in .
			esc_html__( 'Zoom In', 'smart' ) => 'zoomIn',
			esc_html__( 'Zoom In Down', 'smart' ) => 'zoomInDown',
			esc_html__( 'Zoom In Left', 'smart' ) => 'zoomInLeft',
			esc_html__( 'Zoom In Right', 'smart' ) => 'zoomInRight',
			esc_html__( 'Zoom In Up', 'smart' ) => 'zoomInUp',
			// Zoom out.
			esc_html__( 'Zoom Out', 'smart' ) => 'zoomOut',
			esc_html__( 'Zoom Out Down', 'smart' ) => 'zoomOutDown',
			esc_html__( 'Zoom Out Left', 'smart' ) => 'zoomOutLeft',
			esc_html__( 'Zoom Out Right', 'smart' ) => 'zoomOutRight',
			esc_html__( 'Zoom Out Up', 'smart' ) => 'zoomOutUp',
			// Others.
			esc_html__( 'Hinge', 'smart' ) => 'hinge',
			esc_html__( 'Roll In', 'smart' ) => 'rollIn',
			esc_html__( 'Roll Out', 'smart' ) => 'rollOut',
		),
		'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'smart' ),
		'group'       => esc_html__( 'Animation', 'smart' ),
	);

	return array_merge( $css_animation, $args );
}
endif;


if ( ! function_exists( 'nice_vc_integration_add_css_animation_delay' ) ) :
/**
 * Return array with options to enable animations
 *
 * @since  1.0.0
 *
 * @param  array $args
 *
 * @return array
 */
function nice_vc_integration_add_css_animation_delay( array $args = array() ) {
	$css_animation_delay = array(
		'type'       => 'dropdown',
		'heading'    => esc_html__( 'Animation delay', 'smart' ),
		'param_name' => 'css_animation_delay',
		'value'      => array(
			esc_html__( 'None', 'smart' ) => '',
			esc_html__( 'ms 100', 'smart' ) => 100,
			esc_html__( 'ms 200', 'smart' ) => 200,
			esc_html__( 'ms 300', 'smart' ) => 300,
			esc_html__( 'ms 400', 'smart' ) => 400,
			esc_html__( 'ms 500', 'smart' ) => 500,
			esc_html__( 'ms 600', 'smart' ) => 600,
			esc_html__( 'ms 700', 'smart' ) => 700,
			esc_html__( 'ms 800', 'smart' ) => 800,
			esc_html__( 'ms 900', 'smart' ) => 900,
			esc_html__( 'ms 1000', 'smart' ) => 1000,
			esc_html__( 'ms 1100', 'smart' ) => 1100,
			esc_html__( 'ms 1200', 'smart' ) => 1200,
			esc_html__( 'ms 1300', 'smart' ) => 1300,
			esc_html__( 'ms 1400', 'smart' ) => 1400,
			esc_html__( 'ms 1500', 'smart' ) => 1500,
			esc_html__( 'ms 1600', 'smart' ) => 1600,
			esc_html__( 'ms 1700', 'smart' ) => 1700,
			esc_html__( 'ms 1800', 'smart' ) => 1800,
			esc_html__( 'ms 1900', 'smart' ) => 1900,
			esc_html__( 'ms 2000', 'smart' ) => 2000,
		),
		'group'       => esc_html__( 'Animation', 'smart' ),
		'description' => esc_html__( 'Specify the entrance animation delay in milliseconds.', 'smart' ),
		'dependency'  => array(
			'element'   => 'css_animation',
			'not_empty' => true,
		),
	);

	return array_merge( $css_animation_delay, $args );
}
endif;

if ( ! function_exists( 'nice_vc_integration_add_css_animation_speed' ) ) :
/**
 * Return array with options to enable animations
 *
 * @since 1.0.0
 *
 * @param  array $args
 *
 * @return array
 */
function nice_vc_integration_add_css_animation_speed( array $args = array() ) {
	$css_animation_speed = array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Animation speed', 'smart' ),
		'param_name'  => 'css_animation_speed',
		'value' => array(
			esc_html__( 'Default', 'smart' ) => '',
			esc_html__( 'ms 100', 'smart' ) => 100,
			esc_html__( 'ms 200', 'smart' ) => 200,
			esc_html__( 'ms 300', 'smart' ) => 300,
			esc_html__( 'ms 400', 'smart' ) => 400,
			esc_html__( 'ms 500', 'smart' ) => 500,
			esc_html__( 'ms 600', 'smart' ) => 600,
			esc_html__( 'ms 700', 'smart' ) => 700,
			esc_html__( 'ms 800', 'smart' ) => 800,
			esc_html__( 'ms 900', 'smart' ) => 900,
			esc_html__( 'ms 1000', 'smart' ) => 1000,
			esc_html__( 'ms 1100', 'smart' ) => 1100,
			esc_html__( 'ms 1200', 'smart' ) => 1200,
			esc_html__( 'ms 1300', 'smart' ) => 1300,
			esc_html__( 'ms 1400', 'smart' ) => 1400,
			esc_html__( 'ms 1500', 'smart' ) => 1500,
			esc_html__( 'ms 1600', 'smart' ) => 1600,
			esc_html__( 'ms 1700', 'smart' ) => 1700,
			esc_html__( 'ms 1800', 'smart' ) => 1800,
			esc_html__( 'ms 1900', 'smart' ) => 1900,
			esc_html__( 'ms 2000', 'smart' ) => 2000,
		),
		'group'       => esc_html__( 'Animation', 'smart' ),
		'description' => esc_html__( 'Specify the entrance animation speed in milliseconds.', 'smart' ),
		'dependency'  => array(
			'element'   => 'css_animation',
			'not_empty' => true,
		),
	);

	return array_merge( $css_animation_speed, $args );
}
endif;

if ( ! function_exists( 'nice_vc_get_css_animation' ) ) :
/**
 *
 * Custom animation CSS class implementation.
 *
 * @since 1.0.0
 *
 * @param string $css_animation
 *
 * @return string
 */
function nice_vc_get_css_animation( $css_animation ) {
	$output = '';
	if ( '' !== $css_animation ) {
		$output = ' nice-animation ';
	}

	return $output;
}
endif;
