<?php
/**
 * Smart by NiceThemes.
 *
 * Add more icons to Visual Composer.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_enqueue_etlineicons' ) ) :
add_action( 'vc_enqueue_font_icon_element', 'nice_vc_enqueue_etlineicons' );
/**
 * Return an array of icons of the ET Line Icons iconset.
 *
 * @since 1.0
 *
 * @param string $font
 */
function nice_vc_enqueue_etlineicons( $font ) {
	if ( 'etlineicons' === $font ) {
		wp_enqueue_style( 'nice-vc-etlineicons', nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/css/et-lineicons.css' ) );
	}
}
endif;

if ( ! function_exists( 'nice_vc_enqueue_lineaicons' ) ) :
add_filter( 'vc_enqueue_font_icon_element', 'nice_vc_enqueue_lineaicons' );
/**
 * Return an array of icons of the Lineacons iconset.
 *
 * @since 1.1
 *
 * @param string $font
 */
function nice_vc_enqueue_lineaicons( $font ) {
	if ( 'lineaicons' === $font ) {
		wp_enqueue_style( 'nice-vc-lineaicons', nice_get_file_uri( 'includes/plugin-integrations/visual-composer/assets/css/lineaicons.css' ) );
	}
}
endif;
