<?php
/**
 * Smart by NiceThemes.
 *
 * Gallery functions
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_gallery_current_shortcode' ) ) :
/**
 * Obtain object related to current shortcode being processed.
 *
 * @since  1.0.0
 *
 * @param  Nice_VCIntegration_Gallery_Shortcode $shortcode
 *
 * @return Nice_VCIntegration_Gallery_Shortcode
 */
function nice_vc_integration_gallery_current_shortcode( Nice_VCIntegration_Gallery_Shortcode $shortcode = null ) {
	static $current = null;

	if ( $shortcode ) {
		$current = $shortcode;
	}

	return $current;
}
endif;


if ( ! function_exists( 'nice_vc_integration_gallery_shortcode_atts' ) ) :
/**
 * Obtain shortcode attributes from given array.
 *
 * @since  1.0.0
 *
 * @param  array $atts
 *
 * @return array
 */
function nice_vc_integration_gallery_shortcode_atts( array $atts = array() ) {
	$options = nice_vc_integration_gallery_options();

	if ( ! empty( $options['params'] ) ) {
		$default_atts = array();

		foreach ( $options['params'] as $param ) {
			if ( ! isset( $param['param_name'] )) {
				continue;
			}

			$value = isset( $param['value'] ) ? $param['value'] : '';

			if ( is_array( $value ) ) {
				$value = '';
			}

			if ( empty( $value ) && isset( $param['std'] ) ) {
				$value = $param['std'];
			}

			$default_atts[ $param['param_name'] ] = $value;
		}
	}

	$atts = shortcode_atts( $default_atts, $atts );

	return $atts;
}
endif;
