<?php
/**
 * Smart by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://www.nicethemes.com/theme-page
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_vc_integration_options' ) ) :
add_filter( 'nice_options', 'nice_vc_integration_options' );
/**
 * Add specific options to theme options.
 *
 * @since  1.0.0
 *
 * @param  array $nice_options
 * @return array
 */
function nice_vc_integration_options( $nice_options ) {
	// Obtain the prefix for the option fields.
	$prefix = NICE_PREFIX;

	$nice_vc_integration_options[] = array(
		'name' => esc_html__( 'Google Maps', 'smart' ),
		'type' => 'group',
		'icon' => '<i class="bi_location-pin-regular"></i>',
	);

	$nice_vc_integration_options[] = array(
		'name' => esc_html__( 'Google Maps API Key', 'smart' ),
		'desc' => sprintf( esc_html__( 'To use the page builder custom styled Google Maps module you need to create a %1$sGoogle API KEY%2$s and paste it in this field.', 'smart' ), sprintf( '<a href="%s" target="_blank">', 'https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key' ), '</a>' ),
		'id'   => $prefix . '_gmaps_api_key',
		'std'  => nice_default_setting( 'gmaps_api_key' ),
		'type' => 'text',
	);

	$nice_options = nice_options_enqueue( $nice_options, $nice_vc_integration_options, $prefix . '_google_map', true );

	return $nice_options;
}
endif;
