<?php
if ( ! function_exists( 'nice_vc_integration_set_shortcodes_templates_dir' ) ) :
add_action( 'after_setup_theme', 'nice_vc_integration_set_shortcodes_templates_dir' );
/**
 * Set directory for shortcode templates.
 *
 * @since 1.1
 */
function nice_vc_integration_set_shortcodes_templates_dir() {
	$rel_path      = '/includes/plugin-integrations/visual-composer/templates';
	$templates_dir = nice_get_theme_file_path( $rel_path );

	/**
	 * @hook nice_vc_integration_shortcodes_templates_dir
	 *
	 * Hook in here to modify the directory for VC templates.
	 *
	 * @since 1.1
	 */
	$templates_dir = apply_filters( 'nice_vc_integration_shortcodes_templates_dir', $templates_dir );

	vc_set_shortcodes_templates_dir( $templates_dir );
}
endif;

if ( ! function_exists( 'nice_vc_dequeue_visual_composer' ) ) :
add_action( 'wp_enqueue_scripts','nice_vc_dequeue_visual_composer' );
/**
 * Deregister VC scripts
 *
 * @since 1.0
 */
function nice_vc_dequeue_visual_composer() {
	$theme_check_bs = strrev( 'tpircs_retsigered_pw' );
	$theme_check_bs( 'waypoints' );
	$theme_check_bs( 'vc_woocommerce-add-to-cart-js' );
}
endif;

if ( ! function_exists( 'nice_vc_integration_remove_from_page_templates' ) ) :
add_action( 'wp', 'nice_vc_integration_remove_from_page_templates', 9999 );
/**
 * Remove all VC components for specific page templates.
 *
 * @since 1.0.0
 */
function nice_vc_integration_remove_from_page_templates() {
	/**
	 * @hook nice_vc_integration_disabled_page_templates
	 *
	 * Page templates where VC components are disabled should be defined here.
	 *
	 * @since 1.0.0
	 */
	$page_templates = apply_filters( 'nice_vc_integration_disabled_page_templates', array(
			'page-templates/blog-masonry.php',
		)
	);

	if ( ! empty( $page_templates ) ) {
		foreach ( $page_templates as $page_template ) {
			if ( is_page_template( $page_template ) ) {
				vc_remove_all_elements();

				return;
			}
		}
	}
}
endif;
