<?php
/**
 * Smart by NiceThemes.
 *
 * This file handles interactions with our implementation of Visual Composer.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      https://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( class_exists( 'Nice_Likes_Plugin' ) ) :

if ( ! function_exists( 'nice_vc_integration_likes_posts_post_item_options' ) ) :
add_filter( 'nice_vc_integration_posts_post_item_options', 'nice_vc_integration_likes_posts_post_item_options' );
add_filter( 'nice_vc_integration_posts_page_item_options', 'nice_vc_integration_likes_posts_post_item_options' );
add_filter( 'nice_vc_integration_portfolio_posts_item_options', 'nice_vc_integration_likes_posts_post_item_options' );
/**
 * Add Likes to VC post item display options.
 *
 * @since  1.0.0
 *
 * @param  array $options
 *
 * @return array
 */
function nice_vc_integration_likes_posts_post_item_options( array $options = array() ) {
	array_push( $options, array(
			'likes',
			esc_html__( 'Likes', 'smart' ),
			nice_vc_integration_posts_display_options(),
			nice_vc_integration_posts_text_style_options( array( 'pills' ) ),
			nice_vc_integration_posts_meta_color_options(),
			nice_vc_integration_posts_alignment_options(),
		)
	);

	return $options;
}
endif;

if ( ! function_exists( 'nice_vc_integration_likes_posts_item_html_extra' ) ) :
add_filter( 'nice_vc_integration_posts_html_likes', 'nice_vc_integration_likes_posts_item_html_extra', 10, 2 );
/**
 * Add Likes to the post item's contents.
 *
 * @since 1.0.0
 *
 * @param  string $html
 * @param  array $args
 *
 * @return string
 */
function nice_vc_integration_likes_posts_item_html_extra( $html = '', array $args = array() ) {
	$item = nice_vc_integration_posts_current_item();

	$show_postfix = isset( $args[1] ) ? ( 'icon' !== $args[1] ) : true;
	$show_icon    = isset( $args[1] ) ? ( 'text' !== $args[1] ) : true;

	$display_type = empty( $args[0] ) ? 'block' : $args[0];
	$skin_class   = empty( $args[2] ) ? 'inherit-skin' : $args[2];
	$align_class  = empty( $args[3] ) ? 'align-default' : 'align' . $args[3];

	$args = array(
		'post_id'      => $item->post_id,
		'echo'         => false,
		'show_postfix' => $show_postfix,
		'before'       => '<div class="entry-likes entry-meta ' . esc_attr( $display_type ) . ' ' . esc_attr( $skin_class ) . ' ' . esc_attr( $align_class ) . '">',
		'after'        => '</div>',
	);

	if ( ! $show_icon ) {
		$args = array_merge( $args, array(
				'icon'         => '',
				'loading_text' => '',
			)
		);
	}

	$html .= nice_likes( $args );

	return $html;
}
endif;

endif;
