<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the nice_banner template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$title = $source = $image = $image_hover = $img_size = $link = $alignment = $el_class = $css_animation = $css_animation_speed = $css_animation_delay = $style = $effect = $css = $background_effect = $content_padding = $background_padding =
$content_width = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );

extract( $atts );

$pattern = '/^(\d*(?:\.\d+)?)\s*(px|\%|in|cm|mm|em|rem|ex|pt|pc|vw|vh|vmin|vmax)?$/';
// allowed metrics: http://www.w3schools.com/cssref/css_units.asp
$regexr = preg_match( $pattern, $height, $matches );
$value = isset( $matches[1] ) ? (float) $matches[1] : (float) WPBMap::getParam( 'vc_banner', 'height' );
$unit = isset( $matches[2] ) ? $matches[2] : 'px';
$height = $value . $unit;

$inline_css = ( (float) $height >= 0.0 ) ? ' style="height: ' . esc_attr( $height ) . '"' : '';

if ( ! empty( $atts['background_color'] ) ) {
	$css_classes[] = nice_theme_color_background_class( $atts['background_color'] );
}

$has_video_bg = ( ! empty( $video_bg ) && ! empty( $video_webm ) && ! empty( $video_mp4 ) );

if ( $has_video_bg ) {
	$parallax = $video_bg_parallax;
	$background_image = $video_bg_url;
	$css_classes[] = ' vc_video-bg-container';
	$poster = '';

	$video_bg = '
			<div class="nice-bg-video-container">
			<video class="nice-bg-video" ' . $poster . ' preload="auto" loop="loop" autoplay="autoplay">
				<source src="' . $video_webm . '" type="video/webm" />
				<source src="' . $video_mp4 . '" type="video/mp4" />
				<source src="' . $video_ogv . '" type="video/ogg" />
				' . esc_html__( 'Your browser does not support the video tag. We suggest you upgrade your browser.', 'smart' ) . '
			</video>
		</div>';

} else {
	$video_bg = '';
}

$overlay = '';

if ( ! empty( $overlay_color ) ) {

	$overlay_color = nice_get_option( $overlay_color );

	if ( ! empty( $overlay_opacity ) ) {
		$overlay_opacity = ( $overlay_opacity * 0.01 );
	}

	$overlay_style = 'background:' . nice_color_hex2rgba( $overlay_color, $overlay_opacity );

	$overlay = '<div class="overlay" style="' . $overlay_style . '"></div>';
}

$background_image_id = preg_replace( '/[^\d]/', '', $background_image );
$background_image_src = wp_get_attachment_image_src( $background_image_id, 'full' );
if ( ! empty( $background_image_src[0] ) ) {
	$background_image_src = $background_image_src[0];
}

$background_repeat     = ( isset( $background_repeat ) && $background_repeat !== '' ) ? 'background-repeat: ' . $background_repeat . ';' : '';
$background_position   = ( isset( $background_position ) && $background_position !== '' ) ? 'background-position: ' . $background_position . ';' : '';
$background_attachment = ( isset( $background_attachment ) && $background_attachment !== '' ) ? 'background-attachment: ' . $background_attachment . ';' : '';
$background_effect     = ( isset( $background_effect ) && $background_effect !== '' ) ? ' ' . $background_effect : '';

$link_title  = ( ! empty( $link['title'] ) ) ? ' title="' .vc_stringify_attributes( $link['title'] ) . '"' : '';

$background  = '<div class="row-background background-element' . $background_effect . '">';
$background .= '<div class="background-wrapper">';
$background .= '<div style="background-image: url(' . esc_attr( $background_image_src ) . ');' . $background_repeat . $background_position . $background_attachment . 'background-size: cover;" class="background-inner"></div>';
$background .= $overlay;
$background .= '</div>';
$background .= '</div>';

$overlay = '';

$content_css = array();
$content_css[] = 'nice-banner-content';

if ( ! empty( $text_align ) ) {
	$content_css[] = 'text-align-' . $text_align;
}

if ( $position_vertical !== '' ) {
	$css_classes[] = 'position-' . $position_vertical;
}

if ( ! empty( $background_padding )  && $background_padding !== '' ) {
	$css_classes[] = 'padding-' . $background_padding;
}

if ( $position_horizontal !== '' ) {
	$content_css[] = 'position-' . $position_horizontal;
}

if ( ! empty( $content_skin ) ) {
	$content_css[] = $content_skin;
}

if ( $content_padding !== '' ) {
	$content_css[] = 'padding-' . $content_padding;
}

if ( ! empty( $content_background_color ) && $content_background_color !== '' ) {
	$content_css[] = nice_theme_color_background_class( $content_background_color );
}

$regexr = preg_match( $pattern, $content_width, $matches );
$value = isset( $matches[1] ) ? (float) $matches[1] : (float) WPBMap::getParam( 'nice_banner', 'content_width' );
$unit = isset( $matches[2] ) ? $matches[2] : 'px';
$content_width = $value . $unit;

$content_inline_css = ( (float) $height >= 0.0 ) ? ' style="width: ' . esc_attr( $content_width ) . '"' : '';


$div_data = array();

if ( ! empty( $css_animation ) ) {

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

	$css_classes[] = nice_vc_get_css_animation( $css_animation );

}

if ( $desktop_visibility !== 'yes' ) {
	$css_classes[] = 'desktop-hidden';
}

if ( $tablet_visibility !== 'yes' ) {
	$css_classes[] = 'tablet-hidden';
}

if ( $mobile_visibility !== 'yes' ) {
	$css_classes[] = 'mobile-hidden';
}

$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );

$link_url    = $link['url'];
$link_title  = ( ! empty( $link['title'] ) ) ? ' title="' .vc_stringify_attributes( $link['title'] ) . '"' : '';
$link_target = ( ! empty( $link['target'] ) ) ? ' target="' . trim( $link['target'] ) . '"' : '';

$a_tag_start = ( ! empty( $link_url ) ) ? '<a href="' . esc_url( $link_url ) . '"' . $link_title . $link_target . ' >' : '';
$a_tag_end   = ( ! empty( $link_url ) ) ? '</a>' : '';

$css_classes[] = 'nice-banner';

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );

$output .= $a_tag_start . "\n";
$output .= '<div ' . nice_data_attributes( $div_data, false ) . ' class="' . esc_attr( trim( $css_class ) ) . '" ' . $inline_css . '>';
$output .= '<div ' . nice_css_classes( $content_css, false ) . ' ' . $content_inline_css . '>'. wpb_js_remove_wpautop( $content, true );
$output .= '</div>' . "\n";
$output .= $background;
$output .= $overlay;
$output .= $video_bg;
$output .= '</div>';
$output .= $a_tag_end . "\n";


echo $output; // WPCS: XSS ok.
