<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the nice_cards_gallery template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$shortcode = nice_vc_integration_cards_gallery_current_shortcode();

if ( $atts['background_color'] !== '' ) {
	$atts['background_color'] = nice_theme_color_background_class( $atts['background_color'] );;
}

$div_data      = array();
$css_animation = '';
if ( $atts['expanding_side'] !== '') {
	$div_data['side'] = $atts['expanding_side'];
}

$expanding_side = ( isset( $atts['expanding_side'] ) ) ? $atts['expanding_side'] : 'left' ;

if ( $shortcode->has_images() ) :

	if ( ! empty( $atts['css_animation'] ) ) {
		$css_animation = nice_vc_get_css_animation( $atts['css_animation'] );

		$div_data['animation'] = ( ! empty( $atts['css_animation'] ) ) ? $atts['css_animation'] : '';
		$div_data['delay']     = ( ! empty( $atts['css_animation_delay'] ) ) ? $atts['css_animation_delay'] : '';
		$div_data['speed']     = ( ! empty( $atts['css_animation_speed'] ) ) ? $atts['css_animation_speed ']: '';

	}

?>

	<div class="nice-cards-gallery-wrapper <?php echo esc_attr( $expanding_side ); ?> <?php echo esc_attr( $css_animation ); ?>" <?php nice_data_attributes( $div_data ); ?>>

		<div class="nice-cards-gallery">
			<?php foreach ( $shortcode->get_images() as $image ) : ?>
				<div class="card <?php echo $atts['background_color']; ?>">
					<?php $image->html(); ?>
				</div>
			<?php endforeach; ?>
		</div>

	</div>

<?php endif; ?>
