<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the nice_counter template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$title = $el_class = $value = $font = $weight = $transform = $size = $prefix = $suffix = $separator = $text = $icon = $output = $css_animation = $css_animation_delay = $css_animation_speed = $counter_color = '';
extract( shortcode_atts( array(
	'title'                      => '',
	'el_class'                   => '',
	'value'                      => '1000',
	'font'                       => '',
	'weight'                     => '',
	'text_under_weight'          => '',
	'text_under_line_height'     => '',
	'text_under_transform'       => '',
	'letter_spacing'             => '',
	'text_under_letter_spacing'  => '',
	'text_color'                 => '',
	'text_under_color'           => '',
	'use_theme_fonts'            => '',
	'text_under_use_theme_fonts' => '',
	'text_under_google_fonts'    => '',
	'google_fonts'               => '',
	'size'                       => 'h2',
	'text_under_size'            => '',
	'counter_color'              => '',
	'prefix'                     => '',
	'suffix'                     => '',
	'separator'                  => '',
	'text'                       => '',
	'icon'                       => '',
	'css_animation'              => '',
	'css_animation_delay'        => '',
	'css_animation_speed'        => '',
) , $atts ) );

// Include required scripts
wp_enqueue_script( 'nice-vc-counterup-source' );

if ( ( empty( $text_under_use_theme_fonts ) || 'yes' !== $text_under_use_theme_fonts ) || ( empty( $use_theme_fonts ) ||  'yes' !== $use_theme_fonts ) ) {
	$settings = get_option( 'wpb_js_google_fonts_subsets' );

	if ( is_array( $settings ) && ! empty( $settings ) ) {
		$subsets = '&subset=' . implode( ',', $settings );
	} else {
		$subsets = '';
	}

	$google_fonts_obj = new Vc_Google_Fonts();

	if ( ! empty( $google_fonts ) ) {
		$google_fonts_data = $google_fonts_obj->_vc_google_fonts_parse_attributes( WPBMap::getParam( $this->shortcode, $google_fonts ), $google_fonts );

		$google_font = isset( $google_fonts_data['values']['font_family'] ) ? $google_fonts_data['values']['font_family'] : null;

		if ( $google_font && ! nice_web_font_is_registered( $google_font ) ) {
			nice_register_web_font( $google_font );
			wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_font ), nice_web_font_uri( $google_font ) );
		}
	}

	if ( ! empty( $text_under_google_fonts ) ) {
		$text_under_google_fonts_data = $google_fonts_obj->_vc_google_fonts_parse_attributes( WPBMap::getParam( $this->shortcode, $text_under_google_fonts ), $text_under_google_fonts );

		$text_under_google_font = isset( $text_under_google_fonts_data['values']['font_family'] ) ? $text_under_google_fonts_data['values']['font_family'] : null;

		if ( $text_under_google_font && ! nice_web_font_is_registered( $text_under_google_font ) ) {
			nice_register_web_font( $text_under_google_font );
			wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $text_under_google_font ), nice_web_font_uri( $text_under_google_font ) );
		}
	}
}

$counter_class = array();
$counter_style = array();

if ( ! empty( $size ) ) {
	$counter_class[] = $size;
}
if ( ! empty( $weight ) ) {
	$counter_class[] = 'font-weight-' . $weight;
}
if ( ! empty( $letter_spacing ) ) {
	$counter_class[] = $letter_spacing;
}
if ( ! empty( $text_color ) ) {
	$counter_class[] = nice_theme_color_text_class( $text_color );
}

if ( ! empty( $counter_color ) ) {
	$counter_color = ' ' . nice_theme_color_text_class( $counter_color . '-color' );
}

if ( ! empty( $google_fonts_data['values']['font_family'] ) ) {
	$font_family = explode( ':', $google_fonts_data['values']['font_family'] );
	$counter_style[] = 'font-family: \'' . $font_family[0] . '\'';
}

$div_data = array();

if ( ! empty( $css_animation ) ) {
	$css_class .= nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';
}

$output .= '<div class="nice-counter" '. nice_data_attributes( $div_data, false ) . '>';

	$output .= '<p ' . nice_css_classes( $counter_class, false ) . ' style="' . esc_attr( join( '; ', $counter_style ) ) .'">';

	if ( ! empty( $prefix ) ) {
		$output .= '<span class="counter-prefix' . $counter_color . '">' . $prefix . '</span>';
	}

	$output .= '<span class="counter' . $counter_color . '">' . $value . '</span>';

	if ( ! empty( $suffix ) ) {
		$output .= '<span class="counter-suffix' . $counter_color . '">' . $suffix . '</span>';
	}

	$output .= '</p>';

	if ( 'yes' === $separator ) {
		$output .= '<hr class="nice-separator nice-separator-accent-color" />';
	}

	if ( ! empty( $text ) ) {
		$text_class = array(
			'counter-text',
		);
		$text_style = array();

		if ( ! empty( $text_under_transform ) ) {
			$text_class[] = $text_under_transform;
		}

		if ( ! empty( $text_under_size ) ) {
			$text_class[] = $text_under_size;
		}
		if ( ! empty( $text_under_weight ) ) {
			$text_class[] = 'font-weight-' . $text_under_weight;
		}
		if ( ! empty( $text_under_letter_spacing ) ) {
			$text_class[] = $text_under_letter_spacing;
		}
		if ( ! empty( $text_under_color ) ) {
			$text_class[] = nice_theme_color_text_class( $text_under_color );
		}

		if ( ! empty( $text_under_google_fonts_data['values']['font_family'] ) ) {
			$font_family = explode( ':', $text_under_google_fonts_data['values']['font_family'] );
			$text_style[] = 'font-family: \'' . $font_family[0] . '\'';
		}

		if ( ! empty( $text_under_line_height ) ) {
			$text_style[] = 'line-height: ' . nice_css_unit( $text_under_line_height );
		}

		$output .= '<div ' . nice_css_classes( $text_class, false ) . ' style="' . esc_attr( join( '; ', $text_style ) ) . '">' . wpautop( $text ) . '</div>';
	}

$output .= '</div>' . "\n";

echo wpb_js_remove_wpautop( $output);
