<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the nice_image_hover template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$title = $source = $image = $image_hover = $img_size = $link = $alignment = $el_class = $css_animation = $css_animation_speed = $css_animation_delay = $style = $effect = $css = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );

extract( $atts );

if ( ! $img_size ) {
	$img_size = 'large';
}

$img = false;
$img_id = preg_replace( '/[^\d]/', '', $image );

$img = wpb_getImageBySize( array(
	'attach_id'  => $img_id,
	'thumb_size' => $img_size,
	'class'      => 'vc_single_image-img',
) );

$img_hover_id = preg_replace( '/[^\d]/', '', $image_hover );

$img_hover = wpb_getImageBySize( array(
	'attach_id'  => $img_hover_id,
	'thumb_size' => $img_size,
	'class'      => 'vc_image_hover',
) );

$default_src = vc_asset_url( 'vc/no_image.png' );

if ( ! $img ) {
	$img['thumbnail'] = '<img class="vc_img-placeholder vc_single_image-img" src="' . $default_src . '" />';
}

$wrapper_class = 'nice_image_hover ' . $effect;

$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );

$link_url    = $link['url'];
$link_title  = ( ! empty( $link['title'] ) ) ? ' title="' .vc_stringify_attributes( $link['title'] ) . '"' : '';
$link_target = ( ! empty( $link['target'] ) ) ? ' target="' . trim( $link['target'] ) . '"' : '';

$a_tag_start = ( ! empty( $link_url ) ) ? '<a href="' . esc_url( $link_url ) . '"' . $link_title . $link_target . ' >' : '';
$a_tag_end   = ( ! empty( $link_url ) ) ? '</a>' : '';

$html = '<div class="' . $wrapper_class . '">' . $a_tag_start . $img['thumbnail'] . $img_hover['thumbnail'] . $a_tag_end . '</div>';

$div_data = array();

if ( ! empty( $css_animation ) ) {

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

	$css_animation = nice_vc_get_css_animation( $css_animation );

}

$class_to_filter  = 'vc_align_' . $alignment . ' ' . $css_animation;
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );


$output = '
	<div class="' . esc_attr( trim( $css_class ) ) . '" ' . nice_data_attributes( $div_data, false ) . '>
			' . $html . '
	</div>
';

echo $output; // WPCS: XSS ok.
