<?php
/**
 * Smart by NiceThemes.
 *
 * Basic template for VC Posts shortcode.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Obtain current shortcode object.
$shortcode = nice_vc_integration_posts_current_shortcode();

if ( $shortcode->have_posts() ) : ?>

	<div <?php nice_vc_integration_posts_element_id(); ?> class="nice-vc-posts-element">

		<?php
			/**
			 * @hook nice_vc_integration_before_posts
			 *
			 * Hook here to print HTML right before the loop of posts.
			 *
			 * @since 1.0.0
			 *
			 * Hooked here:
			 * @see nice_vc_integration_posts_shortcode_collection_add() - 10
			 * @see nice_vc_integration_posts_title() - 20
			 * @see nice_vc_integration_posts_filter() - 30
			 */
			do_action( 'nice_vc_integration_before_posts' );
		?>

		<?php
			/**
			 * @hook nice_vc_integration_posts_loop
			 *
			 * The loop of posts is processed here. Hook in to add or remove processes before
			 * or after the HTML is processed.
			 *
			 * @since 1.0.0
			 *
			 * Hooked here:
			 * @see nice_vc_integration_posts() - 10
			 */
			do_action( 'nice_vc_integration_posts_loop' );
		?>

		<?php
			/**
			 * @hook nice_vc_integration_after_posts
			 *
			 * Hook here to print HTML right after the loop of posts.
			 *
			 * @since 1.0.0
			 */
			do_action( 'nice_vc_integration_after_posts' );
		?>

	</div>

	<?php wp_reset_postdata(); ?>

<?php endif; ?>
