<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the nice_pricing template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$el_class = $title = $price = $body = $output = $block_color = $col_elements = $most = $align = $button = $css_animation = $animation_delay = $animation_speed = $title_html = $price_html = $el_color = $text_color = '';
extract( shortcode_atts( array(
	'el_class'          => '',
	'title'             => '',
	'subtitle'          => '',
	'currency'          => '$',
	'currency_position' => 'before',
	'price'             => '',
	'price_subtitle'    => '',
	'body'              => '',
	'block_color'       => '',
	'col_elements'      => '',
	'most'              => '',
	'align'             => '',
	'button'            => '',
	'css_animation'     => '',
	'animation_delay'   => '',
	'animation_speed'   => '',
) , $atts ) );

$lists_array = explode( "\n", $body );

if ( ! empty( $block_color ) ) {
	if ( empty( $col_elements ) ) {
		$text_color = ' ' . nice_theme_color_text_class( $block_color );
		$button_color = nice_theme_color_button_class( $block_color );
	} else {
		$el_color = nice_theme_color_background_class( $block_color );
		$el_color .= ' dark';
		$button_color = nice_theme_color_button_class( 'default' );
	}
} else {
	$button_color = nice_theme_color_button_class( 'default' );
}

$title_html = '<h3 class="' . trim( $text_color ) . '">' . $title . '</h3>';

if ( ! empty( $subtitle ) ) {
	$title_html .= '<span class="plan-title-data' . $text_color . '">' . $subtitle . '</span>';
}

$price_decimal_separator = nice_vc_integration_pricing_decimal_separator();

$price_value       = preg_replace( '/[^0-9,.]/', '', $price );
$price_value_parts = explode( $price_decimal_separator, $price_value );

$count_price_value_parts = count( $price_value_parts );

if ( 0 === $count_price_value_parts ) {
	$price_value_fraction = false;
	$price_value_whole    = '';
} elseif ( 1 === $count_price_value_parts ) {
	$price_value_fraction = false;
	$price_value_whole    = $price_value_parts[0];
} else { // must be < 1
	$price_value_fraction = end( $price_value_parts );
	$price_value_whole    = substr( $price_value, 0, ( strlen( $price_value ) - strlen( $price_value_fraction ) - 1 ) );
	$price_value_fraction = preg_replace( '/[^0-9]/', '', $price_value_fraction );
}

$price_value_html = '<span integer>' . $price_value_whole . '</span>';
if ( false !== $price_value_fraction ) {
	$price_value_html .= '<span integer>' . $price_decimal_separator . sprintf( '%02d', substr( $price_value_fraction, 0, 2 ) ) . '</span>';
}

$currency_html = '<span currency>' . trim( $currency ) . '</span>';

switch ( $currency_position ) {
	case 'before' :
	default:
		$price_format = '%1$s%2$s';
		break;
	case 'after' :
		$price_format = '%2$s%1$s';
		break;
}

$price_html = '<span price>' . sprintf( $price_format, $currency_html, $price_value_html ) . '</span>';
$price_html = '<span class="price">' . $price_html . '</span>';

if ( ! empty( $price_subtitle ) ) {
	$price_html .= '<span>' . $price_subtitle . '</span>';
}

$css_class = apply_filters(  VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, '', $this->settings['base'], $atts );

$div_data = array();

if ( ! empty( $css_animation ) ) {
	$css_class .= nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';
}

$plan_classes   = array();
$plan_classes[] = 'plan';
$plan_classes[] = ( empty( $align ) ) ? ' plan-centered' : '';
$plan_classes[] = ( 'yes' === $most ) ? ' plan-most-popular' : '' ;
$plan_classes[] = ( 'tb' === $col_elements ) ? ' plan-colored' : '';


$output .= '<div class="' . $css_class . '" '. nice_data_attributes( $div_data, false ) . '>';
$output .= '<div ' . nice_css_classes( $plan_classes, false ) . '>';
$output .= '<div class="plan-container">';
$output .= '<div class="plan-title ' . $el_color . '">';
$output .= $title_html;
$output .= '</div>';
$output .= '<div class="plan-price">';
$output .= $price_html;
$output .= '</div>';
$output .= '<div class="plan-list">';
$output .= '<ul class="item-list">';

if ( count( $lists_array ) > 0 ) {
	foreach ( $lists_array as $key => $value ) {
		$list_array = explode( '|', $value);
		$list_html = '<strong>' . $list_array[0] . '</strong>';
		if ( isset( $list_array[1] ) ) {
			$list_html .= ' ' . $list_array[1];
		}
		$output .= '<li>' . $list_html . '</li>';
	}
}
$output .= '</ul>';

if ( ! empty( $button ) ) {

	$button   = ( '||' === $button ) ? '' : $button;
	$button   = vc_build_link(  $button );
	$a_href   = $button['url'];
	$a_title  = $button['title'];
	$a_target = $button['target'];

	if ( ! empty( $a_title ) ) {
		$output .= '<div class="plan-button ' . esc_attr( $el_color ) . '">';
		$output .= '<a href="' . esc_url( $a_href ) . '" class="btn ' . esc_attr( $button_color) . '" target="' . esc_attr( $a_target ) . '">';
		$output .= $a_title;
		$output .= '</a>';
		$output .= '</div>';
	}
}

$output .= '</div>';
$output .= '</div>';
$output .= '</div>';
$output .= '</div>';

echo wpb_js_remove_wpautop( $output );
