<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_video_lightbox template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$title = $source = $image = $custom_src = $onclick = $img_size = $external_img_size =
$caption = $img_link_large = $link = $img_link_target = $alignment =
$el_class = $css_animation = $css_animation_speed = $css_animation_delay = $style =
$external_style = $border_color = $padding_bottom = $shadow = $css = $play_button_animation = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$img = $image ? wp_get_attachment_image( $image, $img_size ? $img_size : 'full' ) : null;

if ( ! $img ) {
	$img = '<div class="vc_img-placeholder vc_video-lightbox-img"></div>';
}

$wrapperClass = 'vc_video-lightbox-wrapper';

if ( ! empty( $img_animation ) && ( $img_animation !== '' ) ) {
	$wrapperClass .= ' nice-video-lightbox-image-' . strtolower( $img_animation );
}

$html = '<div class="' . $wrapperClass . '">' . $img;

if ( $link ) {
	$a_attrs['href'] = nice_vc_integration_video_lightbox_url( $link );
	$a_attrs['target'] = $img_link_target;
	$link_class = 'video-link';

	if ( ! empty( $a_attrs['class'] ) ) {
		$link_class .= ' ' . $a_attrs['class'];
	}

	$button_class = 'play-button';

	if ( ! empty( $play_button_outlined ) && 'yes' === $play_button_outlined ) {
		$button_class .= ' play-button-outlined';
	}

	if ( ! empty( $play_button_color ) ) {
		$nice_colors  = nice_theme_colors();
		$color_css_id = isset( $nice_colors[ $play_button_color ]['css_id'] ) ? $nice_colors[ $play_button_color ]['css_id'] : 'default';
		$button_class .= ' play-button-' . $color_css_id;
	}

	if ( ! empty( $play_button_size ) ) {
		$button_class .= ' play-button-' . $play_button_size;
	}

	if ( ! empty( $play_button_animation ) ) {
		$button_class .= ' play-button-' . strtolower( $play_button_animation );
	}

	$html .= '<a data-fancybox ' . vc_stringify_attributes( $a_attrs ) . ' class="' . $link_class . '"><span class="' . $button_class . '"><i class="fa fa-play"></i></span></a>';
}

$html .= '</div>';

$div_data = array();

if ( ! empty( $css_animation ) ) {
	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

	$css_animation = nice_vc_get_css_animation( $css_animation );
}

$class_to_filter = 'wpb_video_lightbox wpb_video_lightbox_shadow-' . $shadow . ' wpb_content_element wpb_content_align-' . $alignment . ' ' . $css_animation . ' ' . $padding_bottom;
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
if ( $image ) {
	$class_to_filter .= ' has-image';
}
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$output = '
	<div class="' . esc_attr( trim( $css_class ) ) . '" ' . nice_data_attributes( $div_data, false ) . '>
		<figure class="wpb_wrapper vc_figure">
			' . $html . '
		</figure>
	</div>
';

echo $output;
