<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_column template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */
$el_class = $width = $css = $offset = $text_align = $style = $css_animation = $css_animation_speed = $css_animation_delay = $column_width_unit = $column_width_percent = $column_width_px = $position_horizontal = $position_vertical = $override_padding = $column_paddding = $background_color = $background_image = $background_position = $background_attachment = $background_repeat = $shift_x = $shift_x_fixed = $shift_y = $shift_y_fixed = $z_index = $desktop_visibility = $tablet_visibility = $mobile_visibility = '';
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
	$this->getExtraClass( $el_class ),
	'wpb_column',
	'vc_column_container',
	$width,
	$style,
);

if ( ! empty( $text_align ) ) {
	$css_classes[] = 'text-align-' . $text_align;
}

if ( vc_shortcode_custom_css_has_property( $css, array( 'border', 'background' ) ) ) {
	$css_classes[] = 'vc_col-has-fill';
}

if ( $position_vertical !== '' ) {
	$css_classes[] = 'position-' . $position_vertical;
}

if ( $position_horizontal !== '' ) {
	$css_classes[] = 'position-' . $position_horizontal;
}

if ( $override_padding === 'yes' ) {
	switch ( $column_padding ) {
		case '0':
			$column_padding = 'block-padding-0';
			break;
		case '1':
			$column_padding = 'block-padding-1';
			break;
		case '2':
			$column_padding = 'block-padding-2';
			break;
		case '3':
			$column_padding = 'block-padding-3';
			break;
		case '4':
			$column_padding = 'block-padding-4';
			break;
		case '5':
			$column_padding = 'block-padding-5';
			break;
	}
} else {
	$column_padding = '';
}

$internal_width = '';
if ( $column_width_unit === 'pixel' && $column_width_pixel !== '' ) {
	$column_width_pixel = preg_replace( "/[^0-9,.]/", "", $column_width_pixel );
	$column_width_pixel = 12 * round( ( $column_width_pixel ) / 12 );
	$internal_width = ' style="max-width:' . $column_width_pixel . 'px;"';
} else {
	if ( ! empty( $column_width_percent ) && $column_width_percent !== '100' ) {
		$internal_width = ' style="max-width:' . $column_width_percent . '%;"';
	}
}

if ( ! empty( $background_color ) && $background_color !== '' ) {
	$background_color = nice_theme_color_background_class( $background_color );
}

$background = '';

if ( ! empty( $background_image ) && $background_image !== '' ) {
	$background_image_id  = preg_replace( '/[^\d]/', '', $background_image );
	$background_image_src = wp_get_attachment_image_src( $background_image_id, 'full' );
	if ( ! empty( $background_image_src[0] ) ) {
		$background_image_src = $background_image_src[0];
	}

	$background_repeat     = ( isset( $background_repeat ) && $background_repeat !== '' ) ? 'background-repeat: ' . $background_repeat . ';' : '';
	$background_position   = ( isset( $background_position ) && $background_position !== '' ) ? 'background-position: ' . $background_position . ';' : '';
	$background_attachment = ( isset( $background_attachment ) && $background_attachment !== '' ) ? 'background-attachment: ' . $background_attachment . ';' : '';

	$background  = '<div class="column-background background-element">';
	$background .= '<div class="background-wrapper">';
	$background .= '<div style="background-image: url(' . esc_attr( $background_image_src ) . ');' . $background_repeat . $background_position . $background_attachment . 'background-size: cover;" class="background-inner"></div>';
	$background .= '</div>';
	$background .= '</div>';
}

if ( ( $shift_x != '0' && $shift_x != '' ) || ( $shift_y != '0' && $shift_y != '' ) ) {

	switch ( $shift_x ) {
		case 1:
			$css_classes[] = 'shift_x_1';
		break;
		case 2:
			$css_classes[] = 'shift_x_2';
		break;
		case 3:
			$css_classes[] = 'shift_x_3';
		break;
		case 4:
			$css_classes[] = 'shift_x_4';
		break;
		case 5:
			$css_classes[] = 'shift_x_5';
		break;
		case -1:
			$css_classes[] = 'shift_x_neg_1';
		break;
		case -2:
			$css_classes[] = 'shift_x_neg_2';
		break;
		case -3:
			$css_classes[] = 'shift_x_neg_3';
		break;
		case -4:
			$css_classes[] = 'shift_x_neg_4';
		break;
		case -5:
			$css_classes[] = 'shift_x_neg_5';
		break;
	}

	switch ( $shift_y ) {
		case 1:
			$css_classes[] = 'shift_y_1';
		break;
		case 2:
			$css_classes[] = 'shift_y_2';
		break;
		case 3:
			$css_classes[] = 'shift_y_3';
		break;
		case 4:
			$css_classes[] = 'shift_y_4';
		break;
		case 5:
			$css_classes[] = 'shift_y_5';
		break;
		case -1:
			$css_classes[] = 'shift_y_neg_1';
		break;
		case -2:
			$css_classes[] = 'shift_y_neg_2';
		break;
		case -3:
			$css_classes[] = 'shift_y_neg_3';
		break;
		case -4:
			$css_classes[] = 'shift_y_neg_4';
		break;
		case -5:
			$css_classes[] = 'shift_y_neg_5';
		break;
	}
	if ( $shift_x_fixed === 'yes' ) $css_classes[] = 'shift_x_fixed';
	if ( $shift_y_fixed === 'yes' ) $css_classes[] = 'shift_y_fixed';
}

if ( $z_index !== '0' && $z_index !== '' ) {
	$css_classes[] = 'z-index-' . $z_index;
}

if ( $desktop_visibility !== 'yes' ) {
	$css_classes[] = 'desktop-hidden';
}

if ( $tablet_visibility !== 'yes' ) {
	$css_classes[] = 'tablet-hidden';
}

if ( $mobile_visibility !== 'yes' ) {
	$css_classes[] = 'mobile-hidden';
}

$div_data = array();

if ( ! empty( $css_animation ) ) {
	$css_classes[] = nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

}

$wrapper_attributes = array();

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . ' ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '"';

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . ' ' . nice_data_attributes( $div_data, false ) . '>';
$output .= $background;
$output .= '<div class="vc_column-inner" ' . $internal_width . '>';
$output .= '<div class="wpb_wrapper ' . $column_padding . ' ' . $background_color . '">';
$output .= wpb_js_remove_wpautop( $content );
$output .= '</div>';
$output .= '</div>';
$output .= '</div>' . "\n" ;

echo $output;
