<?php
/**
 * Smart by NiceThemes.
 *
 * Basic template for VC FlexSlider Gallery.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * @var Nice_VCIntegration_Gallery_Image $image
 */

// Obtain current shortcode object.
$shortcode = nice_vc_integration_gallery_current_shortcode();

if ( $shortcode->has_images() ) :  ?>
	<div id="slider_vc_gallery_<?php echo esc_attr( $shortcode->get_id() ); ?>" class="flexslider" data-settings="flexsliderSettings_vc_gallery_<?php echo esc_attr( $shortcode->get_id() ); ?>">
		<ul class="slides">
			<?php foreach ( $shortcode->get_images() as $image ) : ?>
				<li class="slide">
					<div class="slide-image">
						<?php $image->html(); ?>
					</div>
				</li>
			<?php endforeach; ?>
		</ul>
	</div>
<?php endif;
