<?php
/**
 * Smart by NiceThemes.
 *
 * Basic template for VC Image Grid Gallery.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Obtain current shortcode object.
$shortcode = nice_vc_integration_gallery_current_shortcode();

if ( $shortcode->has_images() ) :  ?>
	<div id="grid_vc_gallery_<?php echo esc_attr( $shortcode->get_id() ); ?>" class="grid_vc_gallery">
		<div class="grid <?php echo esc_attr( $shortcode->get_image_grid_gutter_size_class() ); ?>" data-columns="<?php echo esc_attr( $shortcode->get_image_grid_columns() ); ?>">
			<?php foreach ( $shortcode->get_images() as $image ) : ?>
				<div class="item columns-<?php echo esc_attr( $shortcode->get_image_grid_columns() ); ?>">
					<div class="item-inner has-caption">
						<div class="item-caption">
							<div class="item-caption-inner">
								<?php $image->html(); ?>
							</div>
						</div>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
	</div>
<?php endif;
