<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_icon template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$type = $icon_fontawesome = $icon_openiconic = $icon_typicons = $icon_entypo = $icon_linecons = $icon_color = $background_style = $background_color = $custom_background_color = $size = $align = $el_class = $link = $css_animation = $css_animation_speed = $css_animation_delay = $css = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class ) . nice_vc_get_css_animation( $css_animation );
$css_class       = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

// Enqueue needed icon font.
vc_icon_element_fonts_enqueue( $type );
// Enqueue required scripts.
wp_enqueue_script( 'nice-vc-vivus-source' );

$has_style = false;
if ( strlen( $background_style ) > 0 ) {
	$has_style = true;
	if ( false !== strpos( $background_style, 'outline' ) ) {
		$background_style .= ' vc_icon_element-outline'; // if we use outline style it is border in css
	} else {
		$background_style .= ' vc_icon_element-background';
	}
}

$icon_class = isset( ${'icon_' . $type} ) ? esc_attr( ${'icon_' . $type} ) : 'icon icon-adjust';

// Prepare icon classes
$container_class      = array();
$icon_container_class = array();
$title_class          = array();
$wrapper_class        = array();
$classes              = array();
$div_data             = array();

if ( empty( $position ) ) {
	$position = 'top';
}

$class = $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

if ( ! empty( $css_animation ) ) {
	$container_class[] = nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

}

$container_class[] = 'nice-icon-box';
$container_class[] = 'nice-icon-box-' . $position;
$icon_container_class[] = 'nice-icon-box-icon icon-container';
$icon_container_class[] = $css_class;

if ( 'inline' === $display ) {
	$container_class[] = 'icon-inline';
}

if ( strlen( $background_style ) > 0 ) {

	$has_style = true;
	$wrapper_class[] = 'icon icon-stack';
	$wrapper_class[] = $background_style;

	if ( empty( $icon_color ) ) {
		$wrapper_class[] = nice_theme_color_button_class( 'default' );
	} else {
		$wrapper_class[] = nice_theme_color_button_class( $icon_color );
	}

	$wrapper_class[] = $size;
	if ( 'yes' === $outline ) {
		$wrapper_class[] = nice_theme_style_button_class( 'outline' );
	}

	if ( 'yes' === $shadow ) {
		$wrapper_class[] = 'btn-shadow';
	}

} else {

	if ( $icon_color ) {
		$wrapper_class[] = nice_theme_color_text_class( $icon_color );
	}

	$classes[] = $size;
	$classes[] = 'icon-fw';
}

$title_class[] = $text_size;

$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );

$link_url    = $link['url'];
$link_title  = ( ! empty( $link['title'] ) ) ? ' title="' . $link['title'] . '"' : '';
$link_target = ( ! empty( $link['target'] ) ) ? ' target="' . trim( $link['target'] ) . '"' : '';

if ( empty( $link_url ) ) {
	$wrapper_class[] = 'btn-disable-hover';
}

if ( empty( $title_use_theme_fonts ) || 'yes' !== $title_use_theme_fonts ) {
	$settings = get_option( 'wpb_js_google_fonts_subsets' );
	if ( is_array( $settings ) && ! empty( $settings ) ) {
		$subsets = '&subset=' . implode( ',', $settings );
	} else {
		$subsets = '';
	}

	$google_fonts_obj = new Vc_Google_Fonts();
	$google_fonts_data = $google_fonts_obj->_vc_google_fonts_parse_attributes( WPBMap::getParam( $this->shortcode, $title_google_fonts ), $title_google_fonts );

	$google_font = isset( $google_fonts_data['values']['font_family'] ) ? $google_fonts_data['values']['font_family'] : null;

	if ( $google_font && ! nice_web_font_is_registered( $google_font ) ) {
		nice_register_web_font( $google_font );
		wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_font ), nice_web_font_uri( $google_font ) );
	}
}

// Prepare text area
$output_text = '';
if ( ! empty( $title ) ) {
	$title_styles = array();

	if ( ! empty( $google_fonts_data['values']['font_family'] ) ) {
		$font_family = explode( ':', $google_fonts_data['values']['font_family'] );
		$title_styles[] = 'font-family: \'' . $font_family[0] . '\'';
	}

	if ( ! empty( $title_line_height ) ) {
		$title_styles[] = 'line-height: ' . nice_css_unit( $title_line_height );
	}

	if ( ! empty( $title_font_weight ) ) {
		$title_styles[] = 'font-weight: ' . $title_font_weight;
	}

	if ( ! empty( $title_text_transform ) ) {
		$title_styles[] = 'text-transform: ' . $title_text_transform;
	}

	if ( ! empty( $title_letter_spacing ) ) {
		$title_class[] = $title_letter_spacing;
	}

	if ( ! empty( $title_text_color ) ) {
		$title_class[] = nice_theme_color_text_class( $title_text_color );
	}

	$output_text .= '<div class="nice-icon-box-heading nice-icon-box-' . $size . ( ( strlen( $background_style ) > 0 ) ? '-back' : '' ) . '">';
	$output_text .= '<' . $heading_semantic . ' class="' . esc_attr( trim( implode( ' ', $title_class ) ) ) . '" style="' . join( '; ', $title_styles ) . '">' . $title . '</' . $heading_semantic . '>';
	$output_text .= '</div>';
}
$content = trim( $content );

if ( ! empty( $content ) ) {

	$content = nl2br( $content );

	if ( 'yes' === $add_margin ) {
		$add_margin = ' add-margin';
	} else {
		$add_margin = '';
	}

	$content = trim( $content );

	if ( strpos( $content, '<p' ) !== false ) {
		if ( 'yes' === $text_reduced ) {
			$content = preg_replace( '/<p/', '<p class="text-top-reduced"', $content, 1 );
		}
		$output_text .= $content;
	} else {
		$output_text .= '<p' . ( ( 'yes' === $text_reduced ) ? ' class="text-top-reduced"' : '' ) . '>' . $content . '</p>';
	}
}

if ( ! empty( $output_text ) ) {
	$output_text = '<div class="nice-icon-box-content' . $add_margin . '">' . $output_text . '</div>';
}

$tag_start = ( ! empty( $link_url ) ) ? 'a href="' . esc_url( $link_url ) . '"' . $link_title . $link_target : 'span';
$tag_end   = ( ! empty( $link_url ) ) ? 'a' : 'span';

if ( ! empty( $link_text ) && ! empty( $link_url ) ) {
	$output_text .= '<p class="text-bold read-more"><a class="btn btn-link" href="' . esc_url( $link_url ) . '"' . $link_title . $link_target . '>' . $link_text . '</a></p>';
}

$output_icon = '';

$icon_container_inline_style = ( ( empty( $content ) && empty( $title ) ) ? ' style="margin-bottom: 0px;"' : '' );

$output_icon .= '<div ' . nice_css_classes( $icon_container_class, false ) . ' ' . $icon_container_inline_style . '>';
$output_icon .= '<' . $tag_start . ' ' . nice_css_classes( $wrapper_class, false ) . '>';

// If there's no image print the icon.
if ( empty( $icon_image ) ) {
	$output_icon .= '<i class="' . esc_attr( trim( implode( ' ', $classes ) ) ) . ' ' . esc_attr( trim( $icon_class ) ) . '"></i>';
} else {
	$block_data = array();
	$block_data['media_id'] = $icon_image;

	if ( 'image/svg+xml' !== get_post_mime_type( $icon_image ) ) {
		$output_icon .= nice_image( array( 'echo' => false, 'id' => $icon_image, 'width' => 320, 'height' => 300 ) );
	} else {
		$image_path = get_nice_image_path( $icon_image );

		$output_icon .= "\n\n" . nice_image_html_svg( $icon_image );
		$output_icon = preg_replace( '#\s(xmlns)="([^"]+)"#', '', $output_icon );
		$output_icon = preg_replace( '#\s(xmlns:svg)="([^"]+)"#', '', $output_icon );
		$output_icon = preg_replace( '#\s(xmlns:xlink)="([^"]+)"#', '', $output_icon );
		$output_icon = preg_replace( '#\s(id)="([^"]+)"#', ' $1="$2-' . rand() . '"', $output_icon );

		$rand_id = 'svg-' . rand();

		$output_icon = preg_replace( '/<svg/', '<svg id="' . $rand_id . '"', $output_icon );

		if ( ! empty( $icon_animated ) ) {
			$output_icon = preg_replace( '/<svg/', '<svg class="svg-animated"', $output_icon );

			if ( ! empty( $icon_animation_delay ) ) {
				$output_icon = preg_replace( '/<svg/', '<svg data-delay="' . esc_attr( $icon_animation_delay ) . '"', $output_icon );
			}

			if ( ! empty( $icon_animation_speed ) ) {
				$output_icon = preg_replace( '/<svg/', '<svg data-duration="' . esc_attr( $icon_animation_speed ) . '"', $output_icon );
			}
		}

		$output_icon = preg_replace( '/<svg/', '<svg width="120"', $output_icon );
		$output_icon = preg_replace( '/<svg/', '<svg height="120"', $output_icon );
	}
}
$output_icon .= '</' . $tag_end . '>';
$output_icon .= '</div>';

$output = '<div ' . nice_css_classes( $container_class, false ) . ' ' . nice_data_attributes( $div_data, false ) . '>' . "\n";

switch ( $position ) {

	case 'bottom':
	case 'right' :
		$output .= $output_text . $output_icon;
		break;
	default:
		$output .= $output_icon . $output_text;
		break;
}

$output .= '</div>' . "\n";

echo wpb_js_remove_wpautop( $output, false ); // WPCS: XSS ok.
