<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_pie template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$title = $el_class = $value = $units = $color = $custom_color = $label_value = $icon = $css = $css_animation = $css_animation_speed = $css_animation_delay = '';
$atts = $this->convertOldColorsToNew( $atts );
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

wp_enqueue_script( 'vc_pie' );

if ( ! empty( $color ) ) {
	$color = nice_get_option( $color );
} else {
	$color = nice_get_option( 'nice_accent_color' );
}

$div_data = array();

$class_to_filter = 'vc_pie_chart wpb_content_element';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if ( ! empty( $css_animation ) ) {
	$css_class .= nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

}

if ( ! empty( $value ) ) {
	$div_data['pie-value'] = esc_attr( $value );
}

if ( ! empty( $label_value ) ) {
	$div_data['pie-label-value'] = esc_attr( $label_value );
}

if ( ! empty( $units ) ) {
	$div_data['pie-units'] = esc_attr( $units );
}

if ( ! empty( $color ) ) {
	$div_data['pie-color'] = esc_attr( $color );
}

$output = '<div class= "' . esc_attr( $css_class ) . '" '. nice_data_attributes( $div_data, false ) . '>';
$output .= '<div class="wpb_wrapper">';
$output .= '<div class="vc_pie_wrapper">';
$output .= '<span class="vc_pie_chart_back"></span>';
$output .= '<span class="vc_pie_chart_value"></span>';
$output .= '<canvas width="101" height="101"></canvas>';
$output .= '</div>';

if ( ! empty( $title ) ) {
	$output .= '<h4 class="wpb_heading wpb_pie_chart_heading">' . $title . '</h4>';
}

$output .= '</div>';
$output .= '</div>';

echo $output;
