<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_progress_bar template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$title  = $values = $units = $bgcolor = $css = $custombgcolor = $customtxtcolor = $options = $el_class = $css_animation = $css_animation_speed = $css_animation_delay = '';
$output = '';
$atts   = vc_map_get_attributes( $this->getShortcode(), $atts );
$atts   = $this->convertAttributesToNewProgressBar( $atts );

extract( $atts );

$el_class = $this->getExtraClass( $el_class );
$div_data = array();

$bar_options = array();
$options = explode( ',', $options );
if ( in_array( 'animated', $options, true ) ) {
	$bar_options[] = 'animated';
}

// Bar color
if ( ! empty( $bgcolor ) ) {
	$bgcolor = nice_theme_color_background_class( $bgcolor );
}

$class_to_filter = 'vc_progress_bar wpb_content_element';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if ( ! empty( $css_animation ) ) {
	$css_class .= nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

}

$output = '<div class="' . esc_attr( $css_class ) . '" '. nice_data_attributes( $div_data, false ) . '>';

$output .= wpb_widget_title( array( 'title' => $title, 'extraclass' => 'wpb_progress_bar_heading' ) );

$values = (array) vc_param_group_parse_atts( $values );
$max_value = 0.0;
$graph_lines_data = array();
foreach ( $values as $data ) {
	$new_line = $data;
	$new_line['value']    = isset( $data['value'] ) ? $data['value'] : 0;
	$new_line['label']    = isset( $data['label'] ) ? $data['label'] : '';

	if ( $max_value < (float) $new_line['value'] ) {
		$max_value = $new_line['value'];
	}
	$graph_lines_data[] = $new_line;
}

foreach ( $graph_lines_data as $line ) {

	$unit = ( ! empty( $units ) ) ? ' <span class="vc_label_units">' . $line['value'] . $units . '</span>' : '';
	$line_color = ( isset( $line['color'] ) ) ? ' ' . nice_theme_color_background_class( $line['color'] ) : $bgcolor;

	$single_bar_inline_styles = '';
	$single_bar_inline_styles_list = array();

	if ( ! empty( $line['width'] ) && $width = nice_css_unit( $line['width'] ) ) {
		$single_bar_inline_styles_list['width'] = $width;
	}

	if ( ! empty( $single_bar_inline_styles_list ) ) {
		$single_bar_inline_styles = ' style="';
		foreach ( $single_bar_inline_styles_list as $key => $value ) {
			$single_bar_inline_styles .= esc_attr( $key ) . ':' . esc_attr( $value ) . ';';
		}
		$single_bar_inline_styles .= '"';
	}

	$output .= '<div class="vc_single_bar"' . $single_bar_inline_styles . '>';

	$output .= '<div class="vc_progress_label">' . $line['label'] ;
	$output .= '<small class="vc_label">' . $unit . '</small>';
		if ( $max_value > 100.00 ) {
			$percentage_value = (float) $line['value'] > 0 && $max_value > 100.00 ? round( (float) $line['value'] / $max_value * 100, 4 ) : 0;
		} else {
			$percentage_value = $line['value'];
		}
	$output .= '</div>';

	$output .= '<div class="vc_single_progress_bar">';
	$output .= '<span class="vc_bar ' . $line_color . ' ' . esc_attr( implode( ' ', $bar_options ) ) . '" data-percentage-value="' . esc_attr( $percentage_value ) . '" data-value="' . esc_attr( $line['value'] ) . '"></span>';
	$output .= '</div>';
	$output .= '</div>';
}

$output .= '</div>';

echo $output;
