<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_row_inner template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css
 * @var $el_id
 * @var $equal_height
 * @var $content_placement
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Row_Inner
 */
$row_height = $el_class = $equal_height = $content_placement = $css = $el_id = $background_color = $equal_height = $content_placement = $flex_row = '';
$output = $after_output = $desktop_visibility = $gap = $tablet_visibility = $mobile_visibility = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$el_class = $this->getExtraClass( $el_class );
$css_classes = array(
	'vc_row',
	'wpb_row', //deprecated
	'vc_inner',
	'vc_row-fluid',
	$el_class,
	vc_shortcode_custom_css_class( $css ),
);

$div_data = array();

if ( vc_shortcode_custom_css_has_property( $css, array( 'border', 'background' ) ) ) {
	$css_classes[] = 'vc_row-has-fill';
}

if ( ! empty( $atts['gap'] ) ) {
	$css_classes[] = 'vc_column-gap-' . $atts['gap'];
} else {
	$css_classes[] = 'vc_column-no-gap';
}

if ( ! empty( $equal_height ) ) {
	$flex_row = true;
	$css_classes[] = 'vc_row-o-equal-height';
}

if ( ! empty( $content_placement ) ) {
	$flex_row = true;
	$css_classes[] = 'vc_row-o-content-' . $content_placement;
}

if ( ! empty( $flex_row ) ) {
	$css_classes[] = 'vc_row-flex';
}

if ( ! empty( $background_color) ) {
	$css_classes[] = nice_theme_color_background_class( $background_color );
}

if ( ! empty( $row_height ) && 100 !== $row_height ) {
	$div_data['height'] = $row_height;
}

if ( ! empty( $equal_height ) ) {
	$flex_row = true;
	$equal_height = true;
	$css_classes[] = ' vc_row-o-equal-height';
}

if ( ! empty( $content_placement ) ) {
	$flex_row = true;
	$css_classes[] = ' vc_row-o-content-' . $content_placement;
}

if ( ! empty( $flex_row ) ) {
	$css_classes[] = ' vc_row-flex';
}

$wrapper_attributes = array();
// build attributes for wrapper
if ( ! empty( $el_id ) ) {
	$wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}

if ( $desktop_visibility !== 'yes' ) {
	$css_classes[] = 'desktop-hidden';
}

if ( $tablet_visibility !== 'yes' ) {
	$css_classes[] = 'tablet-hidden';
}

if ( $mobile_visibility !== 'yes' ) {
	$css_classes[] = 'mobile-hidden';
}

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( array_unique( $css_classes ) ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . ' ' . nice_data_attributes( $div_data, false ) . '>';
if ( ! empty( $equal_height ) && true === $equal_height ) {
	$output .= '<div class="row-inner clearfix">';
}
$output .= wpb_js_remove_wpautop( $content );
if ( ! empty( $equal_height ) && true === $equal_height ) {
	$output .= '</div>';
}
$output .= '</div>';
$output .= $after_output;

echo $output;
