<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains the vc_separator template
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$el_width = $el_height = $type = $sep_color = $icon_type = $icon_fontawesome = $icon_openiconic = $icon_typicons = $icon_entypo = $icon_linecons = $icon_position = $border_width = $scroll_top = $link = $css_animation = $css_animation_delay = $css_animation_speed = $el_class = $align = $inline_css = '';

extract( shortcode_atts( array(
	'el_width'            => '',
	'el_height'           => '',
	'type'                => '',
	'color'               => '',
	'icon_type'           => '',
	'icon_fontawesome'    => '',
	'icon_openiconic'     => '',
	'icon_typicons'       => '',
	'icon_entypo'         => '',
	'icon_linecons'       => '',
	'icon_position'       => 'center',
	'border_width'        => '',
	'scroll_top'          => '',
	'link'                => '',
	'css_animation'       => '',
	'css_animation_delay' => '',
	'css_animation_speed' => '',
	'el_class'            => '',
	'align'               => 'align_center',
), $atts ) );

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, ' ' . $el_class, $this->settings['base'], $atts );

$wrapper_class = array();
$classes       = array();
$div_data      = array();

$wrapper_class[] = 'divider-wrapper';
$wrapper_class[] = $css_class;

// Enqueue needed icon font.
vc_icon_element_fonts_enqueue( $icon_type );

$icon_class = isset( ${'icon_' . $icon_type} ) ? esc_attr( ${'icon_' . $icon_type} ) : '';

if ( ! empty( $css_animation ) ) {
	$wrapper_class[] = nice_vc_get_css_animation( $css_animation );

	$div_data['animation'] = ( ! empty( $css_animation ) ) ? $css_animation : '';
	$div_data['delay']     = ( ! empty( $css_animation_delay ) ) ? $css_animation_delay : '';
	$div_data['speed']     = ( ! empty( $css_animation_speed ) ) ? $css_animation_speed : '';

}

if ( $el_width !== '' ) {
	$el_width = 'width: ' . $el_width . ';';
}

if ( $el_height !== '' ) {
	$wrapper_class[] = 'thickness-' . esc_attr( trim( $el_height ) );
	$el_height = 'border-top-width: ' . $el_height . ';';
}
if ( $el_width !== '' || $el_height !== '' ) {
	$inline_css = $el_width . $el_height;
}

if ( $type !== '' ) {
	$classes[] = $type;
}

if ( $icon_class !== '' ) {
	$classes[] = 'separator separator-' . $icon_position . '-icon';
	$icon_wrapper_class[] = 'separator-icon';

	if ( $scroll_top !== 'yes') {
		$icon_wrapper_class[] = 'icon-inactive';
	}

	if ( $color === '' ) {
		$classes[] = 'style-default';
	} else {
		$classes[] = nice_theme_color_border_class( $color );
		$icon_wrapper_class[] = nice_theme_color_text_class( $color );
	}
} else {
	if ( $color !== '' ) {
		$classes[] = nice_theme_color_border_class( $color );
	}
}

$inline_css = ( ! empty( $inline_css ) ) ? ' style="' . esc_attr( $inline_css ) . '"' : '';
?>

<div <?php nice_css_classes( $wrapper_class ); ?> <?php nice_data_attributes( $div_data ); ?>>
<?php if ( $icon_class === '' ) : ?>
	<hr <?php nice_css_classes( $classes ); ?> <?php echo $inline_css; ?> />
<?php else : ?>
	<div <?php nice_css_classes( $classes ); ?> <?php echo $inline_css; ?>>
		<?php if ( $scroll_top === 'yes') { ?>
			<a href="#" data-target="#wrapper">
		<?php } ?>
			<div class="<?php echo esc_attr( implode(' ', $icon_wrapper_class) ); ?>">
				<i class="<?php echo esc_attr( $icon_class ); ?>"></i>
			</div>
		<?php if ( $scroll_top === 'yes' ) { ?>
			</a>
		<?php } ?>
	</div>
<?php endif; ?>
</div>
