<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage styles for WooCommerce.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://www.nicethemes.com/theme-page
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_woocommerce_integration_admin_styles' ) ) :
add_action( 'admin_enqueue_scripts', 'nice_woocommerce_integration_admin_styles', 9999 );
/**
 * Manage styles for admin only.
 *
 * @since 1.0.0
 */
function nice_woocommerce_integration_admin_styles() {
	$screen    = get_current_screen();
	$screen_id = $screen ? $screen->id : '';

	// Remove jQuery UI styles.
	if ( in_array( $screen_id, array( 'product', 'edit-product' ) ) ) {
		wp_dequeue_style( 'jquery-ui-style' );
	}
}
endif;
