<?php
/**
 * Smart by NiceThemes.
 *
 * This file includes functions to manage AJAX actions for our WooCommerce
 * integration.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! nice_doing_ajax() ) {
	return;
}

if ( ! function_exists( 'nice_woocommerce_integration_quick_view' ) ) :
add_action( 'wp_ajax_nice_woocommerce_integration_quick_view', 'nice_woocommerce_integration_quick_view' );
add_action( 'wp_ajax_nopriv_nice_woocommerce_integration_quick_view', 'nice_woocommerce_integration_quick_view' );
/**
 * Load product quick view using AJAX.
 *
 * @since 1.0.0
 */
function nice_woocommerce_integration_quick_view() {
	// Create a main query.
	query_posts( array(
			'post_type' => 'product',
			'p'         => $_POST['id'],
		)
	);

	wc_get_template( 'quick-view/content.php' );

	die();
}
endif;

if ( ! function_exists( 'nice_woocommerce_integration_ajax_product_summary' ) ) :
add_action( 'init', 'nice_woocommerce_integration_ajax_product_summary' );
/**
 * Modify product summary while obtaining a product using Quick View.
 *
 * @since 1.0.0
 */
function nice_woocommerce_integration_ajax_product_summary() {
	remove_action( 'woocommerce_single_product_summary', 'nice_woocommerce_template_single_meta', 40 );
	remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
}
endif;
