<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage the default theme settings.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( class_exists( 'YITH_WCWL' ) && ! function_exists( 'nice_yith_wcwl_integration_default_settings' ) ) :
add_filter( 'nice_default_settings', 'nice_yith_wcwl_integration_default_settings' );
/**
 * Define and return default values for theme settings.
 *
 * @param  array $settings
 *
 * @return array
 */
function nice_yith_wcwl_integration_default_settings( $settings = array() ) {
	$theme_settings = array(
		'yith_wcwl_shop_link'            => false,
		'yith_wcwl_shop_link_position'   => 'left',
		'yith_wcwl_single_link'          => false,
		'yith_wcwl_single_link_position' => 'left',

	);

	return array_merge( $settings, $theme_settings );
}
endif;
