<?php
/**
 * Smart by NiceThemes.
 *
 * Manage interactions between integrations of both WooCommerce and Likes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_woocommerce_integration_disable_likes' ) ) :
add_action( 'wp', 'nice_woocommerce_integration_disable_likes' );
/**
 * Disable Likes functionality for WooCommerce pages.
 *
 * @since 1.0.0
 */
function nice_woocommerce_integration_disable_likes() {
	if ( is_checkout() || is_cart() || is_account_page() ) {
		remove_filter( 'nice_post_footer_meta_template', 'nice_likes_integration_single_footer_meta_template', 10 );
		remove_filter( 'nice_post_footer_meta', 'nice_likes_integration_post_meta' );
	}
}
endif;
