<?php
/**
 * Smart by NiceThemes.
 *
 * This file handles interactions with our implementation of WooCommerce.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      https://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( class_exists( 'Nice_Portfolio_Plugin' ) ) :

if ( ! function_exists( 'nice_woocommerce_integration_custom_fields_portfolio_project' ) ) :
add_filter( 'nice_custom_fields', 'nice_woocommerce_integration_custom_fields_portfolio_project', 20, 2 );
/**
 * Add Woocommerce-related custom fields to portfolio projects.
 *
 * @since  1.0.0
 *
 * @param  array  $nice_fields
 * @param  string $post_type
 *
 * @return array
 */
function nice_woocommerce_integration_custom_fields_portfolio_project( array $nice_fields = array(), $post_type ) {
	if ( nice_portfolio_post_type_name() === $post_type ) {

		$nice_woocommerce_header_custom_fields[] = array(
			'name'      => '_post_header_woocommerce_navigation',
			'std'       => '',
			'label'     => esc_html__( 'Display Shopping Cart', 'smart' ),
			'type'      => 'select',
			'options'   => array(
				''      => esc_html__( 'Inherit', 'smart' ),
				'true'  => esc_html__( 'Yes', 'smart' ),
				'false' => esc_html__( 'No', 'smart' ),
			),
			'desc'      => esc_html__( 'Select whether or not to show a link to the shopping cart in the header for this project.', 'smart' ),
			'condition' => '_post_header:is(true)',
			'operator'  => 'and',
		);

		$nice_fields = nice_custom_fields_enqueue( $nice_fields, $nice_woocommerce_header_custom_fields, '_post_header_display_search', false );
	}

	return $nice_fields;
}
endif;

endif;
