<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions for basic WooCommerce integration.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_woocommerce_integration_locate_template' ) ) :
add_filter( 'woocommerce_locate_template', 'nice_woocommerce_integration_locate_template', 10, 3 );
/**
 * Register `includes/plugin-integrations/woocommerce/templates` as our custom
 * location for WC templates.
 *
 * @since 1.0.0
 *
 * @param string $template
 * @param string $template_name
 * @param string $template_path
 *
 * @return string
 */
function nice_woocommerce_integration_locate_template( $template, $template_name, $template_path ) {
	$default_template = $template;

	if ( ! $template_path ) {
		$template_path = WC()->template_path();
	}

	$plugin_path = nice_get_file_path( 'includes/plugin-integrations/woocommerce/templates/' );

	$template = locate_template(
		array(
			$template_path . $template_name,
			$template_name,
		)
	);

	if ( ! $template && file_exists( $plugin_path . $template_name ) ) {
		$template = $plugin_path . $template_name;
	}

	if ( ! $template ) {
		$template = $default_template;
	}

	return $template;
}
endif;
