<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage WooCommerce-exclusive sidebars.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://www.nicethemes.com/theme-name
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_woocommerce_integration_sidebars' ) ) :
add_action( 'nice_register_sidebars', 'nice_woocommerce_integration_sidebars', 20 );
/**
 * Register sidebars when WooCommerce is active.
 *
 * @since 1.0.0
 */
function nice_woocommerce_integration_sidebars() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Shop', 'smart' ),
			'id'            => 'shop',
			'description'   => esc_html__( 'Appears in the sidebar of the WooCommerce Templates.', 'smart' ),
			'before_widget' => '<div class="box widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		)
	);

	register_sidebar(
		array(
			'name'          => esc_html__( 'Account', 'smart' ),
			'id'            => 'account',
			'description'   => esc_html__( 'Appears in the sidebar of the WooCommerce Account pages.', 'smart' ),
			'before_widget' => '<div class="box widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		)
	);
}
endif;
