<?php
/**
 * Smart by NiceThemes.
 *
 * My Account navigation
 *
 * Override this template from a child theme by copying it to any of these locations:
 * `your-child-theme/includes/plugin-integrations/woocommerce/myaccount/dashboard.php`.
 * `your-child-theme/woocommerce/myaccount/dashboard.php`.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 *
 * @package Smart
 * @since   1.0.0
 *
 * WooCommerce Data:
 * @version 2.6.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$current_user = wp_get_current_user()->data;

$navigation_position = nice_get_option( '_woocommerce_myaccount_navigation_position' );
$navigation_position_class = $navigation_position ? $navigation_position : 'default';

do_action( 'woocommerce_before_account_navigation' );
?>

<nav class="woocommerce-MyAccount-navigation woocommerce-MyAccount-navigation-<?php echo esc_html( $navigation_position_class ); ?>">
	<div class="nice-MyAccount-user">
		<span class="username">
			<?php
				echo sprintf( esc_attr__( 'Hello %s%s%s', 'smart' ), '<strong>', esc_html( $current_user->display_name ), '</strong>' );
			?>
		</span>

		<a class="btn btn-logout btn-default btn-sm uppercase" href="<?php echo esc_url( wc_get_endpoint_url( 'customer-logout', '', wc_get_page_permalink( 'myaccount' ) ) ); ?>"><?php esc_html_e( 'Logout', 'smart' ) ?></a>
	</div>


	<ul>
		<?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) : ?>
			<li class="<?php echo wc_get_account_menu_item_classes( $endpoint ); ?>">
				<a href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>"><?php echo esc_html( $label ); ?></a>
			</li>
		<?php endforeach; ?>
	</ul>
</nav>

<?php do_action( 'woocommerce_after_account_navigation' ); ?>
