<?php
/**
 * Smart by NiceThemes.
 *
 * Display modal window contents when quick view is enabled.
 *
 * Override this template from a child theme by copying it to any of these locations:
 * `your-child-theme/includes/plugin-integrations/woocommerce/quick-view/link.php`.
 * `your-child-theme/woocommerce/quick-view/content.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

while ( have_posts() ) : the_post();
	/**
	 * Obtain out product image gallery.
	 *
	 * @since 1.0.0
	 */
	ob_start();
	nice_woocommerce_integration_single_product_images( false );
	$gallery_html = ob_get_clean();

	$gallery_position = nice_get_option( '_woocommerce_quick_view_gallery_position' );

	?>

	<div class="window-quick-view-product">
		<?php if ( $gallery_html ) : ?>
			<div class="product-gallery <?php echo esc_attr( $gallery_position ); ?>">
				<?php echo $gallery_html; // WPCS: XSS ok. ?>
			</div>
		<?php endif; ?>

		<div class="product-details">
			<?php
				/**
				 * @hook woocommerce_single_product_summary
				 *
				 * @see nice_woocommerce_integration_ajax_product_summary() to check which
				 *      default and custom actions are removed during AJAX requests.
				 */
				do_action( 'woocommerce_single_product_summary' );
			?>
		</div>
	</div>
<?php endwhile; // end of the loop.
