<?php
/**
 * Smart by NiceThemes.
 *
 * Display link to open modal window when quick view is enabled.
 *
 * Override this template from a child theme by copying it to any of these locations:
 * `your-child-theme/includes/plugin-integrations/woocommerce/quick-view/icon.php`.
 * `your-child-theme/woocommerce/quick-view/icon.php`.
 *
 * @package Smart
 * @since   1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$position = nice_get_option( '_woocommerce_quick_view_link_position', 'left' );

?>
<section class="item-quick-view-icon <?php echo esc_attr( $position ); ?> entry-meta entry-meta-button inherit-skin block">
	<a href="javascript:void(0);" class="modal-open modal-open-quick-view-product" data-product_id="<?php the_ID(); ?>">
		<i class="fa fa-eye"></i>
	</a>

	<div class="tooltip">
		<?php esc_html_e( 'Quick View', 'smart' ); ?>
	</div>
</section>
