<?php
/**
 * Single Product Image
 *
 * Override this template from a child theme by copying it to any of these locations:
 * `your-child-theme/includes/plugin-integrations/woocommerce/single-product/product-image.php`.
 * `your-child-theme/woocommerce/single-product/product-image.php`.
 *
 * @package Smart
 * @since   1.0.0
 *
 * WooCommerce Data:
 * @version 3.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$placeholder     = has_post_thumbnail() ? 'with-images' : 'without-images';
$position = nice_woocommerce_integration_product_gallery_position() ? : 'default';
$wrapper_classes = apply_filters( 'woocommerce_single_product_image_gallery_classes', array(
	'woocommerce-product-gallery',
	'woocommerce-product-gallery--' . $placeholder,
	'woocommerce-product-gallery--position-' . $position,
	'images',
) );
?>
<div class="<?php echo esc_attr( implode( ' ', array_map( 'sanitize_html_class', $wrapper_classes ) ) ); ?>">
	<figure class="woocommerce-product-gallery__wrapper">
		<?php do_action( 'woocommerce_product_thumbnails' ); ?>
	</figure>
</div>
