<?php
/**
 * Related Products.
 *
 * Override this template from a child theme by copying it to any of these locations:
 * `your-child-theme/includes/plugin-integrations/woocommerce/single-product/related.php`.
 * `your-child-theme/woocommerce/single-product/related.php`.
 *
 * @package Smart
 * @since   1.0.2
 *
 * WooCommerce Data:
 * @version 3.0.0
 * @see 	https://docs.woocommerce.com/document/template-structure/
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( $related_products ) : ?>

	<section class="related products">

		<h2><?php nice_woocommerce_integration_single_product_related_title(); ?></h2>

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</section>

<?php endif;

wp_reset_postdata();
