<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions that handle the presentation of audio post format.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_post_footer_meta_author_audio' ) ) :
add_filter( 'nice_post_footer_meta_author', 'nice_post_footer_meta_author_audio' );
/**
 * Modify author text for meta data section in audio posts.
 *
 * @since  1.0.0
 *
 * @param  string $post_author Current HTML for post author.
 *
 * @return string
 */
function nice_post_footer_meta_author_audio( $post_author = '' ) {
	// Allow bypass.
	if ( $output = apply_filters( 'nice_post_footer_meta_author_audio', '' ) ) {
		return $output;
	}

	if ( has_post_format( 'audio' ) ) {
		$post_author = '<section class="author"><i class="icon-volume-up"></i> ' . sprintf( esc_html__( 'Playlist shared by %s', 'smart' ), '<a href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '">' . get_the_author_meta( 'display_name' ) . '</a>' ) . '</section>';
	}

	return $post_author;

}
endif;

if ( ! function_exists( 'nice_content_without_playlist' ) ) :
add_filter( 'the_content', 'nice_content_without_playlist' );
/**
 * Remove video shortcodes from content and return the content.
 *
 * @since 1.0.0
 *
 * @param  string $content
 * @return string
 */
function nice_content_without_playlist( $content ) {
	$post_id = get_the_ID();

	if ( has_post_format( 'audio', $post_id ) ) {
		$content = preg_replace( '/\[playlist[^\]]*\]/', '', $content );
	}

	return $content;
}
endif;
