<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions that handle the presentation of video post format.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_post_footer_meta_author_video' ) ) :
add_filter( 'nice_post_footer_meta_author', 'nice_post_footer_meta_author_video' );
/**
 * Modify author text for meta data section in video posts.
 *
 * @since  1.0.0
 *
 * @param  string $post_author Current HTML for post author.
 *
 * @return string
 */
function nice_post_footer_meta_author_video( $post_author = '' ) {
	// Allow bypass.
	if ( $output = apply_filters( 'nice_post_footer_meta_author_video', '' ) ) {
		return $output;
	}

	if ( has_post_format( 'video' ) ) {
		$post_author = '<section class="author"><i class="icon-film"></i> ' . sprintf( esc_html__( 'Video shared by %s', 'smart' ), '<a href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '">' . get_the_author_meta( 'display_name' ) . '</a>' ) . '</section>';
	}

	return $post_author;

}
endif;
