<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage the default theme settings.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.1
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_slider_default_settings' ) ) :
add_filter( 'nice_default_settings', 'nice_slider_default_settings' );
/**
 * Define and return default values for theme settings.
 *
 * @param  array $settings
 *
 * @return array
 */
function nice_slider_default_settings( $settings = array() ) {
	if ( ! post_type_exists( 'slide' ) ) {
		return $settings;
	}

	$theme_settings = array(
		'slider'                               => true,
		'slider_loader_icon'                   => 'beat',
		'slider_entries'                       => array(
			'range' => 'min',
			'value' => '3',
			'min'   => '1',
			'max'   => '20',
		),
		'slider_reverse'                       => false,
		'slider_slideshow'                     => false,
		'slider_animation'                     => 'fade',
		'slider_scroll'                        => 'default',
		'slider_animation_loop'                => false,
		'slider_animation_speed'               => array(
			'range' => 'min',
			'value' => '600',
			'min'   => '0',
			'max'   => '1500',
		),
		'slider_slideshow_speed'               => array(
			'range' => 'min',
			'value' => '7000',
			'min'   => '3000',
			'max'   => '30000',
		),
		'slider_pause_on_hover'                => false,
		'slider_control_nav'                   => false,
		'slider_direction_nav'                 => true,
		'slider_direction_nav_style'           => '',
		'slider_direction_nav_shape'           => '',
		'slider_direction_nav_color'           => '',
		'slider_caption'                       => true,
		'slider_caption_heading_tag'           => 'h2',
		'slider_caption_button_size'           => '',
		'slider_caption_button_shape'          => '',
		'slider_caption_button_text_transform' => '',
		'slider_caption_button_outlined'       => '',
		'slider_caption_button_color'          => '',
	);

	return array_merge( $settings, $theme_settings );
}
endif;