<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains hooks to manage media elements.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_embed_oembed_html' ) ) :
add_filter( 'embed_oembed_html', 'nice_embed_oembed_html', 99, 2 );
/**
 * Add custom wrapper to oEmbedded iframes.
 *
 * @param  string $html
 * @param  string $url
 *
 * @return string
 */
function nice_embed_oembed_html( $html, $url ) {
	$classes[] = 'nice-embed';

	if ( stripos( $url, 'twitter' ) ) {
		$classes[] = 'twitter';
	} else {
		$classes[] = 'video';
	}

	return '<div class="' . join( ' ', $classes ) . '">' . $html . '</div>';
}
endif;
