<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage sidebars in the public-facing side of
 * the theme.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.6
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_sidebar_set' ) ) :
add_filter( 'nice_sidebar_id', 'nice_sidebar_set' );
/**
 * Set ID of sidebar for the current view.
 *
 * @see nice_sidebar_do()
 *
 * @return string
 */
function nice_sidebar_set() {
	if ( is_page_template( 'page-templates/blog.php' ) ) {
		$sidebar_id = 'primary';
	} elseif ( ! is_page() || is_front_page() || is_home() ) {
		$sidebar_id = 'primary';
	} elseif ( is_page_template( 'page-templates/contact.php' ) ) {
		$sidebar_id = 'contact';
	} else {
		$sidebar_id = 'page';
	}

	return $sidebar_id;
}
endif;
