<?php
/**
 * Smart by NiceThemes.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://www.nicethemes.com/theme-page
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_theme_default_social_links' ) ) :
/**
 * Obtain default social links for this theme.
 *
 * @since 1.0.0
 */
function nice_theme_default_social_links() {
	$social_links[] = array(
		'name' => esc_html__( 'Facebook', 'smart' ),
		'id'   => 'nice_facebook',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-facebook',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Twitter', 'smart' ),
		'id'   => 'nice_twitter',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-twitter',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Instagram', 'smart' ),
		'id'   => 'nice_instagram',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-instagram',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Google+', 'smart' ),
		'id'   => 'nice_google',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-google-plus',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Dribbble', 'smart' ),
		'id'   => 'nice_dribbble',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-dribbble',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Vimeo', 'smart' ),
		'id'   => 'nice_vimeo',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-vimeo',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Tumblr', 'smart' ),
		'id'   => 'nice_tumblr',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-tumblr',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Flickr', 'smart' ),
		'id'   => 'nice_flickr',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-flickr',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'YouTube', 'smart' ),
		'id'   => 'nice_youtube',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-youtube',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'LinkedIn', 'smart' ),
		'id'   => 'nice_linkedin',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-linkedin',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Dropbox', 'smart' ),
		'id'   => 'nice_dropbox',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-dropbox',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Foursquare', 'smart' ),
		'id'   => 'nice_foursquare',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-foursquare',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Pinterest', 'smart' ),
		'id'   => 'nice_pinterest',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-pinterest-p',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Quora', 'smart' ),
		'id'   => 'nice_quora',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-quora',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Skype', 'smart' ),
		'id'   => 'nice_skype',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-skype',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Bitbucket', 'smart' ),
		'id'   => 'nice_bitbucket',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-bitbucket',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'GitHub', 'smart' ),
		'id'   => 'nice_github',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-github',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Stack Exchange', 'smart' ),
		'id'   => 'nice_stack_exchange',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-stack-exchange',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Stack Overflow', 'smart' ),
		'id'   => 'nice_stack_overflow',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-stack-overflow',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Trello', 'smart' ),
		'id'   => 'nice_trello',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-trello',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Yelp', 'smart' ),
		'id'   => 'nice_yelp',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-yelp',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Trip Advisor', 'smart' ),
		'id'   => 'nice_tripadvisor',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-tripadvisor',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'WordPress', 'smart' ),
		'id'   => 'nice_wordpress',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-wordpress',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Slack', 'smart' ),
		'id'   => 'nice_slack',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-slack',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Spotify', 'smart' ),
		'id'   => 'nice_spotify',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-spotify',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	$social_links[] = array(
		'name' => esc_html__( 'Soundcloud', 'smart' ),
		'id'   => 'nice_soundcloud',
		'std'  => array(
			'url'             => '',
			'icon_class'      => 'fa fa-soundcloud',
			'show_in_menu'    => false,
			'show_in_top_bar' => false,
			'show_in_footer'  => false,
		),
	);

	return apply_filters( 'nice_theme_default_social_links', $social_links );
}
endif;
