<?php
/**
 * Smart by NiceThemes.
 *
 * This file contains functions to manage widget registration.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! function_exists( 'nice_register_widgets' ) ) :
add_action( 'widgets_init', 'nice_register_widgets' );
/**
 * Register loaded widgets.
 *
 * @since 1.0
 */
function nice_register_widgets() {
	// Register blog author widget.
	if ( apply_filters( 'nice_register_widget_blog_author', true ) ) {
		register_widget( 'Nice_Blog_Author_Widget' );
	}

	// Register Flickr widget.
	if ( apply_filters( 'nice_register_widget_flickr', true ) ) {
		register_widget( 'Nice_Flickr_Widget' );
	}

	// Register social widget.
	if ( apply_filters( 'nice_register_widget_social', true ) ) {
		register_widget( 'Nice_Social_Widget' );
	}

	// Register tabs widget.
	if ( apply_filters( 'nice_register_widget_tabs', true ) ) {
		register_widget( 'Nice_Tabs_Widget' );
	}

	// Register Twitter widget.
	if ( apply_filters( 'nice_register_widget_twitter', true ) ) {
		register_widget( 'Nice_Twitter_Widget' );
	}

	// Register Adspace widget.
	if ( apply_filters( 'nice_register_widget_adspace', true ) ) {
		register_widget( 'Nice_Adspace_Widget' );
	}
}
endif;
