<?php
/**
 * Smart by NiceThemes.
 *
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link      http://codex.wordpress.org/Template_Hierarchy
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
	<?php get_header(); ?>

	<!-- BEGIN #content -->
	<section id="content" <?php nice_content_class(); ?> role="main">

		<?php if ( have_posts() ) : ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<div class="post-container">

					<?php
						/**
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 *
						 * @since 1.0.0
						 */
						get_template_part( 'content', get_post_format() );
					?>
				</div>

			<?php endwhile; ?>

			<?php
				/**
				 * Previous/next page navigation.
				 *
				 * @since 1.0.0
				 */
				nice_pagenavi();
			?>

		<?php else : ?>
			<?php
				/**
				 * If no content, include the "No posts found" template.
				 *
				 * @since 1.0.0
				 */
				get_template_part( 'content', 'none' );
			?>
		<?php endif; ?>

	<!-- END #content -->
	</section>

	<?php get_sidebar(); ?>

	<?php get_footer(); ?>
