<?php
/**
 * Smart by NiceThemes.
 *
 * Template Name: Blog
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>

	<?php get_header(); ?>

	<?php
		/**
		 * @hook nice_blog_before
		 *
		 * Hook here to print HTML before the contents of the blog page are
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_blog_before' );
	?>

	<!-- BEGIN #content -->
	<section id="content" <?php nice_content_class( 'blog-content' ); ?>>

		<?php if ( have_posts() ) : ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<div class="post-container">
					<?php
						/**
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 *
						 * @since 1.0.0
						 */
						get_template_part( 'content', get_post_format() );
					?>
				</div>

			<?php endwhile; ?>

			<?php
				/**
				 * Previous/next page navigation.
				 *
				 * @since 1.0.0
				 */
				nice_pagenavi();
			?>

		<?php else : ?>

			<?php
				/**
				 * If no content, include the "No posts found" template.
				 *
				 * @since 1.0.0
				 */
				get_template_part( 'content', 'none' );
			?>

		<?php endif; ?>

	</section><!-- END #content -->

	<?php
		/**
		 * @hook nice_blog_after
		 *
		 * Hook here to print HTML after the contents of the blog page are
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_blog_after' );
	?>

	<?php get_sidebar(); ?>

	<?php get_footer(); ?>
