<?php
/**
 * Smart by NiceThemes.
 *
 * Template Name: Contact
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

?>
	<?php get_header(); ?>

	<?php
		/**
		 * @hook nice_contact_before
		 *
		 * Hook here to print HTML before the contents of the contact page are
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_contact_before' );
	?>

	<!-- BEGIN #content -->
	<section id="content" <?php nice_content_class( 'contact-content ' . $post->post_name ); ?>>
		<?php if ( have_posts() ) : ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<div class="entry">
					<?php the_content( esc_html__( 'Continue reading', 'smart' ) ); ?>
				</div>

			<?php endwhile; ?>
		<?php endif; ?>
	</section><!-- END #content -->

	<?php
		/**
		 * @hook nice_contact_after
		 *
		 * Hook here to print HTML after the contents of the contact page are
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_contact_after' );
	?>

	<?php get_sidebar(); ?>

	<?php get_footer(); ?>
