<?php
/**
 * Smart by NiceThemes.
 *
 * Template Name: Home
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
	<?php get_header(); ?>

	<?php
		/**
		 * @hook homepage_before
		 *
		 * Perform actions right before the contents of the home page are
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'homepage_before' );
	?>

	<section id="content" <?php nice_content_class( 'homepage full-width ' . $post->post_name ); ?>>
		<div class="entry">
			<?php
				/**
				 * @hook homepage
				 *
				 * Display available home page elements.
				 *
				 * This action is meant to be compatible with the Homepage
				 * Control plugin, by WooThemes.
				 *
				 * @link  https://wordpress.org/plugins/homepage-control/
				 *
				 * @since 1.0.0
				 *
				 * Hooked here:
				 * @see nice_homepage_do()
				 */
				do_action( 'homepage' );
			?>
		</div>
	</section>

	<?php
		/**
		 * @hook homepage_after
		 *
		 * Perform actions right after the contents of the home page are
		 * printed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'homepage_after' );
	?>

	<?php get_footer(); ?>
