<?php
/**
 * Smart by NiceThemes.
 *
 * This template replaces the default WordPress search form.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label>
		<span class="screen-reader-text"><?php esc_html_e( 'Search for:', 'smart' ); ?></span>
		<input class="input-text" placeholder="<?php esc_attr_e( 'Search ...', 'smart' ); ?>" value="" name="s" title="<?php esc_attr_e( 'Search for:', 'smart' ); ?>" type="search">
	</label>
	<input class="search-submit" value="<?php esc_attr_e( 'Search', 'smart' ); ?>" type="submit">
	<input type="hidden" name="post_type" value="post" />
</form>
