<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for displaying Masonry posts in archive views.
 *
 * Used for single and index/archive/search.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$post_classes = array(
	'post',
	'post-' . get_the_ID(),
	'item',
	'type-' . get_post_type(),
	'thumb',
	'item-short',
	'multiple-click',
	'shape-round',
	'content-padding-h-3x',
	'content-padding-v-2x',
	'overlay-animated',
	'image-animated',
	'text-left',
	'vertical-position-middle',
	'item-shadowed',
	'has-border',
	'columns-' . esc_attr( nice_masonry_columns() ),
);

?>

	<!-- BEGIN #post-<?php the_ID(); ?> -->
	<article id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
		<?php
			/**
			 * Load template for the current post format.
			 *
			 * @since 1.0.0
			 */
			get_template_part( 'template-parts/archive/masonry/content', get_post_format() );
		?>
	</article><!-- END #post-<?php the_ID(); ?> -->
