<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for displaying quote posts in archive views.
 *
 * Used for index/archive/search.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
	<?php
		/**
		 * Display featured image for this entry.
		 *
		 * @since 1.0.0
		 */
		nice_post_thumbnail();
	?>

	<header class="entry-header">
		<blockquote class="quote">
			<?php nice_post_quote(); ?>
		</blockquote>

		<span class="quote-author"><?php nice_post_quote_author(); ?></span>
	</header>

	<?php
		/**
		 * @hook nice_before_archive_post
		 *
		 * Hook here to add HTML elements before the contents of the post are
		 * displayed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_before_archive_post' );
	?>

	<div class="entry">

		<?php
			/**
			 * @hook nice_blog_post_content
			 *
			 * Hook here to display the contents of the post.
			 *
			 * @since 1.0.0
			 *
			 * Hooked here:
			 * @see nice_blog_post_content() - 10
			 */
			do_action( 'nice_blog_post_content' );
		?>

	</div>

	<?php
		/**
		 * @hook nice_after_archive_post
		 *
		 * Hook here to add HTML elements after the contents of the post are
		 * displayed.
		 *
		 * @since 1.0.0
		 */
		do_action( 'nice_after_archive_post' );
	?>
