<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for displaying Masonry gallery posts.
 *
 * Used for index/archive/search.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
<div class="item-inner no-caption">
	<?php
		/**
		 * Display gallery for this entry.
		 *
		 * @since 1.0.0
		 */
		nice_gallery();
	?>

	<div class="item-content">
		<div class="item-content-inner">
		<?php
			/**
			 * Display the title of this entry.
			 *
			 * @since 1.0.0
			 */
			the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" title="' . sprintf( esc_attr__( 'Permanent Link to %s', 'smart' ), get_the_title() ) . '" rel="bookmark">', '</a></h3>' );

			/**
			 * Display some post meta in header.
			 *
			 * @since 1.0.0
			 */
			nice_post_meta( array(
					'context' => 'masonry-blog',
					'before'  => '<section class="entry-meta block contrast-skin">',
					'after'   => '</section>',
				)
			);
		?>

		<?php
			/**
			 * @hook nice_before_masonry_blog_post
			 *
			 * Hook here to add HTML elements before the contents of the post are
			 * displayed.
			 *
			 * @since 1.0.0
			 */
			do_action( 'nice_before_masonry_blog_post' );
		?>

		<section class="entry-excerpt">
			<?php the_excerpt(); ?>
		</section>

		<section class="entry-readmore">
			<a class="inherit-skin btn-link uppercase default-width" href="<?php echo esc_url( get_permalink( get_the_ID() ) ); ?>" title="<?php printf( esc_attr__( 'Permanent Link to %s', 'smart' ), esc_attr( get_the_title() ) ); ?>"> <?php esc_html_e( 'Read More', 'smart' ); ?></a>
		</section>

		<hr class="entry-separator full" />

		<?php
			/**
			 * @hook nice_after_masonry_blog_post
			 *
			 * Hook here to add HTML elements after the contents of the post are
			 * displayed.
			 *
			 * @since 1.0.0
			 */
			do_action( 'nice_after_masonry_blog_post' );
		?>
		</div>
	</div>
</div>
