<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for the homepage slider.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Obtain all slides.
$slides = nice_slide_get_slides();

if ( $slides->have_posts() ) : ?>
	<!-- BEGIN .flexslider -->
	<div id="homepage-slider" <?php nice_slider_class( '', $slides->post_count ); ?> <?php nice_slider_data(); ?>>
		<div <?php nice_slide_overlay_class(); ?>>
			<?php if ( 'beat' === nice_get_option( '_slider_loader_icon', 'beat' ) ) : ?>
				<div class="loader"></div>
			<?php endif; ?>
		</div>

		<!-- BEGIN .slides -->
		<ul class="slides">
			<?php while ( $slides->have_posts() ) : $slides->the_post(); ?>

				<?php if ( has_post_thumbnail() or nice_slide_is_video() ) : ?>

					<li class="slide" <?php nice_slide_data(); ?>>
						<div class="slide-overlay"></div>

						<?php if ( nice_slide_is_video() ) : ?>
							<?php
								/**
								 * Display slide video.
								 *
								 * @since 1.0.0
								 */
								nice_slide_video();
							?>

						<?php elseif ( has_post_thumbnail() ) : ?>
							<div class="slide-image">
								<?php
									/**
									 * Display slide featured image.
									 *
									 * @since 1.0.0
									 */
									nice_slide_image();
								?>
							</div>

						<?php endif;
							/**
							 * Display slide caption.
							 *
							 * @since 1.0.0
							 */
							get_template_part( 'template-parts/home/slide-caption' );
						?>

					</li>

				<?php endif; ?>

			<?php endwhile; ?>

		</ul><!-- END .slides -->

	</div><!-- END .flexslider -->

	<?php wp_reset_postdata();

endif;
