<?php
/**
 * Smart by NiceThemes.
 *
 * The default template for displaying link posts.
 *
 * Used for single posts.
 *
 * @package   Smart
 * @author    NiceThemes <hello@nicethemes.com>
 * @license   GPL-2.0+
 * @link      http://nicethemes.com/product/smart
 * @copyright 2017 NiceThemes
 * @since     1.0.0
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
	<!-- BEGIN .entry -->
	<div class="entry">
		<?php
			/**
			 * Display featured image.
			 *
			 * @since 1.0.0
			 */
			nice_post_thumbnail( array( 'link' => nice_get_post_link() ) );
		?>

		<!-- BEGIN .post-content -->
		<div class="post-content">
			<?php
				/**
				 * Display the contents of the current post.
				 *
				 * @since 1.0.0
				 */
				the_content();
			?>

			<?php
				/**
				 * Display post link, if we have one.
				 *
				 * @since 1.0.0
				 */
				nice_link();
			?>

			<?php
				/**
				 * If this is a paginated post, display page links.
				 *
				 * @since 1.0.0
				 */
				nice_link_pages();
			?>

		</div><!-- END .post-content-->
	</div><!-- END .entry -->
